GNU bug report logs - #60271
[PATCH] gnu: Update xfce to 4.18.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Michael Rohleder <mike@HIDDEN>; Keywords: patch; Done: 宋文武 <iyzsong@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 60271-done <at> debbugs.gnu.org:


Received: (at 60271-done) by debbugs.gnu.org; 30 Jan 2023 13:20:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 08:20:09 2023
Received: from localhost ([127.0.0.1]:46670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMU4v-0006m1-Gh
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2023 08:20:09 -0500
Received: from m12.mail.163.com ([220.181.12.216]:54702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pMU4r-0006lH-4b
 for 60271-done <at> debbugs.gnu.org; Mon, 30 Jan 2023 08:20:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=WuGq/SZ0niZ2mp4QuPYUcZ78NHm2SCnRPp2dOwOWDP8=;
 b=fuZWSAHsQ+LPrW0F5DPSy7O7YvbJZpE+qE+oAPDC91Tg/CbaeKYKY8a5DTwMmn
 lKePJdL81XYYaZJBDpNVOIUP5mR3n/rl0VlqEkatqXF4ZzTQzbEXoxtQfSWkvfGf
 fSWuHeHc89VCHxBwqpqou6il6cpA88XnqerobCOuLkmEs=
Received: from Guix (unknown [180.105.241.146])
 by zwqz-smtp-mta-g2-4 (Coremail) with SMTP id _____wCHjy_ww9djmmbhCA--.28518S2;
 Mon, 30 Jan 2023 21:19:45 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
Subject: Re: xfce 4.18 issues: gsettings, icons missing, and logout need
 long time
In-Reply-To: <87r0ve5972.fsf_-_@HIDDEN> (=?utf-8?B?IuWui+aWh+atpiIncw==?=
 message of "Sun, 29 Jan 2023 11:08:33 +0800")
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN> <87ilhr19oc.fsf@HIDDEN>
 <87357vqbcq.fsf_-_@HIDDEN> <87r0ve5972.fsf_-_@HIDDEN>
Date: Mon, 30 Jan 2023 21:19:44 +0800
Message-ID: <874js8w45r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: _____wCHjy_ww9djmmbhCA--.28518S2
X-Coremail-Antispam: 1Uf129KBjvJXoW7Cw15Xw1kuFyftw1fuw17KFg_yoW8ZFyfp3
 98GF4qya42vFyrZ3ykW3ZrWFy0vrsxGFZxtrn5G3yq9as0yF9FkFW2qr4j9FWUCr93Ww12
 qF1a9a9rXw1UC3DanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UUpndUUUUU=
X-Originating-IP: [180.105.241.146]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiHRkH1GI680UFAwAAs-
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271-done
Cc: 60271-done <at> debbugs.gnu.org, Michael Rohleder <mike@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN> writes:

>> [...]
>>
>> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
>> applied all patches: They're all LGTM, and I will merge it after some
>> tests later.  Thank you!
>>
>
> Pushed!
>
> During my tests, I find some issues though:
>
> 1. in xfce4-appearance-settings, switch the theme to greybird-dark will
> kill it, with output:
>
> ```
> (xfce4-appearance-settings:13788): Gtk-WARNING **: 10:53:21.078: Could no=
t load a pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.sv=
g.
> This may indicate that pixbuf loaders or the mime database could not be f=
ound.
>
> (xfce4-appearance-settings:13788): GLib-GIO-ERROR **: 10:53:23.264: Setti=
ngs schema 'org.gnome.desktop.interface' does not contain a key named 'colo=
r-scheme'
> ```
>
> I think this is due to our gsettings-desktop-schemas is old.
>
> 2. some icons are missing, and by default there is no pixbuf loader for
> svg.  With a manually set GDK_PIXBUF_MODULE_FILE, I get better result
> with elementary-xfce-icon-theme (the adwaita icon themes still missing
> some icons).
>
> 3. logout via xfce4-session-logout will wait more about 30s for me,
> sometimes it does logout immediately, no idea...
>
> 4. mousepad output:
> Mousepad-Message: 11:00:34.614: Plugin directory '/gnu/store/0m4rqqn3gxwg=
6mafhccqjwwvqdz1a5sr-mousepad-0.5.10/lib/mousepad/plugins' not found
> GLib-GIO-Message: 11:00:34.614: Using the 'memory' GSettings backend.  Yo=
ur settings will not be saved or shared with other applications.
>
> The default gsettings backend is dconf, I guess some applications like
> mousepad need fix to enable dconf or use the keyfile backend for
> gsettings...
>
> I now open a bug for thoes issues.
>

5. Thunar start slowly

When I update to xfce 4.18, thunar start need 5 second, when I

1. backup my xfce4 config.
2. rm my old xfce4 config.
3. run xfce4 and quit.
4. restore old xfce4 config.
5. run xfce4 again.

The problem dispear, I do not know why.



--=20





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271-done <at> debbugs.gnu.org:


Received: (at 60271-done) by debbugs.gnu.org; 29 Jan 2023 03:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 28 22:08:39 2023
Received: from localhost ([127.0.0.1]:41846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLy3b-0004xL-Cc
	for submit <at> debbugs.gnu.org; Sat, 28 Jan 2023 22:08:39 -0500
Received: from mail.envs.net ([5.199.136.28]:46602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1pLy3U-0004x8-Jc
 for 60271-done <at> debbugs.gnu.org; Sat, 28 Jan 2023 22:08:38 -0500
Received: from localhost (mail.envs.net [127.0.0.1])
 by mail.envs.net (Postfix) with ESMTP id D245538A012B;
 Sun, 29 Jan 2023 03:08:30 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=envs.net; s=modoboa;
 t=1674961710; bh=SRaCFlGhWjIVMd4yQ/l1ng1G+mjDhjOGklrkmiD7xgg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=b7giSv2pROIe6IaQHW8eb98RE8l1fkQ1yokeE3XE4x2DXrtyEnWgQN5XLP8kopi6t
 q05IH/nf/PKLVHJ0mUhBwv62LWi30fV5RJUKwjAnx/iPeJnlHgcB6JMk4Sp26ulGKI
 CRYxxaMGdk+apoQkD0mczKB+94Y1Rr5GYUpEzmxE56WiEgnuQzKqxemaYOSfxyiwmo
 7cotpON/X4TYEFEYcO2KH0I8GWg+2hLj2ecdmR+Ii7jYuW1ZyjnCl8x01lHqc8xWCH
 pnjmAqgY3vwFkJpaXeZ7qFKjSTS9k952tzFCbEAgAyNhV3xeFa68KEKoogJx+plIQH
 qu7Z8KCiOecTJZrsSgl+mqRRTF0fo+jO2bALuuUUGi4BYhJwYy/ENwBrzPEs3kKz+8
 CHtYxOA82vHU7vFB6jIIKrFy6DLY98CjAiVBC1JJHhBRoHbpL6TJJcSGzk0HijsV4D
 lMpfRYI55R1QJxSJtPsliI+lwwRIn9lZTBeZaOsPeYAFA4G07+ZZlXPQPBqOWOKPzJ
 sfNfNArkWKX/6rd5kXPVFEy/KrVsspQ6PhsugtMc9VUN7TrrZ6kRs823Jyst4kw1Qq
 mGihiadizumN8Tbu7JlpMsx9g06x+StagCz+Q61jm3YiQzMnrWqrNbJ3TZATHMH7oq
 wRpgVLEqeQZpQCoYpb7UYZoo=
X-Virus-Scanned: Debian amavisd-new at mail.envs.net
Received: from mail.envs.net ([127.0.0.1])
 by localhost (mail.envs.net [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id OZJVS3LZkIdc; Sun, 29 Jan 2023 03:08:25 +0000 (UTC)
Received: from localhost (unknown [182.150.116.135])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.envs.net (Postfix) with ESMTPSA;
 Sun, 29 Jan 2023 03:08:25 +0000 (UTC)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id d5b63edd;
 Sun, 29 Jan 2023 03:08:33 +0000 (UTC)
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: xfce 4.18 issues: gsettings, icons missing, and logout need long time
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN> <87ilhr19oc.fsf@HIDDEN>
 <87357vqbcq.fsf_-_@HIDDEN>
Date: Sun, 29 Jan 2023 11:08:33 +0800
In-Reply-To: <87357vqbcq.fsf_-_@HIDDEN> (=?utf-8?B?IuWui+aWh+atpiIncw==?=
 message of "Sat, 28 Jan 2023 17:04:05 +0800")
Message-ID: <87r0ve5972.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271-done
Cc: 60271-done <at> debbugs.gnu.org, Michael Rohleder <mike@HIDDEN>,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> [...]
>
> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
> applied all patches: They're all LGTM, and I will merge it after some
> tests later.  Thank you!
>

Pushed!

During my tests, I find some issues though:

1. in xfce4-appearance-settings, switch the theme to greybird-dark will
kill it, with output:
```
(xfce4-appearance-settings:13788): Gtk-WARNING **: 10:53:21.078: Could not load a pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
This may indicate that pixbuf loaders or the mime database could not be found.

(xfce4-appearance-settings:13788): GLib-GIO-ERROR **: 10:53:23.264: Settings schema 'org.gnome.desktop.interface' does not contain a key named 'color-scheme'
```
I think this is due to our gsettings-desktop-schemas is old.

2. some icons are missing, and by default there is no pixbuf loader for
svg.  With a manually set GDK_PIXBUF_MODULE_FILE, I get better result
with elementary-xfce-icon-theme (the adwaita icon themes still missing
some icons).

3. logout via xfce4-session-logout will wait more about 30s for me,
sometimes it does logout immediately, no idea...

4. mousepad output:
Mousepad-Message: 11:00:34.614: Plugin directory '/gnu/store/0m4rqqn3gxwg6mafhccqjwwvqdz1a5sr-mousepad-0.5.10/lib/mousepad/plugins' not found
GLib-GIO-Message: 11:00:34.614: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

The default gsettings backend is dconf, I guess some applications like
mousepad need fix to enable dconf or use the keyfile backend for
gsettings...

I now open a bug for thoes issues.




Notification sent to Michael Rohleder <mike@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to 宋文武 <iyzsong@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 28 Jan 2023 11:49:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 28 06:49:23 2023
Received: from localhost ([127.0.0.1]:39725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLjhy-00005l-TW
	for submit <at> debbugs.gnu.org; Sat, 28 Jan 2023 06:49:23 -0500
Received: from m12.mail.163.com ([220.181.12.215]:55420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pLjhx-00005W-AB
 for 60271 <at> debbugs.gnu.org; Sat, 28 Jan 2023 06:49:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=ykADQ
 Gp2Ba+VdjF2s6qs+j0jiSkLbm+/t4rV7UliffM=; b=P3uPIei53ON5UoghIJD95
 xIWAphbd7u5k89d9u4bMMGH9k2w6pvCvfeJ26haDoHnXf/D7q/Q0HlYbP64rbHrA
 A9f+NRBK57yU5KVfEONMRSUUdd3eNzpcfoBTGwZ81DqqagBYdhd+k9K5HHkuJdMs
 NbK05RpJzTIN/m/7uEH9Ss=
Received: from localhost.localdomain (unknown [180.105.241.146])
 by zwqz-smtp-mta-g4-1 (Coremail) with SMTP id _____wAXGCSyC9VjCM7cBw--.9791S2; 
 Sat, 28 Jan 2023 19:49:06 +0800 (CST)
From: tumashu@HIDDEN
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: thunar-shares-plugin: Update to 0.3.2.
Date: Sat, 28 Jan 2023 19:49:04 +0800
Message-Id: <20230128114904.30862-1-tumashu@HIDDEN>
X-Mailer: git-send-email 2.39.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: _____wAXGCSyC9VjCM7cBw--.9791S2
X-Coremail-Antispam: 1Uf129KBjvdXoW7JFy3trykZw45WFyrCFW3Wrg_yoWDWwc_G3
 y7Jr1rKFZ5Xr4jkr45WFnYyr93Wr17A397Ka12gFyvyFn8Ww4UXFyDur97XF18CF4vkF9a
 kw45Gry8ArWjgjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7VUjX_-3UUUUU==
X-Originating-IP: [180.105.241.146]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiShYF1GI0WdgGMwAAsv
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-shares-plugin): Update to 0.3.2.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index f5acda1178..c9e681eec0 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -809,7 +809,7 @@ (define-public thunar-archive-plugin
 (define-public thunar-shares-plugin
   (package
     (name "thunar-shares-plugin")
-    (version "0.3.1")
+    (version "0.3.2")
     (source
      (origin
        (method url-fetch)
@@ -817,7 +817,7 @@ (define-public thunar-shares-plugin
                            name "/" (version-major+minor version)
                            "/" name "-" version ".tar.bz2"))
        (sha256
-        (base32 "182j8jl91735004hbl0i2xxga4r6fk03srfl6g87czkjm9y8q7fw"))))
+        (base32 "01rzmjj673sjhzkdh24d8bha57dbahycb44hlr4zld0mr7kda28h"))))
     (build-system gnu-build-system)
     (native-inputs (list pkg-config intltool))
     (inputs (list thunar gtk+))
-- 
2.39.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 28 Jan 2023 10:10:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 28 05:10:45 2023
Received: from localhost ([127.0.0.1]:39617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLiAX-0003OC-4M
	for submit <at> debbugs.gnu.org; Sat, 28 Jan 2023 05:10:45 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.150]:42162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1pLiAS-0003Ni-Vx
 for 60271 <at> debbugs.gnu.org; Sat, 28 Jan 2023 05:10:43 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id Li9NpHS5Zni9ALi9NpZWZL; Sat, 28 Jan 2023 03:09:33 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=FsLDvUnq c=1 sm=1 tr=0 ts=63d4f45d
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=RvmDmJFTN0MA:10 a=SzHO3PUHAAAA:8
 a=JFdCEqtkJbHgnsskS4gA:9 a=QEXdDO2ut3YA:10 a=XhdaiyCdq_oA:10
 a=YEDOYbRJ3X7dNNJVXSMA:9 a=FfaGCDsud1wA:10 a=NwwC-_NDJ9yb2Sf1NOrF:22
Received: from [192.168.1.3] (helo=micha)
 by 122.164.205.92.host.secureserver.net with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1pLi9N-00EFqH-6y; Sat, 28 Jan 2023 11:09:33 +0100
From: Michael Rohleder <mike@HIDDEN>
To: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN> <87ilhr19oc.fsf@HIDDEN>
 <87357vqbcq.fsf_-_@HIDDEN>
Date: Sat, 28 Jan 2023 11:09:30 +0100
In-Reply-To: <87357vqbcq.fsf_-_@HIDDEN> (=?utf-8?B?IuWui+aWh+atpiIncw==?=
 message of "Sat, 28 Jan 2023 17:04:05 +0800")
Message-ID: <87a623rmw5.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CMAE-Envelope: MS4xfJwr0woLjEjzfOeXA3ITMPZNHKkO1Fd/0rtQ/70MD8zTTni8gkFFMjamQBe0o95BqSHeIaoEeCaaqzvYZddFg6VtXmKcpz99CmxB4/Akzx2qKjR0iwKB
 EJArnJHhlu2RML6jTdP7/yZ3z3+XTY3RIwondXIHdE2eFFWWJPETzeN+jRbx3y9leL4H2FbuKZEqe4iAvWQ6dDyIldYyBYBYraLo0ye8mfnXTZ/xjjGJeqSU
 KlF4OJvPCZOcBN7LEvHk1w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

=E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN> writes:
> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
> applied all patches: They're all LGTM, and I will merge it after some
> tests later.  Thank you!

yay!  Thank you very much!

=2D-=20
Definition of upgrade: Take old bugs out; put new ones in.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAmPU9FoRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyWS8Qf+JRtkgULnSPhrt4PoYArk1yXYK6/j3tVE
MAv56HeyX726+zHNHvp+hLkxcyKbeWvjWIb+QhK1IlK/cL6ZAgponX79/QwkaqG/
hAWrmn/YjPOFBw7rOE59etl5RRfx6lkPo2QUD3MtFp1gkh3ZtpX3SeJjQ9tDumFy
Yw3u5f6r13lZcR/FiDXtQMfjvPFMOtN2uEb7mtCH0DPg4LQao8ivhPrpvTB6VAt+
xU66NLptfSDtEXn1QBN9cfhFsZXvWLu0H64CWtS42X31Smww4qkWcSx8vpxU5RpI
yVj6wOUzJCmfC60lgdgzg2QJD424ziMdWV38ogHRr32DnOQh+7XIPg==
=4e4N
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 28 Jan 2023 09:50:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 28 04:50:23 2023
Received: from localhost ([127.0.0.1]:39586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLhqo-0002st-IF
	for submit <at> debbugs.gnu.org; Sat, 28 Jan 2023 04:50:23 -0500
Received: from m12.mail.163.com ([220.181.12.215]:54066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pLhqi-0002sU-Rp
 for 60271 <at> debbugs.gnu.org; Sat, 28 Jan 2023 04:50:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=RzPXUoOTPJVytH4w1PlwzzB16obVgp/2lCxIAPLOfcc=;
 b=HdYT668fwnfLGGIxVKIi7V7tMa6747ZBKt+gid0e5yrDCCZ+c3L4X0P54zhoup
 dTNOnXrtMDpZHlGPJ4fZycHfkC8UTP6VOz04XFDhHsmuluS0AfoFkzjaPWLYz28F
 2Ve5qgNAHHWE8GnsfkTlS8nGASVF9ZxCuKcpsYtSZbrdI=
Received: from Tumashu (unknown [218.92.14.78])
 by zwqz-smtp-mta-g2-1 (Coremail) with SMTP id _____wB3dx_K79RjhSLLBw--.10512S2;
 Sat, 28 Jan 2023 17:50:03 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
In-Reply-To: <87357vqbcq.fsf_-_@HIDDEN> (=?utf-8?B?IuWui+aWh+atpiIncw==?=
 message of "Sat, 28 Jan 2023 17:04:05 +0800")
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN> <87ilhr19oc.fsf@HIDDEN>
 <87357vqbcq.fsf_-_@HIDDEN>
Date: Sat, 28 Jan 2023 17:50:02 +0800
Message-ID: <87pmazm1it.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: _____wB3dx_K79RjhSLLBw--.10512S2
X-Coremail-Antispam: 1Uf129KBjvdXoWruw4rCF13Cw4rZw1UuF4fuFg_yoW3KrgEgr
 y3Arn0qrZrA3yYqayavr45CrsaqrZ2yF4jy34Sqryv9r93Za98W3ykJrs3Ga4vyFWkJFn8
 tF98tF18Arn8KjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7IUUYL9UUUUUU==
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiSgwF1GI0WddwOwAAsE
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>, 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> Michael Rohleder <mike@HIDDEN> writes:
>>
>> I think we should conside update panel plugin when update to xfce 4.18.
>> for many panel plugins will build fail when we update xfce 4.18.
>>
>> for example:
>> 1. xfce4-cpufreq-plugin
>> 2. xfce4-cpugraph-plugin
>>
>> the below are patches, maybe we should create a wip-xfce branch, to see
>> which xfce apps or plugins wil build fail.=20
>
> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
> applied all patches: They're all LGTM, and I will merge it after some
> tests later.  Thank you!
>
>

> 54f9abf680d0ee84d6c267197f419cfc4b2d26b1 gnu: Add thunar-shares-plugin.

thunar-shares-plugin 0.3.2 has been released (2023/01/03), suggest
update, for it fix an important bug.


--=20





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 28 Jan 2023 09:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 28 04:04:08 2023
Received: from localhost ([127.0.0.1]:39544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLh84-0001cL-IO
	for submit <at> debbugs.gnu.org; Sat, 28 Jan 2023 04:04:08 -0500
Received: from mail.envs.net ([5.199.136.28]:43210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1pLh81-0001cB-HL
 for 60271 <at> debbugs.gnu.org; Sat, 28 Jan 2023 04:04:06 -0500
Received: from localhost (mail.envs.net [127.0.0.1])
 by mail.envs.net (Postfix) with ESMTP id 98D6038A012F;
 Sat, 28 Jan 2023 09:04:01 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=envs.net; s=modoboa;
 t=1674896641; bh=IpUVYs+mhVwTNWY082+6Jg90nAdbGeZRkPLu0Dvpx2U=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=QkulRLkPTHZFdWFAqdFSHETHaeo9WJTaHg7ceUhha5nWOPTr+R0mwyvv45A6nWQ1v
 g8mLyH93p9yJvVf+qOUpQ+QnUDL7X4qf7mV5xLJ/ixnP1Kx807BsnRlHft6J6+eq1f
 Ngf8LLfubLbxmik3PCQPe5pJObkTI6IdEWSuRyoxUmK3bnUJaolkQOABEyDo1jYVMR
 0KEwR2F1jH39WSzEjHn3sglmXu84rlwHJ/GMlyx9KPhEb1/uFZAjerKOguseykZadU
 ahN1KHmmB5rgIxaKcHIgIb4AGLyqxrfwB9IdiwRGmVgjVeLsOhwiUxETrBzjrvEcyJ
 U8yKjD4KRNhbQh5XhLrL2BtCYc2xF0bkluLTuvJJTTtilmMN63Y58O6ZuoD6tu8bn5
 HqzyZgrcOsPWu4c9HR9xj+7BuQz2amzd+a9Ywonr+PYPKbzu68f1OGKea3JsW/5bHv
 9clQ5MGbfYtUWcexgbpA8s0HTdobhhUGjlQqCUvDrPDXmybEpFKhACXYk/U/6SMKF2
 QNqPl1yYuEktR6O+qw1zMt58FNQM/YUiFqxBu6Kk95QPHaTGHIvZG2obQ2+pFqdZ0U
 wcO+tt+V83nCiZHe5wmZ5X+TQ73peQuuVQmzHLEPv2VSiYfKkAi0p0M2ps8rFiXZdN
 EpVPQx6vcxKvVe6kxKTaVKKY=
X-Virus-Scanned: Debian amavisd-new at mail.envs.net
Received: from mail.envs.net ([127.0.0.1])
 by localhost (mail.envs.net [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 6J4xUrwM23k0; Sat, 28 Jan 2023 09:03:57 +0000 (UTC)
Received: from localhost (unknown [182.150.116.135])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.envs.net (Postfix) with ESMTPSA;
 Sat, 28 Jan 2023 09:03:57 +0000 (UTC)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 804a57af;
 Sat, 28 Jan 2023 09:04:05 +0000 (UTC)
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN> <87ilhr19oc.fsf@HIDDEN>
Date: Sat, 28 Jan 2023 17:04:05 +0800
In-Reply-To: <87ilhr19oc.fsf@HIDDEN> (Feng Shu's message of "Sun, 01 Jan 2023
 06:37:55 +0800")
Message-ID: <87357vqbcq.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>, 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Feng Shu <tumashu@HIDDEN> writes:

> Michael Rohleder <mike@HIDDEN> writes:
>
> I think we should conside update panel plugin when update to xfce 4.18.
> for many panel plugins will build fail when we update xfce 4.18.
>
> for example:
> 1. xfce4-cpufreq-plugin
> 2. xfce4-cpugraph-plugin
>
> the below are patches, maybe we should create a wip-xfce branch, to see
> which xfce apps or plugins wil build fail. 

Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
applied all patches: They're all LGTM, and I will merge it after some
tests later.  Thank you!


e0869fe3c1b43d41e5ce418f277b6887b9e4a3e6 gnu: xfce4-settings: Enable UPower support.
5ce696fcf52df79b2aa22d72e317403e04f198af gnu: xfce4-settings: Enable colord support.
27a60b677fb7eb5a6bc4dd268164845ed59642f7 gnu: xfwm4: Enable Xpreset support.
03f8b39297d1b75a376164df08cdbca05dc60a82 gnu: xfce4-datetime-plugin: Update to 0.8.3.
95a1892b857d9c20274bc61775e33ebacac04d95 gnu: xfce4-notifyd: Update to 0.7.2.
ae63395a56ed334ee5ebc1273d6fbe2efa034674 gnu: xfdashboard: Update to 1.0.0.
3de3d3f61a0c084c3502a8fc55ca97ba2b5f8eca gnu: Add thunar-vcs-plugin.
6342a9bf674573439d2f5302bf9c0b823df4f2e0 gnu: Add thunar-media-tags-plugin.
54f9abf680d0ee84d6c267197f419cfc4b2d26b1 gnu: Add thunar-shares-plugin.
a32931f8a700e64a34b50d3ab39f8c07b45946f6 gnu: Add thunar-archive-plugin.
8bdc72f7b97b457ca1d25ee4845b8b3ba33cc96a gnu: xfce: Propagate search paths of 'thunar'.
33e8131ac9ca22214adf592c279812042efb5d49 gnu: thunar: Add a search path for THUNARX_DIRS.
ef73e3643da20c2d1538dde8123f149304b326f3 gnu: xfce4-systemload-plugin: Update to 1.3.2.
df00882f88af6fba14adfc3204668ae5a8aff3d6 gnu: xfce4-places-plugin: Update to 1.8.3.
5460486c2c9aeb3cef68076cf20c5262a0f284b7 gnu: xfce4-whiskermenu-plugin: Update to 2.7.2.
c30c8bb5a0774b3d2b7e7ec43b89763503071eca gnu: xfce4-eyes-plugin: Update to 4.6.0.
828a8fb76f65a902e7a0899d59f7de43c3881403 gnu: xfce4-cpugraph-plugin: Update to 1.2.7.
434e93ea7d569c32486f6208e95141aec7866a5f gnu: xfce4-cpufreq-plugin: Update to 1.2.8.
7e02db6c21372a76d636f7c2f1445bc30d8bd8f3 gnu: xfce4-terminal: Fix build.
32951096069f7cd8ee65de3fd48edd168994db33 gnu: xfce4-dev-tools: Update to 4.18.0.
6bcee7130273dabe8a17accecca2408de4f197b6 gnu: thunar-volman: Update to 4.18.0.
1b4d0957771bb424861a58392e6c6eedc0c0f76e gnu: xfce4-power-manager: Update to 4.18.0.
934468f9e51aee0b347cc8ce293c34ba690bc26c gnu: thunar: Update to 4.18.3.
1e12f2e1062f9454d6a9f1999a1e9a9abd46e6ab gnu: xfwm4: Update to 4.18.0.
4c8bc48c86242c0225b1c61ee3f634aa5f9169e4 gnu: xfdesktop: Update to 4.18.1.
e081d1d0fd9a9f17ff77de9dd797e8ab88316cf8 gnu: xfce4-settings: Update to 4.18.1.
611070e82427598b80b3c75e135d691ba68f6263 gnu: xfce4-session: Update to 4.18.0.
f92c454e2848d2b834859b8b577ef1038e95e824 gnu: xfce4-appfinder: Update to 4.18.0.
ec5893cf7eafc10dee5af8d4c1aef8c3f23bc9f4 gnu: xfce4-panel: Update to 4.18.1.
5f870b759cdcfbb696f53647e9656b6d2cf72820 gnu: garcon: Update to 4.18.0.
1899bd27b1e2d21a8beb54ec362f73c8869b9261 gnu: tumbler: Update to 4.18.0.
8646d8cf8278415c2798318029e917ab208e3e93 gnu: exo: Update to 4.18.0.
257213f6409bf78480d8da09dce0b17842825b87 gnu: libxfce4ui: Update to 4.18.1.
2bf770f8c191328a33a19c19455b080f8edc3d20 gnu: xfconf: Update to 4.18.0.
c14bbd574973870919b14b1f7f12a7207a8f9bc2 gnu: libxfce4util: Update to 4.18.1.




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 19 Jan 2023 20:41:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 19 15:41:12 2023
Received: from localhost ([127.0.0.1]:44836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIbii-0008KK-12
	for submit <at> debbugs.gnu.org; Thu, 19 Jan 2023 15:41:12 -0500
Received: from mail-4316.protonmail.ch ([185.70.43.16]:21229)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaelyn.alexi@HIDDEN>) id 1pIbif-0008K5-BZ
 for 60271 <at> debbugs.gnu.org; Thu, 19 Jan 2023 15:41:10 -0500
Date: Thu, 19 Jan 2023 20:40:57 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1674160862; x=1674420062;
 bh=1KpYCmdoEjVJx50yJ5pST9jANgP2bPnBXonRJ6Od7AE=;
 h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID:BIMI-Selector;
 b=pbXAbucHMOCoy+w1mzsRq5OH5//GSmyt3eVfFwEwLbV8lRRw5cGaXPMDLTfvEa4R4
 g1BTPa+1RMyYEfucjXlR5QeLGqiTfF4UpA8Uk8AHzehRLuaD86HfHsCw4CyQfvT9Bh
 T+uN9Ma6ZW9wabemEcUALLznZmZXmd5xdoImmF9MPrfbMQ+w/6AJknfGuF/6aVl2uw
 tshLs6tAHGQyocZRlY+ao8LrXOo3fTQu9D3wuiBYIhSVfFFyCiL8dszabrUU93owEC
 Tqp1sTKD5S3KCHP2W58sEd3cEOrM9zzvLl5hA3+nhzfsjlKcoSD+s5DZoelZJJ6A2e
 sBFXdybZZVMWA==
To: "60271 <at> debbugs.gnu.org" <60271 <at> debbugs.gnu.org>
From: Kaelyn <kaelyn.alexi@HIDDEN>
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
Message-ID: <9e0dvkgXc5pBLMc81HwjakXoPlUhdBXoqlJuZhxvOoXaCgRD5j_kyoZENYvAX6_K_KaGCqSw33RCittU5u_qqRTA3FV-lVzXDRQqi7eyuT8=@protonmail.com>
Feedback-ID: 34709329:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60271
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Rohleder <mike@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>> I suggest include the below thunar plugins when we update to xfce-4.18,
>> so we can test thunar THUNARX-DIRS feature with these plugins help.
>>
>> 1. thunar-archive-plugin
>> 2. thunar-media-tags-plugin
>> 3. thunar-shares-plugin
>> 4. thunar-vcs-plugin
>>
>>
>> patchs of the 4 plugins can be found in:
>>
>>   https://issues.guix.gnu.org/54525#2-lineno22
>>
>> thunar-archive-plugin may have new version.
>>
>>
>> If possible, I suggest xfce package depend on thunar-archive-plugin.
>
> I think we can (and should) do this as a separate issue and patches.
> Its a nice (and needed) feature, but 4.18 (except thunar plugins?) runs
> w/o it, so I guess its easy (easier to test) to do after this patchset
> has been merged, because adding more patches would also make the review
> and work of the committer harder.
>
> WDYT?

I agree that improving the thunar plugin support should be done as a separa=
te set of patches from updating XFCE 4.18, as they are independent issues (=
i.e. the plugin support could be fixed in the current packages without upgr=
ading XFCE, and XFCE can be upgraded successfully without fixing the plugin=
 support).

Cheers,
Kaelyn




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 31 Dec 2022 22:38:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 31 17:38:23 2022
Received: from localhost ([127.0.0.1]:40003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pBkUg-0002Bb-0i
	for submit <at> debbugs.gnu.org; Sat, 31 Dec 2022 17:38:23 -0500
Received: from m12.mail.163.com ([220.181.12.199]:59458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pBkUb-0002BF-EK
 for 60271 <at> debbugs.gnu.org; Sat, 31 Dec 2022 17:38:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=MwrJFr+8+3UJgluXWGXLio4PDgCqz7VF+l+adan3Eik=;
 b=jNiDuepfbeQMcgrgfG1vObVNsZfEdGR3xDgCsmeDmUctR8BSPpaAvqq4HJZe4i
 WEyGSf8L2w/jBQpR/9zFTCS/awmXDnTCe49NOe0op0gGUquJqkKuuWrbWgBHfgLP
 5jAlMeWeP1GpDlWzQdwDGq7sHN363DnDtdMew2Gt3xaHY=
Received: from Guix (unknown [49.88.145.87])
 by zwqz-smtp-mta-g0-0 (Coremail) with SMTP id _____wC3BmfEubBjNoUOAA--.5654S2; 
 Sun, 01 Jan 2023 06:37:56 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Michael Rohleder <mike@HIDDEN>
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
In-Reply-To: <87sfgvwsry.fsf_-_@HIDDEN> (Michael Rohleder's message of
 "Sat, 31 Dec 2022 15:29:37 +0100")
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
 <87sfgvwsry.fsf_-_@HIDDEN>
Date: Sun, 01 Jan 2023 06:37:55 +0800
Message-ID: <87ilhr19oc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-CM-TRANSID: _____wC3BmfEubBjNoUOAA--.5654S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjTE73sFUUUUU
X-Originating-IP: [49.88.145.87]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB3wbo1GBHNiB16wAAsK
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Michael Rohleder <mike@HIDDEN> writes:

I think we should conside update panel plugin when update to xfce 4.18.
for many panel plugins will build fail when we update xfce 4.18.

for example:
1. xfce4-cpufreq-plugin
2. xfce4-cpugraph-plugin

the below are patches, maybe we should create a wip-xfce branch, to see
which xfce apps or plugins wil build fail. 



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-thunar-Add-a-search-path-for-THUNARX_DIRS.patch

From 2dcd5344173c5249bf52c73efa0e89a081334813 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sat, 31 Dec 2022 17:09:57 +0800
Subject: [PATCH 01/12] gnu: thunar: Add a search path for THUNARX_DIRS.

* gnu/packages/xfce.scm (thunar)[native-search-paths]: Add THUNARX_DIRS
specification.
---
 gnu/packages/xfce.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 32c6375c0e..34c8c4c7c2 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -728,6 +728,8 @@ (define-public thunar
                (base32
                 "0rii7b2d0csvji24665h00nx0irg6rn6m9y8bkig9md45j0923ib"))))
     (build-system gnu-build-system)
+    (arguments
+     '(#:configure-flags '("--with-custom-thunarx-dirs-enabled")))
     (native-inputs
      (list pkg-config intltool))
     (inputs
@@ -741,6 +743,10 @@ (define-public thunar
            pcre
            xfce4-panel
            startup-notification))
+   (native-search-paths
+    (list (search-path-specification
+           (variable "THUNARX_DIRS")
+           (files (list "lib/thunarx-3")))))
     (home-page "https://www.xfce.org/")
     (synopsis "Xfce file manager")
     (description
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-gnu-xfce-Propagate-search-paths-of-thunar.patch

From 06fb7367c4d8ee4b1428d125acd441e174004bfb Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sat, 31 Dec 2022 17:15:38 +0800
Subject: [PATCH 02/12] gnu: xfce: Propagate search paths of 'thunar'.

* gnu/packages/xfce.scm (xfce)[native-search-paths]: Add thunar.
---
 gnu/packages/xfce.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 34c8c4c7c2..87d70084f1 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1111,8 +1111,10 @@ (define-public xfce
      ;; Default font that applications such as IceCat require.
      (list font-dejavu))
     (native-search-paths
-     ;; For finding panel plugins.
-     (package-native-search-paths xfce4-panel))
+     ;; For finding panel and thunar plugins.
+     (append
+      (package-native-search-paths xfce4-panel)
+      (package-native-search-paths thunar)))
     (home-page "https://www.xfce.org/")
     (synopsis "Desktop environment (meta-package)")
     (description
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-gnu-xfce4-cpufreq-plugin-Update-to-1.2.8.patch

From 74b3296fa8051f2650aaaaf51e1e0be097a5dbaa Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:04:23 +0800
Subject: [PATCH 03/12] gnu: xfce4-cpufreq-plugin: Update to 1.2.8.

* gnu/packages/xfce.scm (xfce4-cpufreq-plugin): Update to 1.2.8.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 87d70084f1..6d825cfe78 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1577,7 +1577,7 @@ (define-public xfce4-calculator-plugin
 (define-public xfce4-cpufreq-plugin
   (package
    (name "xfce4-cpufreq-plugin")
-   (version "1.2.7")
+   (version "1.2.8")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/panel-plugins/"
@@ -1586,7 +1586,7 @@ (define-public xfce4-cpufreq-plugin
                                   "/xfce4-cpufreq-plugin-" version ".tar.bz2"))
               (sha256
                (base32
-                "1365pj6viij492hq4mw34w4390sfdrn94rdgm2r1f6gma1hzpm2s"))))
+                "1sbkjphrlyyqsmdggq2624qr45wkkrmvczpv04h5fpkjykcmir07"))))
     (build-system gnu-build-system)
     (native-inputs
      (list intltool pkg-config))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0004-gnu-xfce4-cpugraph-plugin-Update-to-1.2.7.patch

From f9aa50d9fc62d7a7129aa48d867e19a0b6af1afe Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:08:16 +0800
Subject: [PATCH 04/12] gnu: xfce4-cpugraph-plugin: Update to 1.2.7.

* gnu/packages/xfce.scm (xfce4-cpugraph-plugin): Update to 1.2.7.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 6d825cfe78..4180f21036 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1444,7 +1444,7 @@ (define-public xfce4-volumed-pulse
 (define-public xfce4-cpugraph-plugin
   (package
    (name "xfce4-cpugraph-plugin")
-   (version "1.2.6")
+   (version "1.2.7")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/panel-plugins/"
@@ -1453,7 +1453,7 @@ (define-public xfce4-cpugraph-plugin
                                   "/xfce4-cpugraph-plugin-" version ".tar.bz2"))
               (sha256
                (base32
-                "16dg8xdwzyy70sj8zkms3vnp0wdhmqbrq4fld1aah90qgkslcckp"))))
+                "01bl6glkwfvqvxm3sp3y4mb8szx7bnqnjns59sb8cwgdg3i539k8"))))
     (build-system gnu-build-system)
     (native-inputs
      (list intltool pkg-config))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0005-gnu-xfce4-eyes-plugin-Update-to-4.6.0.patch

From 1b01593a18a07e36b81b832711cd99b06259ff8b Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:15:07 +0800
Subject: [PATCH 05/12] gnu: xfce4-eyes-plugin: Update to 4.6.0.

* gnu/packages/xfce.scm (xfce4-eyes-plugin): Update to 4.6.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 4180f21036..d16ed4f3d8 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1475,7 +1475,7 @@ (define-public xfce4-cpugraph-plugin
 (define-public xfce4-eyes-plugin
   (package
    (name "xfce4-eyes-plugin")
-   (version "4.5.1")
+   (version "4.6.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/panel-plugins/"
@@ -1484,7 +1484,7 @@ (define-public xfce4-eyes-plugin
                                   "/xfce4-eyes-plugin-" version ".tar.bz2"))
               (sha256
                (base32
-                "1iaszzkagl1mb0cdafrvlfjnjklhhs9y90517par34sjiqbq1dsd"))))
+                "092kmv2i0flg3zg622q0id70mz1kvlz27y12i5y3nfdsi1fz03xd"))))
     (build-system gnu-build-system)
     (native-inputs
      (list intltool pkg-config))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0006-gnu-xfce4-whiskermenu-plugin-Update-to-2.7.1.patch

From aa7a05875cfcd8a9905b98ee3b68e7f4c7ae3981 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:16:46 +0800
Subject: [PATCH 06/12] gnu: xfce4-whiskermenu-plugin: Update to 2.7.1.

* gnu/packages/xfce.scm (xfce4-whiskermenu-plugin): Update to 2.7.1.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index d16ed4f3d8..27e14e7994 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -518,7 +518,7 @@ (define-public xfce4-pulseaudio-plugin
 (define-public xfce4-whiskermenu-plugin
   (package
     (name "xfce4-whiskermenu-plugin")
-    (version "2.6.2")
+    (version "2.7.1")
     (source
      (origin
        (method url-fetch)
@@ -526,7 +526,7 @@ (define-public xfce4-whiskermenu-plugin
                            "xfce4-whiskermenu-plugin/" (version-major+minor version) "/"
                            "xfce4-whiskermenu-plugin-" version ".tar.bz2"))
        (sha256
-        (base32 "0vppm85pvhsigg5d74nx7cixlsrsyfjagw6avrdclfjr30nf483d"))))
+        (base32 "0gm65h3xk6b9gm6maj7h4ikvn291iachsxlay5qfrmd0chbhrbh4"))))
     (build-system cmake-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0007-gnu-xfce4-places-plugin-Update-to-1.8.3.patch

From c8d91eafeb128f44c12ba6342d27318ef268612f Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:22:12 +0800
Subject: [PATCH 07/12] gnu: xfce4-places-plugin: Update to 1.8.3.

* gnu/packages/xfce.scm (xfce4-places-plugin): Update to 1.8.3.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 27e14e7994..a3bd49ce43 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1843,7 +1843,7 @@ (define-public xfce4-netload-plugin
 (define-public xfce4-places-plugin
   (package
    (name "xfce4-places-plugin")
-   (version "1.8.2")
+   (version "1.8.3")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/panel-plugins/"
@@ -1852,7 +1852,7 @@ (define-public xfce4-places-plugin
                                   "/xfce4-places-plugin-" version ".tar.bz2"))
               (sha256
                (base32
-                "00bh7d91vzk6s38djlpnihvjvymxgrnx3nh6sm2y3mnx2jmb4chy"))))
+                "0hy7c350x1p1grj517l1x0r8b4asbcv7sl3b5qnb0apj0dnhw7gi"))))
     (build-system gnu-build-system)
     (native-inputs
      (list intltool desktop-file-utils pkg-config))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0008-gnu-xfce4-systemload-plugin-Update-to-1.3.2.patch

From d6c23994c8bfe1d36f27d9037ce39c62e55eac83 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Sun, 1 Jan 2023 06:24:28 +0800
Subject: [PATCH 08/12] gnu: xfce4-systemload-plugin: Update to 1.3.2.

* gnu/packages/xfce.scm (xfce4-systemload-plugin): Update to 1.3.2.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index a3bd49ce43..7c3755d59f 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1959,7 +1959,7 @@ (define-public xfce4-stopwatch-plugin
 (define-public xfce4-systemload-plugin
   (package
    (name "xfce4-systemload-plugin")
-   (version "1.3.1")
+   (version "1.3.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/panel-plugins/"
@@ -1968,7 +1968,7 @@ (define-public xfce4-systemload-plugin
                                   "/xfce4-systemload-plugin-" version ".tar.bz2"))
               (sha256
                (base32
-                "0lknh5l30qs5c69wwjcblbyhczvdbxs59fqkb8mpqbfm05w01lan"))))
+                "0wmh09w5fnm9srbr6r4gpdima738szqcp3qbzb8kl18f0b1kyc5v"))))
     (build-system gnu-build-system)
     (native-inputs
      (list intltool pkg-config))
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0009-gnu-Add-thunar-archive-plugin.patch

From 02867f7495bff23e112819acd476818f472db839 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Mon, 21 Mar 2022 19:29:10 +0800
Subject: [PATCH 09/12] gnu: Add thunar-archive-plugin.

* gnu/packages/xfce.scm (thunar-archive-plugin): New variable.
---
 gnu/packages/xfce.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 7c3755d59f..9abc630eb2 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -781,6 +781,27 @@ (define-public thunar-volman
 and import the new pictures from your camera.")
     (license gpl2+)))
 
+(define-public thunar-archive-plugin
+  (package
+    (name "thunar-archive-plugin")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "1ykg6qj65l5wywpbiiabidjxzvrhv6q4v63jxb6mlai8b2iqijlf"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Archive plugin for Thunar file manager")
+    (description "The Thunar Archive Plugin allows you to create and extract
+archive files using the file context menus in the Thunar file manager.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0010-gnu-Add-thunar-shares-plugin.patch

From 5c46975946ab2be81e3fcc8b00fda7a79e4761c0 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Mon, 21 Mar 2022 19:30:30 +0800
Subject: [PATCH 10/12] gnu: Add thunar-shares-plugin.

* gnu/packages/xfce.scm (thunar-shares-plugin): New variable.
---
 gnu/packages/xfce.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 9abc630eb2..287cf3be85 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -802,6 +802,28 @@ (define-public thunar-archive-plugin
 archive files using the file context menus in the Thunar file manager.")
     (license gpl2+)))
 
+(define-public thunar-shares-plugin
+  (package
+    (name "thunar-shares-plugin")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "182j8jl91735004hbl0i2xxga4r6fk03srfl6g87czkjm9y8q7fw"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Folder share plugin for Thunar file manager")
+    (description
+     "The Thunar Shares Plugin allows you to quickly share a folder using
+Samba from Thunar (the Xfce file manager) without requiring root access.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0011-gnu-Add-thunar-media-tags-plugin.patch

From 0d72724dc3d741945295342df153414c201387a0 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Mon, 21 Mar 2022 19:31:43 +0800
Subject: [PATCH 11/12] gnu: Add thunar-media-tags-plugin.

* gnu/packages/xfce.scm (thunar-media-tags-plugin): New variable.
---
 gnu/packages/xfce.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 287cf3be85..9688682672 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -54,6 +54,7 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages libcanberra)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages mate)
+  #:use-module (gnu packages mp3)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages photo)
@@ -824,6 +825,28 @@ (define-public thunar-shares-plugin
 Samba from Thunar (the Xfce file manager) without requiring root access.")
     (license gpl2+)))
 
+(define-public thunar-media-tags-plugin
+  (package
+    (name "thunar-media-tags-plugin")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "06sr7b4p9f585gian8vpx7j0pkzg0vvwcrjmrhvh7i5sb90w8rg2"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo gtk+ thunar taglib))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Media tags plugin for Thunar file manager")
+    (description
+     "Media tags plugin allows tags editing from Thunar file manager and
+tags-based file renaming from inside Thunar Bulk Renamer.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0012-gnu-Add-thunar-vcs-plugin.patch

From f30c65f1abb7f1f375d21468ec3e1ede8ef8494f Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@HIDDEN>
Date: Mon, 21 Mar 2022 19:33:59 +0800
Subject: [PATCH 12/12] gnu: Add thunar-vcs-plugin.

* gnu/packages/xfce.scm (thunar-vcs-plugin): New variable.
---
 gnu/packages/xfce.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 9688682672..af8f8e1060 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -35,6 +35,7 @@
 (define-module (gnu packages xfce)
   #:use-module (gnu artwork)
   #:use-module (gnu packages)
+  #:use-module (gnu packages apr)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages calendar)
@@ -65,6 +66,8 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages search)
+  #:use-module (gnu packages textutils)
+  #:use-module (gnu packages version-control)
   #:use-module (gnu packages web)
   #:use-module (gnu packages wm)
   #:use-module (gnu packages xml)
@@ -847,6 +850,42 @@ (define-public thunar-media-tags-plugin
 tags-based file renaming from inside Thunar Bulk Renamer.")
     (license gpl2+)))
 
+(define-public thunar-vcs-plugin
+  (package
+    (name "thunar-vcs-plugin")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "1f2d1dwfyi6xv3qkd8l8xh0vhz8wh0601cyigjzn426lqga1d29n"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:configure-flags
+           #~(list (string-append "CPPFLAGS=-I"
+                                  #$(this-package-input "apr-util")
+                                  "/include/apr-1"))))
+    (native-inputs (list pkg-config intltool utf8proc))
+    (inputs
+     (list exo
+           gtk+
+           thunar
+           libxfce4util
+           apr
+           apr-util
+           subversion
+           git))
+    (home-page "https://www.xfce.org/")
+    (synopsis "VCS plugin for Thunar file manager")
+    (description
+     "Thunar VCS Plugin (formerly known as Thunar SVN Plugin) gives SVN and
+GIT integration to Thunar, it adds Subversion and GIT actions to the context
+menu.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.38.1


--=-=-=
Content-Type: text/plain




-- 

--=-=-=--





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 31 Dec 2022 14:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 31 09:30:52 2022
Received: from localhost ([127.0.0.1]:36867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pBcsu-0003JM-70
	for submit <at> debbugs.gnu.org; Sat, 31 Dec 2022 09:30:52 -0500
Received: from sxb1nlsmtp03.prod.sxb1.secureserver.net ([92.204.71.203]:36389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1pBcsr-0003J5-CO
 for 60271 <at> debbugs.gnu.org; Sat, 31 Dec 2022 09:30:50 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id BcrkptA0xr8YlBcrlpfb8h; Sat, 31 Dec 2022 07:29:42 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=fsIaJn0f c=1 sm=1 tr=0 ts=63b04756
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=Byx-y9mGAAAA:8
 a=gDZc4DTGwctxZgXoVVIA:9 a=jWIwcCkYsZMA:10 a=Du9eYlxocFpAiaND_8QA:9
 a=oexvYtd-yeWzoEB4opwA:9 a=C_IXo2y8PGL5p7HcXSwA:9 a=FfaGCDsud1wA:10
Received: from [192.168.1.3] (helo=micha)
 by 122.164.205.92.host.secureserver.net with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1pBcrk-006XaY-IJ; Sat, 31 Dec 2022 15:29:40 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: Re: bug#60271: [PATCH] gnu: Update xfce to 4.18.
References: <20221223120403.25985-1-mike@HIDDEN> <87358wm57c.fsf@HIDDEN>
Date: Sat, 31 Dec 2022 15:29:37 +0100
In-Reply-To: <87358wm57c.fsf@HIDDEN> (Feng Shu's message of "Sat, 31 Dec 2022
 06:56:39 +0000")
Message-ID: <87sfgvwsry.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CMAE-Envelope: MS4xfGgOcMhtqBSRIgBY+R51Fr8Ep4w9m+G1Y6gjoNspwsWktfxjgDbiY8tG2TT7XVzwDdTiYrAnw4yhXVptA0kfw5Hg6G4ar21LvxWpkwc2oIJgklRy/wR5
 kkoVaiNz6TZTzpPCXIkFWeVbQT1dOWN14mCxVmYB27AKhmKryiJsI6onLEwJyYY1JklOlOptWwVY5HCZ5Y2W0HZNXRNOsxTwRpSoYHiFUBqF65VsPpMcNA0k
 AWTd/x7sXG13tebVA9tshQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Feng Shu <tumashu@HIDDEN> writes:

> I have tested in my machine, xfce-terminal fail to build.

Thanks!

I forgot this patch:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-xfce4-terminal-Fix-build.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Fix build.

From=20c49bd97c7685e10a22bdc11cdf205892fed30d7a Mon Sep 17 00:00:00 2001
From: Michael Rohleder <mike@HIDDEN>
Date: Sat, 31 Dec 2022 15:16:26 +0100
Subject: [PATCH] gnu: xfce4-terminal: Fix build.

* gnu/packages/xfce.scm (xfce4-terminal)[arguments]: Add configure-flags to
set CFLAGS.
=2D--
 gnu/packages/xfce.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 83a27cbdc0..32c6375c0e 100644
=2D-- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -946,6 +946,12 @@ (define-public xfce4-terminal
                (base32
                 "1x5saijxykxmn2hksf4qvaj965b6i0wy62z9hgrc2vvwmxbmkrbq"))))
     (build-system gnu-build-system)
+    (arguments
+     (list
+      #:configure-flags
+      #~(list (string-append "CFLAGS=3D-I"
+                             #$(this-package-input "libxfce4ui")
+                             "/include/xfce4"))))
     (native-inputs
      (list pkg-config intltool))
     (inputs
=2D-=20
2.38.1


--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable



=2D-=20
Just don't create a file called -rf.  :-)
       Larry Wall in <11393@HIDDEN>

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAmOwR1IRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyVy8gf7B/utNHxSdzVzAt1+gENqOPl3mSOeUQbk
9lDpe90HkWN95+nfb0OCCLWFqLxOBjI4LJx7bzBi/knjFKH3rnIMnwkP0zKN43iX
24VmH93aK/wvH6mIToGhg8nUBoRfM+f4yRJtoCfnP5lqiC4XJmuv5IN3MTEzeyYE
C+9mpXAZIhGbyDMxgW60Kro3JzP+6TNKjbVgotBeN43ng6jZGr+bDsSHXXUMcgoN
UcfMYgZ4PviQPV5vcJqcs2Yau/mj5cPvPaMKXDkdeGvWnqThItRAKNnAsQt0xoK9
TTsOeu/1EV4/XHiH+tHne5mS2vkBffpFsopk2qZ1h2jBBZ9Uu8vRFg==
=IGpZ
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 31 Dec 2022 06:57:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 31 01:57:08 2022
Received: from localhost ([127.0.0.1]:36443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pBVnk-0001gV-8j
	for submit <at> debbugs.gnu.org; Sat, 31 Dec 2022 01:57:07 -0500
Received: from m12.mail.163.com ([220.181.12.197]:57984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pBVnd-0001fs-34
 for 60271 <at> debbugs.gnu.org; Sat, 31 Dec 2022 01:57:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=P7CbxvXjYn/WYiidf7p1ZIEbJCpwcACE2c3HecjxsyM=;
 b=G8U59Cr91z4X7Jg/WId3N5TnOW0ed3v0N755SrEZW338AeX24cjYe8x9fREWAk
 41FaIfTlIUW/2R3XPuAvg8w2hfPyaZjmVDUqMqyXPH+hjZN5IyHqmApRqQfGecWs
 gx2jx9npjI70fLrYkEODq0mtkvZfCjITWeHdWl1U0LIgA=
Received: from Guix (unknown [49.88.145.87])
 by zwqz-smtp-mta-g2-3 (Coremail) with SMTP id _____wBn_fEs3a9jC5FFAA--.31276S2;
 Sat, 31 Dec 2022 14:56:44 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Update xfce to 4.18.
Date: Sat, 31 Dec 2022 06:56:39 +0000
Message-ID: <87358wm57c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: _____wBn_fEs3a9jC5FFAA--.31276S2
X-Coremail-Antispam: 1Uf129KBjvAXoWkGryxZw1rZFykZrW8GF17KFg_yoWfJw1xXo
 ZrtF4jqa4FgrWUCr1UKFy7C34vvan3CrnrAF4jgFy5CanrW3yYqry3KF13JF13AFyxtrn8
 W3srZFWxZF15Xryrn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73VFW2AGmfu7bjvjm3
 AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4RWHq4UUUUU
X-Originating-IP: [49.88.145.87]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiRQ7o1GDuyNKLaAAAsA
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I have tested in my machine, xfce-terminal fail to build.


----------------------------
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin:/gnu/store/xhvrz1imcdbcqa5c71zm9j68bsg33pxi-intl=
tool-0.51.0/bin:/gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-libxfce4ui-4.18=
.0/bin:/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.99/bin:/gnu/sto=
re/g2ajyl8xk9aarxrgjbng2hkj3qm2v0z2-tar-1.34/bin:/gnu/store/iixwcv3k49ks1rf=
34pjgfzmzyhhgwng3-gzip-1.10/bin:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg=
-bzip2-1.0.8/bin:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/bin:/=
gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin:/gnu/store/ahmmvw2=
1p11ik80lg1f953y7fd8bqkjm-diffutils-3.8/bin:/gnu/store/z39hnrwds1dgcbpfgj8d=
nv2cngjb2xbl-patch-2.7.6/bin:/gnu/store/39rsx3nl4c31952jybbjb8d6idr5hx7r-fi=
ndutils-4.8.0/bin:/gnu/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/bi=
n:/gnu/store/wxgv6i8g0p24q5gcyzd0yr07s8kn9680-sed-4.8/bin:/gnu/store/xjwp2h=
sd9256icjjybfrmznppjicywf6-grep-3.6/bin:/gnu/store/d251rfgc9nm2clzffzhgiipd=
vfvzkvwi-coreutils-8.32/bin:/gnu/store/55cbpsi18mahg131nmiya6km5b4mscfa-mak=
e-4.3/bin:/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bi=
n:/gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapper-0/bin:/gnu/store/r=
c781v4k0drhaqn90xfwwpspki5x0bvf-binutils-2.37/bin:/gnu/store/069aq2v993kpc4=
1yabp5b6vm4wb9jkhg-gcc-10.3.0/bin:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr=
4s-glibc-2.33/bin:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/sb=
in:/gnu/store/hy6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.0/bin:/gnu/store/2=
11qlvyn3spc93r2zlzlh0qkmr54qh0h-gettext-minimal-0.21/bin:/gnu/store/zwig9r3=
1yncx36h2rngmjx2mqfaqqhxv-xfconf-4.18.0/bin:/gnu/store/a4702m1cv5vmhddpw1zq=
dwy22jqmngpb-libxfce4util-4.18.0/sbin:/gnu/store/fg76cjzdk413dfkx50fkcwd3wp=
byfpi1-pcre2-10.37/bin:/gnu/store/zl9wf0zwq2ka9rpmayp53hnp2mn460xf-gnutls-3=
.7.2/bin:/gnu/store/fx5xq2rb6pnxbw182ycywjdxjllw7kpa-wayland-1.20.0/bin:/gn=
u/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/bin:/gnu/store/5sdcr=
p4591sb2m3h6903vhpdb6zy1cnm-libxkbcommon-1.3.0/bin:/gnu/store/0w390zkxhzhkm=
yp0sns8z97bfmzbr7gz-librsvg-2.50.7/bin:/gnu/store/ak70pk2hjks17cx7zjdmdmzpc=
piy9gpi-freetype-2.10.4/bin:/gnu/store/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fon=
tconfig-minimal-2.13.94/bin:/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fri=
bidi-1.0.9/bin:/gnu/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/bin=
:/gnu/store/x1jd7pqfn9ilb6x97azcfq1fhjr63p0z-p11-kit-0.23.22/bin:/gnu/store=
/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.7.3/bin:/gnu/store/fjq8aca46v502=
mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/bin:/gnu/store/4gcznd9r1r3hlmkb2m7s1a37ra=
dgnspn-libtasn1-4.17.0/bin:/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-=
pixbuf-2.42.4/bin:/gnu/store/p7iq81hxxyk9zy7a9dngbf16zm8d4klx-libpng-1.6.37=
/bin:/gnu/store/iwcw80p8lkqsqbvchjvypvl06qlbjc3d-expat-2.4.1/bin:/gnu/store=
/qlz21x91bs9n3f8nangfsk6g5rfqxvaz-libdatrie-0.2.13/bin:/gnu/store/bjycxjjkp=
1da53ijsa4hfdrz9mcgg55h-icu4c-69.1/bin:/gnu/store/bjycxjjkp1da53ijsa4hfdrz9=
mcgg55h-icu4c-69.1/sbin:/gnu/store/z6d288h1g876vypda400nhh224yz49im-graphit=
e2-1.3.13/bin:/gnu/store/cy22y32frsq4yrnk1lf0cnvbnqmaclcb-shared-mime-info-=
1.15/bin:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/bin'
environment variable `PKG_CONFIG_PATH' set to `/gnu/store/zn6xyz6x2ksjpfb2q=
r68pczk9hfdl9mb-libxfce4ui-4.18.0/lib/pkgconfig:/gnu/store/sjwpyaqqx0rcymli=
ykfq615ip8zwknbv-vte-0.69.99/lib/pkgconfig:/gnu/store/c8isj4jq6knv0icfgr43d=
i6q3nvdzkx7-xz-5.2.5/lib/pkgconfig:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyi=
shv-file-5.39/lib/pkgconfig:/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv-xfc=
onf-4.18.0/lib/pkgconfig:/gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfc=
e4util-4.18.0/lib/pkgconfig:/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk=
+-3.24.30/lib/pkgconfig:/gnu/store/fg76cjzdk413dfkx50fkcwd3wpbyfpi1-pcre2-1=
0.37/lib/pkgconfig:/gnu/store/zl9wf0zwq2ka9rpmayp53hnp2mn460xf-gnutls-3.7.2=
/lib/pkgconfig:/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/=
pkgconfig:/gnu/store/h2k8n0pblk1wc418pshzsf08d7ndc7b7-wayland-protocols-1.2=
3/share/pkgconfig:/gnu/store/fx5xq2rb6pnxbw182ycywjdxjllw7kpa-wayland-1.20.=
0/lib/pkgconfig:/gnu/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/l=
ib/pkgconfig:/gnu/store/sdzfljm6san79pqiy42yp0nzmkr2bafc-mesa-21.3.8/lib/pk=
gconfig:/gnu/store/jh778dla5w316bsfc63q8fnhn87j81lw-libxrender-0.9.10/lib/p=
kgconfig:/gnu/store/25k894kwhf4ljw1nl9rz6rm0c9sz5qaz-libxrandr-1.5.2/lib/pk=
gconfig:/gnu/store/5sdcrp4591sb2m3h6903vhpdb6zy1cnm-libxkbcommon-1.3.0/lib/=
pkgconfig:/gnu/store/6h8skg2n4gpbi0bwfmw6qyh03phic6dm-libxinerama-1.1.4/lib=
/pkgconfig:/gnu/store/3s0xcy15rkh08y8cd50skbs5b4js8zb5-libxi-1.7.10/lib/pkg=
config:/gnu/store/7rwz6yjir4ysnhskcw5k8azksjwqd6pa-libxfixes-6.0.0/lib/pkgc=
onfig:/gnu/store/4fhg8f8c6q647v7pysbng3j30frg0hcl-libxext-1.3.4/lib/pkgconf=
ig:/gnu/store/i4yh9pwl39qvl9nf8q48gmjgq3wxi36b-libxdamage-1.1.5/lib/pkgconf=
ig:/gnu/store/mx0bsijgajia8b0s7zfsc135ichy111d-libxcursor-1.2.0/lib/pkgconf=
ig:/gnu/store/qzyp6p8gmxlpvd7wmijz5zn3cqmg4342-libxcomposite-0.4.5/lib/pkgc=
onfig:/gnu/store/fa43ijbrb96x08621qigxxiphp503lsi-libx11-1.7.3.1/lib/pkgcon=
fig:/gnu/store/kxa5gvaydh012g4ar7xcvj4fq9wqlsmd-libepoxy-1.5.10/lib/pkgconf=
ig:/gnu/store/m8cbvh6lrcwngi98828w122jq919rk5g-libcloudproviders-minimal-0.=
3.1/lib/pkgconfig:/gnu/store/0w390zkxhzhkmyp0sns8z97bfmzbr7gz-librsvg-2.50.=
7/lib/pkgconfig:/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4=
/lib/pkgconfig:/gnu/store/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fontconfig-minim=
al-2.13.94/lib/pkgconfig:/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribid=
i-1.0.9/lib/pkgconfig:/gnu/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.1=
6.0/lib/pkgconfig:/gnu/store/7axz3k9lr821b5wxk7ylb86r749rj989-at-spi2-atk-2=
.38.0/lib/pkgconfig:/gnu/store/np9pryvn0rxc00cc6g4jd7rlcxwk2mxs-atk-2.36.0/=
lib/pkgconfig:/gnu/store/x1jd7pqfn9ilb6x97azcfq1fhjr63p0z-p11-kit-0.23.22/l=
ib/pkgconfig:/gnu/store/8qv5kb2fgm4c3bf70zcg9l6hkf3qzpw9-zlib-1.2.11/lib/pk=
gconfig:/gnu/store/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.7.3/lib/pkgcon=
fig:/gnu/store/fjq8aca46v502mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/lib/pkgconfig=
:/gnu/store/4gcznd9r1r3hlmkb2m7s1a37radgnspn-libtasn1-4.17.0/lib/pkgconfig:=
/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/lib/pkgco=
nfig:/gnu/store/di5bqb45hi5lvp2q08hlxqjdcl9phjb1-pcre-8.45/lib/pkgconfig:/g=
nu/store/wgqhlc12qvlwiklam7hz2r311fdcqfim-libffi-3.3/lib/pkgconfig:/gnu/sto=
re/5w1pa4ir1p38vnlb3fn2ixg9qi66zr6v-libxft-2.3.3/lib/pkgconfig:/gnu/store/2=
zlx5p93icsrqvc0w3lzgkc6dd3wd4jl-libthai-0.1.28/lib/pkgconfig:/gnu/store/f6i=
bajh7x233cvr30c2p314l2absk36h-harfbuzz-2.8.2/lib/pkgconfig:/gnu/store/vfak5=
v1d0hjgq6p845r809vrf4kplsnz-xorgproto-2021.5/share/pkgconfig:/gnu/store/kdr=
l0zydxg29fxz03wff6s7nji3wp1mb-libxxf86vm-1.1.4/lib/pkgconfig:/gnu/store/hby=
mc5z6rpj0m1a00iglc779kdnbglf0-libxshmfence-1.3/lib/pkgconfig:/gnu/store/f8v=
7w0v3fqj2798313bpnyw2n52d34wf-libvdpau-1.4/lib/pkgconfig:/gnu/store/c1nvl9h=
cgl09nysmy1qqsz5ljiarxdjs-libdrm-2.4.107/lib/pkgconfig:/gnu/store/v8raqm2sh=
h9azkl71107p53j55hir306-libxcb-1.14/lib/pkgconfig:/gnu/store/xgiz9rvzvfhwx6=
55lb6jpjx1whc4kjg8-gdk-pixbuf-2.42.4/lib/pkgconfig:/gnu/store/p7iq81hxxyk9z=
y7a9dngbf16zm8d4klx-libpng-1.6.37/lib/pkgconfig:/gnu/store/iwcw80p8lkqsqbvc=
hjvypvl06qlbjc3d-expat-2.4.1/lib/pkgconfig:/gnu/store/j8x167zaka2h6pxk7wiq5=
zkg67hzf8a2-pixman-0.40.0/lib/pkgconfig:/gnu/store/dy7pcifp98kp9952c1dsblgz=
cfvqw01v-at-spi2-core-2.40.0/lib/pkgconfig:/gnu/store/fwbiihd2sbhai63y1pvvd=
h0f2bakfzrf-gmp-6.2.1/lib/pkgconfig:/gnu/store/qlz21x91bs9n3f8nangfsk6g5rfq=
xvaz-libdatrie-0.2.13/lib/pkgconfig:/gnu/store/bjycxjjkp1da53ijsa4hfdrz9mcg=
g55h-icu4c-69.1/lib/pkgconfig:/gnu/store/z6d288h1g876vypda400nhh224yz49im-g=
raphite2-1.3.13/lib/pkgconfig:/gnu/store/l7kl3m89czk3nnknx4ljn7gdxhvxlyfa-u=
til-macros-1.19.3/lib/pkgconfig:/gnu/store/p30n7i9jcwzf9iz2009vfb7sgx30bv76=
-libpciaccess-0.16/lib/pkgconfig:/gnu/store/dfzp4rhkzqqagx3djn2kcnaflz1m844=
6-libxdmcp-1.1.3/lib/pkgconfig:/gnu/store/9k6slxs8ynz46h85bcy3zk2mx0nn8rpf-=
libxau-1.0.9/lib/pkgconfig:/gnu/store/9pdhgsdmnddgdnwpn0jalp1ryyjjkp56-libp=
thread-stubs-0.4/lib/pkgconfig:/gnu/store/cy22y32frsq4yrnk1lf0cnvbnqmaclcb-=
shared-mime-info-1.15/share/pkgconfig:/gnu/store/r6jh7gpvavfka5q01vz9b7m028=
wkgm3f-libxtst-1.2.3/lib/pkgconfig:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2=
684-dbus-1.12.20/lib/pkgconfig'
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/zn6xyz6x2ksjpfb2qr=
68pczk9hfdl9mb-libxfce4ui-4.18.0/include:/gnu/store/sjwpyaqqx0rcymliykfq615=
ip8zwknbv-vte-0.69.99/include:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-b=
zip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/inc=
lude:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/include:/gnu/sto=
re/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu/store/55cbpsi18=
mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4k0drhaqn90xfwwps=
pki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg=
-gcc-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/=
include:/gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettext-minimal-0.21/in=
clude:/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv-xfconf-4.18.0/include:/gn=
u/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4util-4.18.0/include:/gnu/s=
tore/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/include:/gnu/store/fg76c=
jzdk413dfkx50fkcwd3wpbyfpi1-pcre2-10.37/include:/gnu/store/zl9wf0zwq2ka9rpm=
ayp53hnp2mn460xf-gnutls-3.7.2/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8=
rngfkk-linux-libre-headers-5.10.35/include:/gnu/store/96srhmpmxa20wmsck95g3=
iq4hb3lz4a0-glib-2.70.2/include:/gnu/store/fx5xq2rb6pnxbw182ycywjdxjllw7kpa=
-wayland-1.20.0/include:/gnu/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1=
.48.10/include:/gnu/store/sdzfljm6san79pqiy42yp0nzmkr2bafc-mesa-21.3.8/incl=
ude:/gnu/store/jh778dla5w316bsfc63q8fnhn87j81lw-libxrender-0.9.10/include:/=
gnu/store/25k894kwhf4ljw1nl9rz6rm0c9sz5qaz-libxrandr-1.5.2/include:/gnu/sto=
re/5sdcrp4591sb2m3h6903vhpdb6zy1cnm-libxkbcommon-1.3.0/include:/gnu/store/6=
h8skg2n4gpbi0bwfmw6qyh03phic6dm-libxinerama-1.1.4/include:/gnu/store/3s0xcy=
15rkh08y8cd50skbs5b4js8zb5-libxi-1.7.10/include:/gnu/store/7rwz6yjir4ysnhsk=
cw5k8azksjwqd6pa-libxfixes-6.0.0/include:/gnu/store/4fhg8f8c6q647v7pysbng3j=
30frg0hcl-libxext-1.3.4/include:/gnu/store/i4yh9pwl39qvl9nf8q48gmjgq3wxi36b=
-libxdamage-1.1.5/include:/gnu/store/mx0bsijgajia8b0s7zfsc135ichy111d-libxc=
ursor-1.2.0/include:/gnu/store/qzyp6p8gmxlpvd7wmijz5zn3cqmg4342-libxcomposi=
te-0.4.5/include:/gnu/store/fa43ijbrb96x08621qigxxiphp503lsi-libx11-1.7.3.1=
/include:/gnu/store/kxa5gvaydh012g4ar7xcvj4fq9wqlsmd-libepoxy-1.5.10/includ=
e:/gnu/store/m8cbvh6lrcwngi98828w122jq919rk5g-libcloudproviders-minimal-0.3=
.1/include:/gnu/store/0w390zkxhzhkmyp0sns8z97bfmzbr7gz-librsvg-2.50.7/inclu=
de:/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include:/gnu=
/store/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fontconfig-minimal-2.13.94/include:=
/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/include:/gnu/stor=
e/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/include:/gnu/store/7axz3k9l=
r821b5wxk7ylb86r749rj989-at-spi2-atk-2.38.0/include:/gnu/store/np9pryvn0rxc=
00cc6g4jd7rlcxwk2mxs-atk-2.36.0/include:/gnu/store/x1jd7pqfn9ilb6x97azcfq1f=
hjr63p0z-p11-kit-0.23.22/include:/gnu/store/8qv5kb2fgm4c3bf70zcg9l6hkf3qzpw=
9-zlib-1.2.11/include:/gnu/store/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.=
7.3/include:/gnu/store/fjq8aca46v502mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/inclu=
de:/gnu/store/4gcznd9r1r3hlmkb2m7s1a37radgnspn-libtasn1-4.17.0/include:/gnu=
/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/include:/gnu/=
store/di5bqb45hi5lvp2q08hlxqjdcl9phjb1-pcre-8.45/include:/gnu/store/wgqhlc1=
2qvlwiklam7hz2r311fdcqfim-libffi-3.3/include:/gnu/store/5w1pa4ir1p38vnlb3fn=
2ixg9qi66zr6v-libxft-2.3.3/include:/gnu/store/2zlx5p93icsrqvc0w3lzgkc6dd3wd=
4jl-libthai-0.1.28/include:/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-harf=
buzz-2.8.2/include:/gnu/store/vfak5v1d0hjgq6p845r809vrf4kplsnz-xorgproto-20=
21.5/include:/gnu/store/kdrl0zydxg29fxz03wff6s7nji3wp1mb-libxxf86vm-1.1.4/i=
nclude:/gnu/store/hbymc5z6rpj0m1a00iglc779kdnbglf0-libxshmfence-1.3/include=
:/gnu/store/f8v7w0v3fqj2798313bpnyw2n52d34wf-libvdpau-1.4/include:/gnu/stor=
e/c1nvl9hcgl09nysmy1qqsz5ljiarxdjs-libdrm-2.4.107/include:/gnu/store/v8raqm=
2shh9azkl71107p53j55hir306-libxcb-1.14/include:/gnu/store/xgiz9rvzvfhwx655l=
b6jpjx1whc4kjg8-gdk-pixbuf-2.42.4/include:/gnu/store/p7iq81hxxyk9zy7a9dngbf=
16zm8d4klx-libpng-1.6.37/include:/gnu/store/iwcw80p8lkqsqbvchjvypvl06qlbjc3=
d-expat-2.4.1/include:/gnu/store/j8x167zaka2h6pxk7wiq5zkg67hzf8a2-pixman-0.=
40.0/include:/gnu/store/dy7pcifp98kp9952c1dsblgzcfvqw01v-at-spi2-core-2.40.=
0/include:/gnu/store/fwbiihd2sbhai63y1pvvdh0f2bakfzrf-gmp-6.2.1/include:/gn=
u/store/qlz21x91bs9n3f8nangfsk6g5rfqxvaz-libdatrie-0.2.13/include:/gnu/stor=
e/bjycxjjkp1da53ijsa4hfdrz9mcgg55h-icu4c-69.1/include:/gnu/store/z6d288h1g8=
76vypda400nhh224yz49im-graphite2-1.3.13/include:/gnu/store/p30n7i9jcwzf9iz2=
009vfb7sgx30bv76-libpciaccess-0.16/include:/gnu/store/dfzp4rhkzqqagx3djn2kc=
naflz1m8446-libxdmcp-1.1.3/include:/gnu/store/9k6slxs8ynz46h85bcy3zk2mx0nn8=
rpf-libxau-1.0.9/include:/gnu/store/r6jh7gpvavfka5q01vz9b7m028wkgm3f-libxts=
t-1.2.3/include:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/in=
clude'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/zn6xyz6x2ksjpf=
b2qr68pczk9hfdl9mb-libxfce4ui-4.18.0/include:/gnu/store/sjwpyaqqx0rcymliykf=
q615ip8zwknbv-vte-0.69.99/include:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzm=
sg-bzip2-1.0.8/include:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5=
/include:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/include:/gnu=
/store/690qz3fg334dpwn3pn6k59n4wc943p2b-gawk-5.1.0/include:/gnu/store/55cbp=
si18mahg131nmiya6km5b4mscfa-make-4.3/include:/gnu/store/rc781v4k0drhaqn90xf=
wwpspki5x0bvf-binutils-2.37/include:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9=
jkhg-gcc-10.3.0/include/c++:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc=
-10.3.0/include:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/incl=
ude:/gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettext-minimal-0.21/includ=
e:/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv-xfconf-4.18.0/include:/gnu/st=
ore/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4util-4.18.0/include:/gnu/store=
/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/include:/gnu/store/fg76cjzdk=
413dfkx50fkcwd3wpbyfpi1-pcre2-10.37/include:/gnu/store/zl9wf0zwq2ka9rpmayp5=
3hnp2mn460xf-gnutls-3.7.2/include:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngf=
kk-linux-libre-headers-5.10.35/include:/gnu/store/96srhmpmxa20wmsck95g3iq4h=
b3lz4a0-glib-2.70.2/include:/gnu/store/fx5xq2rb6pnxbw182ycywjdxjllw7kpa-way=
land-1.20.0/include:/gnu/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.=
10/include:/gnu/store/sdzfljm6san79pqiy42yp0nzmkr2bafc-mesa-21.3.8/include:=
/gnu/store/jh778dla5w316bsfc63q8fnhn87j81lw-libxrender-0.9.10/include:/gnu/=
store/25k894kwhf4ljw1nl9rz6rm0c9sz5qaz-libxrandr-1.5.2/include:/gnu/store/5=
sdcrp4591sb2m3h6903vhpdb6zy1cnm-libxkbcommon-1.3.0/include:/gnu/store/6h8sk=
g2n4gpbi0bwfmw6qyh03phic6dm-libxinerama-1.1.4/include:/gnu/store/3s0xcy15rk=
h08y8cd50skbs5b4js8zb5-libxi-1.7.10/include:/gnu/store/7rwz6yjir4ysnhskcw5k=
8azksjwqd6pa-libxfixes-6.0.0/include:/gnu/store/4fhg8f8c6q647v7pysbng3j30fr=
g0hcl-libxext-1.3.4/include:/gnu/store/i4yh9pwl39qvl9nf8q48gmjgq3wxi36b-lib=
xdamage-1.1.5/include:/gnu/store/mx0bsijgajia8b0s7zfsc135ichy111d-libxcurso=
r-1.2.0/include:/gnu/store/qzyp6p8gmxlpvd7wmijz5zn3cqmg4342-libxcomposite-0=
.4.5/include:/gnu/store/fa43ijbrb96x08621qigxxiphp503lsi-libx11-1.7.3.1/inc=
lude:/gnu/store/kxa5gvaydh012g4ar7xcvj4fq9wqlsmd-libepoxy-1.5.10/include:/g=
nu/store/m8cbvh6lrcwngi98828w122jq919rk5g-libcloudproviders-minimal-0.3.1/i=
nclude:/gnu/store/0w390zkxhzhkmyp0sns8z97bfmzbr7gz-librsvg-2.50.7/include:/=
gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include:/gnu/sto=
re/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fontconfig-minimal-2.13.94/include:/gnu=
/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/include:/gnu/store/6g=
q2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/include:/gnu/store/7axz3k9lr821=
b5wxk7ylb86r749rj989-at-spi2-atk-2.38.0/include:/gnu/store/np9pryvn0rxc00cc=
6g4jd7rlcxwk2mxs-atk-2.36.0/include:/gnu/store/x1jd7pqfn9ilb6x97azcfq1fhjr6=
3p0z-p11-kit-0.23.22/include:/gnu/store/8qv5kb2fgm4c3bf70zcg9l6hkf3qzpw9-zl=
ib-1.2.11/include:/gnu/store/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.7.3/=
include:/gnu/store/fjq8aca46v502mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/include:/=
gnu/store/4gcznd9r1r3hlmkb2m7s1a37radgnspn-libtasn1-4.17.0/include:/gnu/sto=
re/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/include:/gnu/stor=
e/di5bqb45hi5lvp2q08hlxqjdcl9phjb1-pcre-8.45/include:/gnu/store/wgqhlc12qvl=
wiklam7hz2r311fdcqfim-libffi-3.3/include:/gnu/store/5w1pa4ir1p38vnlb3fn2ixg=
9qi66zr6v-libxft-2.3.3/include:/gnu/store/2zlx5p93icsrqvc0w3lzgkc6dd3wd4jl-=
libthai-0.1.28/include:/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-harfbuzz=
-2.8.2/include:/gnu/store/vfak5v1d0hjgq6p845r809vrf4kplsnz-xorgproto-2021.5=
/include:/gnu/store/kdrl0zydxg29fxz03wff6s7nji3wp1mb-libxxf86vm-1.1.4/inclu=
de:/gnu/store/hbymc5z6rpj0m1a00iglc779kdnbglf0-libxshmfence-1.3/include:/gn=
u/store/f8v7w0v3fqj2798313bpnyw2n52d34wf-libvdpau-1.4/include:/gnu/store/c1=
nvl9hcgl09nysmy1qqsz5ljiarxdjs-libdrm-2.4.107/include:/gnu/store/v8raqm2shh=
9azkl71107p53j55hir306-libxcb-1.14/include:/gnu/store/xgiz9rvzvfhwx655lb6jp=
jx1whc4kjg8-gdk-pixbuf-2.42.4/include:/gnu/store/p7iq81hxxyk9zy7a9dngbf16zm=
8d4klx-libpng-1.6.37/include:/gnu/store/iwcw80p8lkqsqbvchjvypvl06qlbjc3d-ex=
pat-2.4.1/include:/gnu/store/j8x167zaka2h6pxk7wiq5zkg67hzf8a2-pixman-0.40.0=
/include:/gnu/store/dy7pcifp98kp9952c1dsblgzcfvqw01v-at-spi2-core-2.40.0/in=
clude:/gnu/store/fwbiihd2sbhai63y1pvvdh0f2bakfzrf-gmp-6.2.1/include:/gnu/st=
ore/qlz21x91bs9n3f8nangfsk6g5rfqxvaz-libdatrie-0.2.13/include:/gnu/store/bj=
ycxjjkp1da53ijsa4hfdrz9mcgg55h-icu4c-69.1/include:/gnu/store/z6d288h1g876vy=
pda400nhh224yz49im-graphite2-1.3.13/include:/gnu/store/p30n7i9jcwzf9iz2009v=
fb7sgx30bv76-libpciaccess-0.16/include:/gnu/store/dfzp4rhkzqqagx3djn2kcnafl=
z1m8446-libxdmcp-1.1.3/include:/gnu/store/9k6slxs8ynz46h85bcy3zk2mx0nn8rpf-=
libxau-1.0.9/include:/gnu/store/r6jh7gpvavfka5q01vz9b7m028wkgm3f-libxtst-1.=
2.3/include:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/includ=
e'
environment variable `LIBRARY_PATH' set to `/gnu/store/zn6xyz6x2ksjpfb2qr68=
pczk9hfdl9mb-libxfce4ui-4.18.0/lib:/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwk=
nbv-vte-0.69.99/lib:/gnu/store/s3hl12jxz9ybs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8=
/lib:/gnu/store/c8isj4jq6knv0icfgr43di6q3nvdzkx7-xz-5.2.5/lib:/gnu/store/4i=
c6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/lib:/gnu/store/690qz3fg334dpwn3pn6=
k59n4wc943p2b-gawk-5.1.0/lib:/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-bi=
nutils-2.37/lib:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/lib:=
/gnu/store/4jdghmc65q7i7ib89zmvq66l0ghf7jc4-glibc-2.33-static/lib:/gnu/stor=
e/fnr1z6xsan0437r0yg48d0y8k32kqxby-glibc-utf8-locales-2.33/lib:/gnu/store/h=
y6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.0/lib:/gnu/store/ff9112jrvn7gh14j=
r09bky52r4ir7rzv-perl-xml-parser-2.46/lib:/gnu/store/211qlvyn3spc93r2zlzlh0=
qkmr54qh0h-gettext-minimal-0.21/lib:/gnu/store/zwig9r31yncx36h2rngmjx2mqfaq=
qhxv-xfconf-4.18.0/lib:/gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4=
util-4.18.0/lib:/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/li=
b:/gnu/store/fg76cjzdk413dfkx50fkcwd3wpbyfpi1-pcre2-10.37/lib:/gnu/store/zl=
9wf0zwq2ka9rpmayp53hnp2mn460xf-gnutls-3.7.2/lib:/gnu/store/96srhmpmxa20wmsc=
k95g3iq4hb3lz4a0-glib-2.70.2/lib:/gnu/store/fx5xq2rb6pnxbw182ycywjdxjllw7kp=
a-wayland-1.20.0/lib:/gnu/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48=
.10/lib:/gnu/store/sdzfljm6san79pqiy42yp0nzmkr2bafc-mesa-21.3.8/lib:/gnu/st=
ore/jh778dla5w316bsfc63q8fnhn87j81lw-libxrender-0.9.10/lib:/gnu/store/25k89=
4kwhf4ljw1nl9rz6rm0c9sz5qaz-libxrandr-1.5.2/lib:/gnu/store/5sdcrp4591sb2m3h=
6903vhpdb6zy1cnm-libxkbcommon-1.3.0/lib:/gnu/store/6h8skg2n4gpbi0bwfmw6qyh0=
3phic6dm-libxinerama-1.1.4/lib:/gnu/store/3s0xcy15rkh08y8cd50skbs5b4js8zb5-=
libxi-1.7.10/lib:/gnu/store/7rwz6yjir4ysnhskcw5k8azksjwqd6pa-libxfixes-6.0.=
0/lib:/gnu/store/4fhg8f8c6q647v7pysbng3j30frg0hcl-libxext-1.3.4/lib:/gnu/st=
ore/i4yh9pwl39qvl9nf8q48gmjgq3wxi36b-libxdamage-1.1.5/lib:/gnu/store/mx0bsi=
jgajia8b0s7zfsc135ichy111d-libxcursor-1.2.0/lib:/gnu/store/qzyp6p8gmxlpvd7w=
mijz5zn3cqmg4342-libxcomposite-0.4.5/lib:/gnu/store/fa43ijbrb96x08621qigxxi=
php503lsi-libx11-1.7.3.1/lib:/gnu/store/kxa5gvaydh012g4ar7xcvj4fq9wqlsmd-li=
bepoxy-1.5.10/lib:/gnu/store/m8cbvh6lrcwngi98828w122jq919rk5g-libcloudprovi=
ders-minimal-0.3.1/lib:/gnu/store/0w390zkxhzhkmyp0sns8z97bfmzbr7gz-librsvg-=
2.50.7/lib:/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/lib:=
/gnu/store/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fontconfig-minimal-2.13.94/lib:=
/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/lib:/gnu/store/6g=
q2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/lib:/gnu/store/7axz3k9lr821b5wx=
k7ylb86r749rj989-at-spi2-atk-2.38.0/lib:/gnu/store/np9pryvn0rxc00cc6g4jd7rl=
cxwk2mxs-atk-2.36.0/lib:/gnu/store/x1jd7pqfn9ilb6x97azcfq1fhjr63p0z-p11-kit=
-0.23.22/lib:/gnu/store/8qv5kb2fgm4c3bf70zcg9l6hkf3qzpw9-zlib-1.2.11/lib:/g=
nu/store/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.7.3/lib:/gnu/store/fjq8a=
ca46v502mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/lib:/gnu/store/4gcznd9r1r3hlmkb2m=
7s1a37radgnspn-libtasn1-4.17.0/lib:/gnu/store/5583c2za2jsn9g6az79rnksgvigwn=
sk7-util-linux-2.37.2-lib/lib:/gnu/store/di5bqb45hi5lvp2q08hlxqjdcl9phjb1-p=
cre-8.45/lib:/gnu/store/wgqhlc12qvlwiklam7hz2r311fdcqfim-libffi-3.3/lib:/gn=
u/store/5w1pa4ir1p38vnlb3fn2ixg9qi66zr6v-libxft-2.3.3/lib:/gnu/store/2zlx5p=
93icsrqvc0w3lzgkc6dd3wd4jl-libthai-0.1.28/lib:/gnu/store/f6ibajh7x233cvr30c=
2p314l2absk36h-harfbuzz-2.8.2/lib:/gnu/store/kdrl0zydxg29fxz03wff6s7nji3wp1=
mb-libxxf86vm-1.1.4/lib:/gnu/store/hbymc5z6rpj0m1a00iglc779kdnbglf0-libxshm=
fence-1.3/lib:/gnu/store/f8v7w0v3fqj2798313bpnyw2n52d34wf-libvdpau-1.4/lib:=
/gnu/store/c1nvl9hcgl09nysmy1qqsz5ljiarxdjs-libdrm-2.4.107/lib:/gnu/store/v=
8raqm2shh9azkl71107p53j55hir306-libxcb-1.14/lib:/gnu/store/xgiz9rvzvfhwx655=
lb6jpjx1whc4kjg8-gdk-pixbuf-2.42.4/lib:/gnu/store/p7iq81hxxyk9zy7a9dngbf16z=
m8d4klx-libpng-1.6.37/lib:/gnu/store/iwcw80p8lkqsqbvchjvypvl06qlbjc3d-expat=
-2.4.1/lib:/gnu/store/j8x167zaka2h6pxk7wiq5zkg67hzf8a2-pixman-0.40.0/lib:/g=
nu/store/dy7pcifp98kp9952c1dsblgzcfvqw01v-at-spi2-core-2.40.0/lib:/gnu/stor=
e/fwbiihd2sbhai63y1pvvdh0f2bakfzrf-gmp-6.2.1/lib:/gnu/store/qlz21x91bs9n3f8=
nangfsk6g5rfqxvaz-libdatrie-0.2.13/lib:/gnu/store/bjycxjjkp1da53ijsa4hfdrz9=
mcgg55h-icu4c-69.1/lib:/gnu/store/z6d288h1g876vypda400nhh224yz49im-graphite=
2-1.3.13/lib:/gnu/store/l7kl3m89czk3nnknx4ljn7gdxhvxlyfa-util-macros-1.19.3=
/lib:/gnu/store/p30n7i9jcwzf9iz2009vfb7sgx30bv76-libpciaccess-0.16/lib:/gnu=
/store/dfzp4rhkzqqagx3djn2kcnaflz1m8446-libxdmcp-1.1.3/lib:/gnu/store/9k6sl=
xs8ynz46h85bcy3zk2mx0nn8rpf-libxau-1.0.9/lib:/gnu/store/9pdhgsdmnddgdnwpn0j=
alp1ryyjjkp56-libpthread-stubs-0.4/lib:/gnu/store/r6jh7gpvavfka5q01vz9b7m02=
8wkgm3f-libxtst-1.2.3/lib:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-=
1.12.20/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/fnr1z6xsan0437r0yg48=
d0y8k32kqxby-glibc-utf8-locales-2.33/lib/locale'
environment variable `PERL5LIB' set to `/gnu/store/hy6abswwv4d89zp464fw52z6=
5fkzr7h5-perl-5.34.0/lib/perl5/site_perl:/gnu/store/ff9112jrvn7gh14jr09bky5=
2r4ir7rzv-perl-xml-parser-2.46/lib/perl5/site_perl'
environment variable `GUIX_GTK3_PATH' set to `/gnu/store/4aq7hw017s9ihpm1rx=
pwfz28c80569z9-gtk+-3.24.30/lib/gtk-3.0'
environment variable `XDG_DATA_DIRS' set to `/gnu/store/2b3blhwbag1ial0dhxw=
7wh4zjxl0cqpk-pkg-config-0.29.2/share:/gnu/store/xhvrz1imcdbcqa5c71zm9j68bs=
g33pxi-intltool-0.51.0/share:/gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-li=
bxfce4ui-4.18.0/share:/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.=
99/share:/gnu/store/g2ajyl8xk9aarxrgjbng2hkj3qm2v0z2-tar-1.34/share:/gnu/st=
ore/iixwcv3k49ks1rf34pjgfzmzyhhgwng3-gzip-1.10/share:/gnu/store/s3hl12jxz9y=
bs7nsy7kq7ybzz7qnzmsg-bzip2-1.0.8/share:/gnu/store/c8isj4jq6knv0icfgr43di6q=
3nvdzkx7-xz-5.2.5/share:/gnu/store/4ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.=
39/share:/gnu/store/ahmmvw21p11ik80lg1f953y7fd8bqkjm-diffutils-3.8/share:/g=
nu/store/z39hnrwds1dgcbpfgj8dnv2cngjb2xbl-patch-2.7.6/share:/gnu/store/39rs=
x3nl4c31952jybbjb8d6idr5hx7r-findutils-4.8.0/share:/gnu/store/690qz3fg334dp=
wn3pn6k59n4wc943p2b-gawk-5.1.0/share:/gnu/store/wxgv6i8g0p24q5gcyzd0yr07s8k=
n9680-sed-4.8/share:/gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/sh=
are:/gnu/store/d251rfgc9nm2clzffzhgiipdvfvzkvwi-coreutils-8.32/share:/gnu/s=
tore/55cbpsi18mahg131nmiya6km5b4mscfa-make-4.3/share:/gnu/store/4y5m9lb8k3q=
kb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/share:/gnu/store/rc781v4k0drhaqn90=
xfwwpspki5x0bvf-binutils-2.37/share:/gnu/store/069aq2v993kpc41yabp5b6vm4wb9=
jkhg-gcc-10.3.0/share:/gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.3=
3/share:/gnu/store/4jdghmc65q7i7ib89zmvq66l0ghf7jc4-glibc-2.33-static/share=
:/gnu/store/hy6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.0/share:/gnu/store/f=
f9112jrvn7gh14jr09bky52r4ir7rzv-perl-xml-parser-2.46/share:/gnu/store/211ql=
vyn3spc93r2zlzlh0qkmr54qh0h-gettext-minimal-0.21/share:/gnu/store/zwig9r31y=
ncx36h2rngmjx2mqfaqqhxv-xfconf-4.18.0/share:/gnu/store/a4702m1cv5vmhddpw1zq=
dwy22jqmngpb-libxfce4util-4.18.0/share:/gnu/store/4aq7hw017s9ihpm1rxpwfz28c=
80569z9-gtk+-3.24.30/share:/gnu/store/fg76cjzdk413dfkx50fkcwd3wpbyfpi1-pcre=
2-10.37/share:/gnu/store/zl9wf0zwq2ka9rpmayp53hnp2mn460xf-gnutls-3.7.2/shar=
e:/gnu/store/6mjww4iz4xdan74d5bbjfh7il8rngfkk-linux-libre-headers-5.10.35/s=
hare:/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/share:/gnu/sto=
re/h2k8n0pblk1wc418pshzsf08d7ndc7b7-wayland-protocols-1.23/share:/gnu/store=
/fx5xq2rb6pnxbw182ycywjdxjllw7kpa-wayland-1.20.0/share:/gnu/store/vk23fcm4l=
ivzrnb3kzhxs6yjds8f355c-pango-1.48.10/share:/gnu/store/sdzfljm6san79pqiy42y=
p0nzmkr2bafc-mesa-21.3.8/share:/gnu/store/jh778dla5w316bsfc63q8fnhn87j81lw-=
libxrender-0.9.10/share:/gnu/store/25k894kwhf4ljw1nl9rz6rm0c9sz5qaz-libxran=
dr-1.5.2/share:/gnu/store/5sdcrp4591sb2m3h6903vhpdb6zy1cnm-libxkbcommon-1.3=
.0/share:/gnu/store/6h8skg2n4gpbi0bwfmw6qyh03phic6dm-libxinerama-1.1.4/shar=
e:/gnu/store/3s0xcy15rkh08y8cd50skbs5b4js8zb5-libxi-1.7.10/share:/gnu/store=
/7rwz6yjir4ysnhskcw5k8azksjwqd6pa-libxfixes-6.0.0/share:/gnu/store/4fhg8f8c=
6q647v7pysbng3j30frg0hcl-libxext-1.3.4/share:/gnu/store/i4yh9pwl39qvl9nf8q4=
8gmjgq3wxi36b-libxdamage-1.1.5/share:/gnu/store/mx0bsijgajia8b0s7zfsc135ich=
y111d-libxcursor-1.2.0/share:/gnu/store/qzyp6p8gmxlpvd7wmijz5zn3cqmg4342-li=
bxcomposite-0.4.5/share:/gnu/store/fa43ijbrb96x08621qigxxiphp503lsi-libx11-=
1.7.3.1/share:/gnu/store/0w390zkxhzhkmyp0sns8z97bfmzbr7gz-librsvg-2.50.7/sh=
are:/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/share:/gnu/=
store/3r5sl1l02kjxzw3gicjpjz4kw6v4rgs9-fontconfig-minimal-2.13.94/share:/gn=
u/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/share:/gnu/store/6gq=
2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/share:/gnu/store/np9pryvn0rxc00c=
c6g4jd7rlcxwk2mxs-atk-2.36.0/share:/gnu/store/x1jd7pqfn9ilb6x97azcfq1fhjr63=
p0z-p11-kit-0.23.22/share:/gnu/store/8qv5kb2fgm4c3bf70zcg9l6hkf3qzpw9-zlib-=
1.2.11/share:/gnu/store/manq4lcakkcakcg14rsi7467qw4c5frj-nettle-3.7.3/share=
:/gnu/store/fjq8aca46v502mrgvrfhvif0xb6m4fz0-libidn2-2.3.1/share:/gnu/store=
/4gcznd9r1r3hlmkb2m7s1a37radgnspn-libtasn1-4.17.0/share:/gnu/store/5583c2za=
2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/share:/gnu/store/di5bqb45hi5=
lvp2q08hlxqjdcl9phjb1-pcre-8.45/share:/gnu/store/wgqhlc12qvlwiklam7hz2r311f=
dcqfim-libffi-3.3/share:/gnu/store/5w1pa4ir1p38vnlb3fn2ixg9qi66zr6v-libxft-=
2.3.3/share:/gnu/store/2zlx5p93icsrqvc0w3lzgkc6dd3wd4jl-libthai-0.1.28/shar=
e:/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-harfbuzz-2.8.2/share:/gnu/sto=
re/vfak5v1d0hjgq6p845r809vrf4kplsnz-xorgproto-2021.5/share:/gnu/store/kdrl0=
zydxg29fxz03wff6s7nji3wp1mb-libxxf86vm-1.1.4/share:/gnu/store/hbymc5z6rpj0m=
1a00iglc779kdnbglf0-libxshmfence-1.3/share:/gnu/store/c1nvl9hcgl09nysmy1qqs=
z5ljiarxdjs-libdrm-2.4.107/share:/gnu/store/v8raqm2shh9azkl71107p53j55hir30=
6-libxcb-1.14/share:/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-pixbuf-=
2.42.4/share:/gnu/store/p7iq81hxxyk9zy7a9dngbf16zm8d4klx-libpng-1.6.37/shar=
e:/gnu/store/iwcw80p8lkqsqbvchjvypvl06qlbjc3d-expat-2.4.1/share:/gnu/store/=
j8x167zaka2h6pxk7wiq5zkg67hzf8a2-pixman-0.40.0/share:/gnu/store/dy7pcifp98k=
p9952c1dsblgzcfvqw01v-at-spi2-core-2.40.0/share:/gnu/store/fwbiihd2sbhai63y=
1pvvdh0f2bakfzrf-gmp-6.2.1/share:/gnu/store/qlz21x91bs9n3f8nangfsk6g5rfqxva=
z-libdatrie-0.2.13/share:/gnu/store/bjycxjjkp1da53ijsa4hfdrz9mcgg55h-icu4c-=
69.1/share:/gnu/store/z6d288h1g876vypda400nhh224yz49im-graphite2-1.3.13/sha=
re:/gnu/store/l7kl3m89czk3nnknx4ljn7gdxhvxlyfa-util-macros-1.19.3/share:/gn=
u/store/p30n7i9jcwzf9iz2009vfb7sgx30bv76-libpciaccess-0.16/share:/gnu/store=
/dfzp4rhkzqqagx3djn2kcnaflz1m8446-libxdmcp-1.1.3/share:/gnu/store/9k6slxs8y=
nz46h85bcy3zk2mx0nn8rpf-libxau-1.0.9/share:/gnu/store/9pdhgsdmnddgdnwpn0jal=
p1ryyjjkp56-libpthread-stubs-0.4/share:/gnu/store/cy22y32frsq4yrnk1lf0cnvbn=
qmaclcb-shared-mime-info-1.15/share:/gnu/store/r6jh7gpvavfka5q01vz9b7m028wk=
gm3f-libxtst-1.2.3/share:/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1=
.12.20/share'
environment variable `GIO_EXTRA_MODULES' set to `/gnu/store/zwig9r31yncx36h=
2rngmjx2mqfaqqhxv-xfconf-4.18.0/lib/gio/modules'
environment variable `XCURSOR_PATH' set to `/gnu/store/zn6xyz6x2ksjpfb2qr68=
pczk9hfdl9mb-libxfce4ui-4.18.0/share/icons:/gnu/store/4aq7hw017s9ihpm1rxpwf=
z28c80569z9-gtk+-3.24.30/share/icons'
environment variable `GDK_PIXBUF_MODULE_FILE' set to `/gnu/store/sjwpyaqqx0=
rcymliykfq615ip8zwknbv-vte-0.69.99/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
xfce4-terminal-1.0.4/
xfce4-terminal-1.0.4/po/
xfce4-terminal-1.0.4/po/ur.po
xfce4-terminal-1.0.4/po/ca.po
xfce4-terminal-1.0.4/po/POTFILES.skip
xfce4-terminal-1.0.4/po/oc.po
xfce4-terminal-1.0.4/po/nb.po
xfce4-terminal-1.0.4/po/ru.po
xfce4-terminal-1.0.4/po/id.po
xfce4-terminal-1.0.4/po/lt.po
xfce4-terminal-1.0.4/po/uk.po
xfce4-terminal-1.0.4/po/pa.po
xfce4-terminal-1.0.4/po/et.po
xfce4-terminal-1.0.4/po/es.po
xfce4-terminal-1.0.4/po/de.po
xfce4-terminal-1.0.4/po/da.po
xfce4-terminal-1.0.4/po/sk.po
xfce4-terminal-1.0.4/po/ar.po
xfce4-terminal-1.0.4/po/sr.po
xfce4-terminal-1.0.4/po/ms.po
xfce4-terminal-1.0.4/po/ug.po
xfce4-terminal-1.0.4/po/cs.po
xfce4-terminal-1.0.4/po/be.po
xfce4-terminal-1.0.4/po/kk.po
xfce4-terminal-1.0.4/po/ro.po
xfce4-terminal-1.0.4/po/vi.po
xfce4-terminal-1.0.4/po/Makefile.in.in
xfce4-terminal-1.0.4/po/gl.po
xfce4-terminal-1.0.4/po/ko.po
xfce4-terminal-1.0.4/po/hu.po
xfce4-terminal-1.0.4/po/ja.po
xfce4-terminal-1.0.4/po/sv.po
xfce4-terminal-1.0.4/po/is.po
xfce4-terminal-1.0.4/po/pl.po
xfce4-terminal-1.0.4/po/ie.po
xfce4-terminal-1.0.4/po/zh_CN.po
xfce4-terminal-1.0.4/po/si.po
xfce4-terminal-1.0.4/po/el.po
xfce4-terminal-1.0.4/po/POTFILES.in
xfce4-terminal-1.0.4/po/ur_PK.po
xfce4-terminal-1.0.4/po/eu.po
xfce4-terminal-1.0.4/po/en_AU.po
xfce4-terminal-1.0.4/po/bg.po
xfce4-terminal-1.0.4/po/pt_BR.po
xfce4-terminal-1.0.4/po/sq.po
xfce4-terminal-1.0.4/po/en_GB.po
xfce4-terminal-1.0.4/po/eo.po
xfce4-terminal-1.0.4/po/it.po
xfce4-terminal-1.0.4/po/fr.po
xfce4-terminal-1.0.4/po/fi.po
xfce4-terminal-1.0.4/po/hy_AM.po
xfce4-terminal-1.0.4/po/he.po
xfce4-terminal-1.0.4/po/hr.po
xfce4-terminal-1.0.4/po/th.po
xfce4-terminal-1.0.4/po/te.po
xfce4-terminal-1.0.4/po/pt.po
xfce4-terminal-1.0.4/po/tr.po
xfce4-terminal-1.0.4/po/lv.po
xfce4-terminal-1.0.4/po/ast.po
xfce4-terminal-1.0.4/po/sl.po
xfce4-terminal-1.0.4/po/hye.po
xfce4-terminal-1.0.4/po/nl.po
xfce4-terminal-1.0.4/po/zh_TW.po
xfce4-terminal-1.0.4/terminal/
xfce4-terminal-1.0.4/terminal/terminal-private.h
xfce4-terminal-1.0.4/terminal/terminal-enum-types.h
xfce4-terminal-1.0.4/terminal/terminal-config.h.in
xfce4-terminal-1.0.4/terminal/terminal-options.h
xfce4-terminal-1.0.4/terminal/terminal-encoding-action.c
xfce4-terminal-1.0.4/terminal/terminal-util.h
xfce4-terminal-1.0.4/terminal/terminal-screen.h
xfce4-terminal-1.0.4/terminal/terminal-options.c
xfce4-terminal-1.0.4/terminal/terminal-preferences.glade
xfce4-terminal-1.0.4/terminal/terminal-screen.c
xfce4-terminal-1.0.4/terminal/terminal-preferences-ui.h
xfce4-terminal-1.0.4/terminal/terminal-util.c
xfce4-terminal-1.0.4/terminal/terminal-preferences-dialog.h
xfce4-terminal-1.0.4/terminal/terminal-marshal.h
xfce4-terminal-1.0.4/terminal/terminal-app.c
xfce4-terminal-1.0.4/terminal/terminal-window-dropdown.c
xfce4-terminal-1.0.4/terminal/terminal-widget.c
xfce4-terminal-1.0.4/terminal/terminal-search-dialog.h
xfce4-terminal-1.0.4/terminal/Makefile.am
xfce4-terminal-1.0.4/terminal/terminal-gdbus.h
xfce4-terminal-1.0.4/terminal/terminal-encoding-action.h
xfce4-terminal-1.0.4/terminal/terminal-window.h
xfce4-terminal-1.0.4/terminal/terminal-window-dropdown.h
xfce4-terminal-1.0.4/terminal/terminal-marshal.c
xfce4-terminal-1.0.4/terminal/terminal-regex.h
xfce4-terminal-1.0.4/terminal/terminal-preferences-dialog.c
xfce4-terminal-1.0.4/terminal/terminal-search-dialog.c
xfce4-terminal-1.0.4/terminal/terminal-enum-types.c
xfce4-terminal-1.0.4/terminal/terminal-app.h
xfce4-terminal-1.0.4/terminal/terminal-image-loader.c
xfce4-terminal-1.0.4/terminal/main.c
xfce4-terminal-1.0.4/terminal/terminal-preferences.h
xfce4-terminal-1.0.4/terminal/terminal-widget.h
xfce4-terminal-1.0.4/terminal/terminal-window.c
xfce4-terminal-1.0.4/terminal/terminal-image-loader.h
xfce4-terminal-1.0.4/terminal/Makefile.in
xfce4-terminal-1.0.4/terminal/terminal-marshal.list
xfce4-terminal-1.0.4/terminal/terminal-preferences.c
xfce4-terminal-1.0.4/terminal/terminal-gdbus.c
xfce4-terminal-1.0.4/ChangeLog
xfce4-terminal-1.0.4/xfce4-terminal-default-apps.xml.in.in
xfce4-terminal-1.0.4/configure.ac
xfce4-terminal-1.0.4/compile
xfce4-terminal-1.0.4/COPYING
xfce4-terminal-1.0.4/intltool-update.in
xfce4-terminal-1.0.4/HACKING
xfce4-terminal-1.0.4/depcomp
xfce4-terminal-1.0.4/missing
xfce4-terminal-1.0.4/doc/
xfce4-terminal-1.0.4/doc/xfce4-terminal.xml
xfce4-terminal-1.0.4/doc/Makefile.am
xfce4-terminal-1.0.4/doc/xfce4-terminal.1
xfce4-terminal-1.0.4/doc/Makefile.in
xfce4-terminal-1.0.4/icons/
xfce4-terminal-1.0.4/icons/32x32/
xfce4-terminal-1.0.4/icons/32x32/org.xfce.terminal.png
xfce4-terminal-1.0.4/icons/32x32/Makefile.am
xfce4-terminal-1.0.4/icons/32x32/org.xfce.terminal-settings.png
xfce4-terminal-1.0.4/icons/32x32/Makefile.in
xfce4-terminal-1.0.4/icons/16x16/
xfce4-terminal-1.0.4/icons/16x16/org.xfce.terminal.png
xfce4-terminal-1.0.4/icons/16x16/Makefile.am
xfce4-terminal-1.0.4/icons/16x16/org.xfce.terminal-settings.png
xfce4-terminal-1.0.4/icons/16x16/Makefile.in
xfce4-terminal-1.0.4/icons/24x24/
xfce4-terminal-1.0.4/icons/24x24/org.xfce.terminal.png
xfce4-terminal-1.0.4/icons/24x24/Makefile.am
xfce4-terminal-1.0.4/icons/24x24/org.xfce.terminal-settings.png
xfce4-terminal-1.0.4/icons/24x24/Makefile.in
xfce4-terminal-1.0.4/icons/128x128/
xfce4-terminal-1.0.4/icons/128x128/org.xfce.terminal.png
xfce4-terminal-1.0.4/icons/128x128/Makefile.am
xfce4-terminal-1.0.4/icons/128x128/org.xfce.terminal-settings.png
xfce4-terminal-1.0.4/icons/128x128/Makefile.in
xfce4-terminal-1.0.4/icons/Makefile.am
xfce4-terminal-1.0.4/icons/scalable/
xfce4-terminal-1.0.4/icons/scalable/org.xfce.terminal.svg
xfce4-terminal-1.0.4/icons/scalable/org.xfce.terminal-settings.svg
xfce4-terminal-1.0.4/icons/scalable/Makefile.am
xfce4-terminal-1.0.4/icons/scalable/Makefile.in
xfce4-terminal-1.0.4/icons/Makefile.in
xfce4-terminal-1.0.4/icons/48x48/
xfce4-terminal-1.0.4/icons/48x48/org.xfce.terminal.png
xfce4-terminal-1.0.4/icons/48x48/Makefile.am
xfce4-terminal-1.0.4/icons/48x48/org.xfce.terminal-settings.png
xfce4-terminal-1.0.4/icons/48x48/Makefile.in
xfce4-terminal-1.0.4/ltmain.sh
xfce4-terminal-1.0.4/aclocal.m4
xfce4-terminal-1.0.4/NEWS
xfce4-terminal-1.0.4/AUTHORS
xfce4-terminal-1.0.4/config.guess
xfce4-terminal-1.0.4/config.h.in
xfce4-terminal-1.0.4/xfce4-terminal-settings.desktop.in
xfce4-terminal-1.0.4/Makefile.am
xfce4-terminal-1.0.4/README.md
xfce4-terminal-1.0.4/install-sh
xfce4-terminal-1.0.4/xfce4-terminal.desktop.in
xfce4-terminal-1.0.4/THANKS
xfce4-terminal-1.0.4/m4/
xfce4-terminal-1.0.4/m4/ltsugar.m4
xfce4-terminal-1.0.4/m4/ltoptions.m4
xfce4-terminal-1.0.4/m4/gtk-doc.m4
xfce4-terminal-1.0.4/m4/libtool.m4
xfce4-terminal-1.0.4/m4/lt~obsolete.m4
xfce4-terminal-1.0.4/m4/ltversion.m4
xfce4-terminal-1.0.4/configure
xfce4-terminal-1.0.4/Makefile.in
xfce4-terminal-1.0.4/intltool-merge.in
xfce4-terminal-1.0.4/intltool-extract.in
xfce4-terminal-1.0.4/TODO
xfce4-terminal-1.0.4/colorschemes/
xfce4-terminal-1.0.4/colorschemes/xterm.theme.in
xfce4-terminal-1.0.4/colorschemes/tango.theme.in
xfce4-terminal-1.0.4/colorschemes/solarized-light.theme.in
xfce4-terminal-1.0.4/colorschemes/Makefile.am
xfce4-terminal-1.0.4/colorschemes/green-on-black.theme.in
xfce4-terminal-1.0.4/colorschemes/white-on-black.theme.in
xfce4-terminal-1.0.4/colorschemes/Makefile.in
xfce4-terminal-1.0.4/colorschemes/solarized-dark.theme.in
xfce4-terminal-1.0.4/colorschemes/dark-pastels.theme.in
xfce4-terminal-1.0.4/colorschemes/black-on-white.theme.in
xfce4-terminal-1.0.4/config.sub
phase `unpack' succeeded after 0.1 seconds
starting phase `bootstrap'
GNU build system bootstrapping not needed
phase `bootstrap' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
patch-/usr/bin/file: ./configure: changing `/usr/bin/file' to `/gnu/store/4=
ic6244i3ca4b4rxc2wnrgllsidyishv-file-5.39/bin/file'
phase `patch-usr-bin-file' succeeded after 0.1 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./compile: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y=
9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./config.guess: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3=
qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./config.sub: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qk=
b1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./configure: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb=
1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./depcomp: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y=
9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./install-sh: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qk=
b1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./ltmain.sh: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb=
1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
patch-shebang: ./missing: changing `/bin/sh' to `/gnu/store/4y5m9lb8k3qkb1y=
9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/sh'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `configure'
source directory: "/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce4-termina=
l-1.0.4" (relative from build: ".")
build directory: "/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce4-terminal=
-1.0.4"
configure flags: ("CONFIG_SHELL=3D/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd=
16-bash-minimal-5.1.8/bin/bash" "SHELL=3D/gnu/store/4y5m9lb8k3qkb1y9m02sw9w=
9a6hacd16-bash-minimal-5.1.8/bin/bash" "--prefix=3D/gnu/store/m3dirwp5xvh7n=
gbh4qpm3bf7xixpd01y-xfce4-terminal-1.0.4" "--enable-fast-install" "--build=
=3Dx86_64-unknown-linux-gnu")
checking for a BSD-compatible install... /gnu/store/d251rfgc9nm2clzffzhgiip=
dvfvzkvwi-coreutils-8.32/bin/install -c
checking whether build environment is sane... yes
checking for a race-free mkdir -p... /gnu/store/d251rfgc9nm2clzffzhgiipdvfv=
zkvwi-coreutils-8.32/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking whether make supports nested variables... yes
checking whether UID '980' is supported by ustar format... yes
checking whether GID '30000' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...=20
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking for stdio.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for strings.h... yes
checking for sys/stat.h... yes
checking for sys/types.h... yes
checking for unistd.h... yes
checking for wchar.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for gcc... (cached) gcc
checking whether the compiler supports GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to enable C11 features... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) gcc3
checking whether NLS is requested... yes
checking for intltool >=3D 0.35... 0.51.0 found
checking for intltool-update... /gnu/store/xhvrz1imcdbcqa5c71zm9j68bsg33pxi=
-intltool-0.51.0/bin/intltool-update
checking for intltool-merge... /gnu/store/xhvrz1imcdbcqa5c71zm9j68bsg33pxi-=
intltool-0.51.0/bin/intltool-merge
checking for intltool-extract... /gnu/store/xhvrz1imcdbcqa5c71zm9j68bsg33px=
i-intltool-0.51.0/bin/intltool-extract
checking for xgettext... /gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettex=
t-minimal-0.21/bin/xgettext
checking for msgmerge... /gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettex=
t-minimal-0.21/bin/msgmerge
checking for msgfmt... /gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettext-=
minimal-0.21/bin/msgfmt
checking for gmsgfmt... /gnu/store/211qlvyn3spc93r2zlzlh0qkmr54qh0h-gettext=
-minimal-0.21/bin/msgfmt
checking for perl... /gnu/store/hy6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.=
0/bin/perl
checking for perl >=3D 5.8.1... 5.34.0
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /gnu/store/wxgv6i8g0p24=
q5gcyzd0yr07s8kn9680-sed-4.8/bin/sed
checking for grep that handles long lines and -e... /gnu/store/xjwp2hsd9256=
icjjybfrmznppjicywf6-grep-3.6/bin/grep
checking for egrep... /gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/=
bin/grep -E
checking for fgrep... /gnu/store/xjwp2hsd9256icjjybfrmznppjicywf6-grep-3.6/=
bin/grep -F
checking for ld used by gcc... /gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-=
ld-wrapper-0/bin/ld
checking if the linker (/gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrap=
per-0/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /gnu/store/rc781v4k0=
drhaqn90xfwwpspki5x0bvf-binutils-2.37/bin/nm -B
checking the name lister (/gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binut=
ils-2.37/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unkno=
wn-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain fo=
rmat... func_convert_file_noop
checking for /gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapper-0/bin/l=
d option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /gnu/store/rc781v4k0drhaqn90xfwwpspki5x0bvf-binut=
ils-2.37/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /gnu/store/d251rfgc9nm2clzffzhgiipdvfvzkvwi-co=
reutils-8.32/bin/dd
checking how to truncate binary pipes... /gnu/store/d251rfgc9nm2clzffzhgiip=
dvfvzkvwi-coreutils-8.32/bin/dd bs=3D4096 count=3D1
checking for mt... no
checking if : is a manifest tool... no
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv=
9-ld-wrapper-0/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for ctype.h... yes
checking for errno.h... yes
checking for limits.h... yes
checking for pwd.h... yes
checking for signal.h... yes
checking for time.h... yes
checking for unistd.h... (cached) yes
checking for locale.h... yes
checking for stdlib.h... (cached) yes
checking for bind_textdomain_codeset... yes
checking for locales directory... ${prefix}/share/locale
checking how to run the C preprocessor... gcc -E
checking for X... libraries , headers=20
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... no
checking for main in -lX11... yes
checking for pkg-config... /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0cqpk-pkg-=
config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for gtk+-3.0 >=3D 3.22.0... 3.24.30
checking GTK_CFLAGS... -pthread -I/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569=
z9-gtk+-3.24.30/include/gtk-3.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4=
a0-glib-2.70.2/include/gio-unix-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb=
3lz4a0-glib-2.70.2/include/glib-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb=
3lz4a0-glib-2.70.2/lib/glib-2.0/include -I/gnu/store/vk23fcm4livzrnb3kzhxs6=
yjds8f355c-pango-1.48.10/include/pango-1.0 -I/gnu/store/m8cbvh6lrcwngi98828=
w122jq919rk5g-libcloudproviders-minimal-0.3.1/include/cloudproviders -I/gnu=
/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include/freetype2 -=
I/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/include/fribidi =
-I/gnu/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/include/cairo -I=
/gnu/store/7axz3k9lr821b5wxk7ylb86r749rj989-at-spi2-atk-2.38.0/include/at-s=
pi2-atk/2.0 -I/gnu/store/np9pryvn0rxc00cc6g4jd7rlcxwk2mxs-atk-2.36.0/includ=
e/atk-1.0 -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-l=
ib/include/libmount -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linu=
x-2.37.2-lib/include/blkid -I/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-ha=
rfbuzz-2.8.2/include/harfbuzz -I/gnu/store/c1nvl9hcgl09nysmy1qqsz5ljiarxdjs=
-libdrm-2.4.107/include/libdrm -I/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg=
8-gdk-pixbuf-2.42.4/include/gdk-pixbuf-2.0 -I/gnu/store/p7iq81hxxyk9zy7a9dn=
gbf16zm8d4klx-libpng-1.6.37/include/libpng16 -I/gnu/store/j8x167zaka2h6pxk7=
wiq5zkg67hzf8a2-pixman-0.40.0/include/pixman-1 -I/gnu/store/dy7pcifp98kp995=
2c1dsblgzcfvqw01v-at-spi2-core-2.40.0/include/at-spi-2.0 -I/gnu/store/8zigz=
7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/include/dbus-1.0 -I/gnu/store/8zig=
z7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/lib/dbus-1.0/include
checking GTK_LIBS... -L/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.2=
4.30/lib -L/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib -L/g=
nu/store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/lib -L/gnu/store/6g=
q2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/lib -L/gnu/store/np9pryvn0rxc00=
cc6g4jd7rlcxwk2mxs-atk-2.36.0/lib -L/gnu/store/f6ibajh7x233cvr30c2p314l2abs=
k36h-harfbuzz-2.8.2/lib -L/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-p=
ixbuf-2.42.4/lib -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -l=
atk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -l=
glib-2.0
checking for pkg-config... (cached) /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for vte-2.91 >=3D 0.51.3... 0.69.99
checking VTE_CFLAGS... -pthread -I/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwkn=
bv-vte-0.69.99/include/vte-2.91 -I/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569=
z9-gtk+-3.24.30/include/gtk-3.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4=
a0-glib-2.70.2/include/gio-unix-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb=
3lz4a0-glib-2.70.2/include/glib-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb=
3lz4a0-glib-2.70.2/lib/glib-2.0/include -I/gnu/store/vk23fcm4livzrnb3kzhxs6=
yjds8f355c-pango-1.48.10/include/pango-1.0 -I/gnu/store/m8cbvh6lrcwngi98828=
w122jq919rk5g-libcloudproviders-minimal-0.3.1/include/cloudproviders -I/gnu=
/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include/freetype2 -=
I/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/include/fribidi =
-I/gnu/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/include/cairo -I=
/gnu/store/7axz3k9lr821b5wxk7ylb86r749rj989-at-spi2-atk-2.38.0/include/at-s=
pi2-atk/2.0 -I/gnu/store/np9pryvn0rxc00cc6g4jd7rlcxwk2mxs-atk-2.36.0/includ=
e/atk-1.0 -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-l=
ib/include/libmount -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linu=
x-2.37.2-lib/include/blkid -I/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-ha=
rfbuzz-2.8.2/include/harfbuzz -I/gnu/store/c1nvl9hcgl09nysmy1qqsz5ljiarxdjs=
-libdrm-2.4.107/include/libdrm -I/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg=
8-gdk-pixbuf-2.42.4/include/gdk-pixbuf-2.0 -I/gnu/store/p7iq81hxxyk9zy7a9dn=
gbf16zm8d4klx-libpng-1.6.37/include/libpng16 -I/gnu/store/j8x167zaka2h6pxk7=
wiq5zkg67hzf8a2-pixman-0.40.0/include/pixman-1 -I/gnu/store/dy7pcifp98kp995=
2c1dsblgzcfvqw01v-at-spi2-core-2.40.0/include/at-spi-2.0 -I/gnu/store/8zigz=
7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/include/dbus-1.0 -I/gnu/store/8zig=
z7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/lib/dbus-1.0/include
checking VTE_LIBS... -L/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69=
.99/lib -L/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/lib -L/g=
nu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib -L/gnu/store/vk23=
fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/lib -L/gnu/store/6gq2n65ixpn6drd=
5wai2h7g5wjm6bp2b-cairo-1.16.0/lib -L/gnu/store/np9pryvn0rxc00cc6g4jd7rlcxw=
k2mxs-atk-2.36.0/lib -L/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-harfbuzz=
-2.8.2/lib -L/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-pixbuf-2.42.4/=
lib -lvte-2.91 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -lat=
k-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lgl=
ib-2.0
checking for pkg-config... (cached) /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for gio-2.0 >=3D 2.42.0... 2.70.2
checking GIO_CFLAGS... -pthread -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4=
a0-glib-2.70.2/include/glib-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4=
a0-glib-2.70.2/lib/glib-2.0/include -I/gnu/store/5583c2za2jsn9g6az79rnksgvi=
gwnsk7-util-linux-2.37.2-lib/include/libmount -I/gnu/store/5583c2za2jsn9g6a=
z79rnksgvigwnsk7-util-linux-2.37.2-lib/include/blkid
checking GIO_LIBS... -L/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.7=
0.2/lib -lgio-2.0 -lgobject-2.0 -lglib-2.0
checking for pkg-config... (cached) /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libxfce4ui-2 >=3D 4.16.0... 4.18.0
checking LIBXFCE4UI_CFLAGS... -pthread -I/gnu/store/zn6xyz6x2ksjpfb2qr68pcz=
k9hfdl9mb-libxfce4ui-4.18.0/include/xfce4/libxfce4ui-2 -I/gnu/store/a4702m1=
cv5vmhddpw1zqdwy22jqmngpb-libxfce4util-4.18.0/include/xfce4 -I/gnu/store/4a=
q7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/include/gtk-3.0 -I/gnu/store/96=
srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/include/gio-unix-2.0 -I/gnu/stor=
e/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/include/glib-2.0 -I/gnu/stor=
e/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib/glib-2.0/include -I/gnu/=
store/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/include/pango-1.0 -I/g=
nu/store/m8cbvh6lrcwngi98828w122jq919rk5g-libcloudproviders-minimal-0.3.1/i=
nclude/cloudproviders -I/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetyp=
e-2.10.4/include/freetype2 -I/gnu/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fr=
ibidi-1.0.9/include/fribidi -I/gnu/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-c=
airo-1.16.0/include/cairo -I/gnu/store/7axz3k9lr821b5wxk7ylb86r749rj989-at-=
spi2-atk-2.38.0/include/at-spi2-atk/2.0 -I/gnu/store/np9pryvn0rxc00cc6g4jd7=
rlcxwk2mxs-atk-2.36.0/include/atk-1.0 -I/gnu/store/5583c2za2jsn9g6az79rnksg=
vigwnsk7-util-linux-2.37.2-lib/include/libmount -I/gnu/store/5583c2za2jsn9g=
6az79rnksgvigwnsk7-util-linux-2.37.2-lib/include/blkid -I/gnu/store/f6ibajh=
7x233cvr30c2p314l2absk36h-harfbuzz-2.8.2/include/harfbuzz -I/gnu/store/c1nv=
l9hcgl09nysmy1qqsz5ljiarxdjs-libdrm-2.4.107/include/libdrm -I/gnu/store/xgi=
z9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-pixbuf-2.42.4/include/gdk-pixbuf-2.0 -I/g=
nu/store/p7iq81hxxyk9zy7a9dngbf16zm8d4klx-libpng-1.6.37/include/libpng16 -I=
/gnu/store/j8x167zaka2h6pxk7wiq5zkg67hzf8a2-pixman-0.40.0/include/pixman-1 =
-I/gnu/store/dy7pcifp98kp9952c1dsblgzcfvqw01v-at-spi2-core-2.40.0/include/a=
t-spi-2.0 -I/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/includ=
e/dbus-1.0 -I/gnu/store/8zigz7afvz2rjrvrh7zq1d389qbl2684-dbus-1.12.20/lib/d=
bus-1.0/include
checking LIBXFCE4UI_LIBS... -L/gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-l=
ibxfce4ui-4.18.0/lib -L/gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4=
util-4.18.0/lib -L/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/=
lib -L/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib -L/gnu/st=
ore/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/lib -L/gnu/store/6gq2n65=
ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/lib -L/gnu/store/np9pryvn0rxc00cc6g4=
jd7rlcxwk2mxs-atk-2.36.0/lib -L/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-=
harfbuzz-2.8.2/lib -L/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-pixbuf=
-2.42.4/lib -lxfce4ui-2 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharf=
buzz -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject=
-2.0 -lxfce4util -lglib-2.0
checking for pkg-config... (cached) /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libxfconf-0 >=3D 4.16.0... 4.18.0
checking XFCONF_CFLAGS... -pthread -I/gnu/store/zwig9r31yncx36h2rngmjx2mqfa=
qqhxv-xfconf-4.18.0/include/xfce4/xfconf-0 -I/gnu/store/96srhmpmxa20wmsck95=
g3iq4hb3lz4a0-glib-2.70.2/include/glib-2.0 -I/gnu/store/96srhmpmxa20wmsck95=
g3iq4hb3lz4a0-glib-2.70.2/lib/glib-2.0/include -I/gnu/store/5583c2za2jsn9g6=
az79rnksgvigwnsk7-util-linux-2.37.2-lib/include/libmount -I/gnu/store/5583c=
2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/include/blkid
checking XFCONF_LIBS... -L/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv-xfcon=
f-4.18.0/lib -L/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib =
-lxfconf-0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
checking for pkg-config... (cached) /gnu/store/2b3blhwbag1ial0dhxw7wh4zjxl0=
cqpk-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libxfce4kbd-private-3 >=3D 4.16.0... 4.18.0
checking LIBXFCE4KBD_PRIVATE_CFLAGS... -pthread -I/gnu/store/zn6xyz6x2ksjpf=
b2qr68pczk9hfdl9mb-libxfce4ui-4.18.0/include/xfce4/libxfce4kbd-private-3 -I=
/gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-libxfce4ui-4.18.0/include/xfce4=
/libxfce4ui-2 -I/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv-xfconf-4.18.0/i=
nclude/xfce4/xfconf-0 -I/gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce=
4util-4.18.0/include/xfce4 -I/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gt=
k+-3.24.30/include/gtk-3.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-gl=
ib-2.70.2/include/gio-unix-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a=
0-glib-2.70.2/include/glib-2.0 -I/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a=
0-glib-2.70.2/lib/glib-2.0/include -I/gnu/store/vk23fcm4livzrnb3kzhxs6yjds8=
f355c-pango-1.48.10/include/pango-1.0 -I/gnu/store/m8cbvh6lrcwngi98828w122j=
q919rk5g-libcloudproviders-minimal-0.3.1/include/cloudproviders -I/gnu/stor=
e/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include/freetype2 -I/gnu=
/store/v5x6f3dml69pmn4pfkl51j6y03v6rlsg-fribidi-1.0.9/include/fribidi -I/gn=
u/store/6gq2n65ixpn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/include/cairo -I/gnu/=
store/7axz3k9lr821b5wxk7ylb86r749rj989-at-spi2-atk-2.38.0/include/at-spi2-a=
tk/2.0 -I/gnu/store/np9pryvn0rxc00cc6g4jd7rlcxwk2mxs-atk-2.36.0/include/atk=
-1.0 -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.37.2-lib/in=
clude/libmount -I/gnu/store/5583c2za2jsn9g6az79rnksgvigwnsk7-util-linux-2.3=
7.2-lib/include/blkid -I/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-harfbuz=
z-2.8.2/include/harfbuzz -I/gnu/store/c1nvl9hcgl09nysmy1qqsz5ljiarxdjs-libd=
rm-2.4.107/include/libdrm -I/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk=
-pixbuf-2.42.4/include/gdk-pixbuf-2.0 -I/gnu/store/p7iq81hxxyk9zy7a9dngbf16=
zm8d4klx-libpng-1.6.37/include/libpng16 -I/gnu/store/j8x167zaka2h6pxk7wiq5z=
kg67hzf8a2-pixman-0.40.0/include/pixman-1 -I/gnu/store/dy7pcifp98kp9952c1ds=
blgzcfvqw01v-at-spi2-core-2.40.0/include/at-spi-2.0 -I/gnu/store/8zigz7afvz=
2rjrvrh7zq1d389qbl2684-dbus-1.12.20/include/dbus-1.0 -I/gnu/store/8zigz7afv=
z2rjrvrh7zq1d389qbl2684-dbus-1.12.20/lib/dbus-1.0/include
checking LIBXFCE4KBD_PRIVATE_LIBS... -L/gnu/store/zn6xyz6x2ksjpfb2qr68pczk9=
hfdl9mb-libxfce4ui-4.18.0/lib -L/gnu/store/zwig9r31yncx36h2rngmjx2mqfaqqhxv=
-xfconf-4.18.0/lib -L/gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4ut=
il-4.18.0/lib -L/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/li=
b -L/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/lib -L/gnu/stor=
e/vk23fcm4livzrnb3kzhxs6yjds8f355c-pango-1.48.10/lib -L/gnu/store/6gq2n65ix=
pn6drd5wai2h7g5wjm6bp2b-cairo-1.16.0/lib -L/gnu/store/np9pryvn0rxc00cc6g4jd=
7rlcxwk2mxs-atk-2.36.0/lib -L/gnu/store/f6ibajh7x233cvr30c2p314l2absk36h-ha=
rfbuzz-2.8.2/lib -L/gnu/store/xgiz9rvzvfhwx655lb6jpjx1whc4kjg8-gdk-pixbuf-2=
.42.4/lib -lxfce4kbd-private-3 -lxfconf-0 -lxfce4ui-2 -lgtk-3 -lgdk-3 -lpan=
gocairo-1.0 -lpango-1.0 -lharfbuzz -latk-1.0 -lcairo-gobject -lcairo -lgdk_=
pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lxfce4util -lglib-2.0
checking for Gnome default applications dir... Package gnome-default-applic=
ations was not found in the pkg-config search path.
Perhaps you should add the directory containing `gnome-default-applications=
.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gnome-default-applications' found
Using prefix of terminal
checking for gtk-doc... no
configure: WARNING:
  You will not be able to create source packages with 'make dist'
  because gtk-doc >=3D 1.9 is not found.
checking for gtkdoc-check... no
checking for gtkdoc-check... no
checking for gtkdoc-rebase... no
checking for gtkdoc-mkpdf... no
checking whether to build gtk-doc documentation... no
checking for glib-2.0 >=3D 2.10.0 gobject-2.0  >=3D 2.10.0... yes
checking whether to build with debugging support... minimum
checking if gcc supports -Wall... yes
checking if gcc supports -Wextra... yes
checking if gcc supports -Wno-missing-field-initializers... yes
checking if gcc supports -Wno-unused-parameter... yes
checking if gcc supports -Wold-style-definition... yes
checking if gcc supports -Wdeclaration-after-statement... yes
checking if gcc supports -Wmissing-declarations... yes
checking if gcc supports -Wmissing-noreturn... yes
checking if gcc supports -Wpointer-arith... yes
checking if gcc supports -Wcast-align... yes
checking if gcc supports -Wformat... yes
checking if gcc supports -Wformat-security... yes
checking if gcc supports -Wformat-y2k... yes
checking if gcc supports -Winit-self... yes
checking if gcc supports -Wmissing-include-dirs... yes
checking if gcc supports -Wundef... yes
checking if gcc supports -Wnested-externs... yes
checking if gcc supports -Wredundant-decls... yes
checking if gcc supports -Wshadow... yes
checking whether /gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapper-0/b=
in/ld -m elf_x86_64 accepts --as-needed... yes
checking whether /gnu/store/s2pg5k98fl2g2szg9dykxyd9zl3xihv9-ld-wrapper-0/b=
in/ld -m elf_x86_64 accepts -O1... yes
checking PLATFORM_CPPFLAGS...=20
checking PLATFORM_CFLAGS...=20
checking PLATFORM_LDFLAGS...=20
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating colorschemes/Makefile
config.status: creating doc/Makefile
config.status: creating po/Makefile.in
config.status: creating terminal/Makefile
config.status: creating terminal/terminal-config.h
config.status: creating icons/Makefile
config.status: creating icons/16x16/Makefile
config.status: creating icons/24x24/Makefile
config.status: creating icons/32x32/Makefile
config.status: creating icons/48x48/Makefile
config.status: creating icons/128x128/Makefile
config.status: creating icons/scalable/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po/stamp-it commands

Build Configuration:

* Debug support:           minimum

phase `configure' succeeded after 2.1 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
make  all-recursive
make[1]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4'
Making all in colorschemes
make[2]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/colorschemes'
  ITMRG  black-on-white.theme
  ITMRG  dark-pastels.theme
  ITMRG  green-on-black.theme
  ITMRG  solarized-dark.theme
  ITMRG  solarized-light.theme
  ITMRG  tango.theme
  ITMRG  white-on-black.theme
  ITMRG  xterm.theme
make[2]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/colorschemes'
Making all in doc
make[2]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/doc'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/doc'
Making all in icons
make[2]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons'
Making all in scalable
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/scalable'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/scalable'
Making all in 16x16
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/16x16'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/16x16'
Making all in 24x24
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/24x24'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/24x24'
Making all in 32x32
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/32x32'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/32x32'
Making all in 48x48
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/48x48'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/48x48'
Making all in 128x128
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons/128x128'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons/128x128'
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/icons'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons'
make[2]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/icons'
Making all in po
make[2]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/po'
  MSGFMT ar.gmo
  MSGFMT ast.gmo
  MSGFMT be.gmo
  MSGFMT bg.gmo
  MSGFMT ca.gmo
  MSGFMT cs.gmo
  MSGFMT da.gmo
  MSGFMT de.gmo
  MSGFMT el.gmo
  MSGFMT en_AU.gmo
  MSGFMT en_GB.gmo
  MSGFMT eo.gmo
  MSGFMT es.gmo
  MSGFMT et.gmo
  MSGFMT eu.gmo
  MSGFMT fi.gmo
  MSGFMT fr.gmo
  MSGFMT gl.gmo
  MSGFMT he.gmo
  MSGFMT hr.gmo
  MSGFMT hu.gmo
  MSGFMT hy_AM.gmo
  MSGFMT hye.gmo
  MSGFMT id.gmo
  MSGFMT ie.gmo
  MSGFMT is.gmo
  MSGFMT it.gmo
  MSGFMT kk.gmo
  MSGFMT ko.gmo
  MSGFMT ja.gmo
  MSGFMT lt.gmo
  MSGFMT lv.gmo
  MSGFMT ms.gmo
  MSGFMT nb.gmo
  MSGFMT nl.gmo
  MSGFMT oc.gmo
  MSGFMT pa.gmo
  MSGFMT pl.gmo
  MSGFMT pt.gmo
  MSGFMT pt_BR.gmo
  MSGFMT ro.gmo
  MSGFMT ru.gmo
  MSGFMT si.gmo
  MSGFMT sk.gmo
  MSGFMT sl.gmo
  MSGFMT sq.gmo
  MSGFMT sv.gmo
  MSGFMT sr.gmo
  MSGFMT te.gmo
  MSGFMT th.gmo
  MSGFMT tr.gmo
  MSGFMT uk.gmo
  MSGFMT ug.gmo
  MSGFMT ur.gmo
  MSGFMT ur_PK.gmo
  MSGFMT vi.gmo
  MSGFMT zh_TW.gmo
  MSGFMT zh_CN.gmo
make[2]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/po'
Making all in terminal
make[2]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/terminal'
make  all-am
make[3]: Entering directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfc=
e4-terminal-1.0.4/terminal'
  CC       xfce4_terminal-terminal-enum-types.o
  CC       xfce4_terminal-terminal-marshal.o
  CC       xfce4_terminal-main.o
  CC       xfce4_terminal-terminal-app.o
  CC       xfce4_terminal-terminal-encoding-action.o
  CC       xfce4_terminal-terminal-gdbus.o
  CC       xfce4_terminal-terminal-image-loader.o
  CC       xfce4_terminal-terminal-options.o
  CC       xfce4_terminal-terminal-preferences.o
  CC       xfce4_terminal-terminal-preferences-dialog.o
  CC       xfce4_terminal-terminal-search-dialog.o
  CC       xfce4_terminal-terminal-screen.o
  CC       xfce4_terminal-terminal-util.o
  CC       xfce4_terminal-terminal-widget.o
  CC       xfce4_terminal-terminal-window.o
  CC       xfce4_terminal-terminal-window-dropdown.o
terminal-window.c:37:10: fatal error: libxfce4kbd-private-3/libxfce4kbd-pri=
vate/xfce-shortcuts-editor-dialog.h: No such file or directory
   37 | #include <libxfce4kbd-private-3/libxfce4kbd-private/xfce-shortcuts-=
editor-dialog.h>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~~~~~~~~~~~~~~~~
compilation terminated.
make[3]: *** [Makefile:826: xfce4_terminal-terminal-window.o] Error 1
make[3]: *** Waiting for unfinished jobs....
terminal-widget.c: In function =E2=80=98terminal_widget_context_menu=E2=80=
=99:
terminal-widget.c:358:7: warning: =E2=80=98g_memdup=E2=80=99 is deprecated:=
 Use 'g_memdup2' instead [-Wdeprecated-declarations]
  358 |       g_object_set_data_full (G_OBJECT (item_open), I_("terminal-wi=
dget-tag"), g_memdup (&tag, sizeof (tag)), g_free);
      |       ^~~~~~~~~~~~~~~~~~~~~~
In file included from /gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70=
.2/include/glib-2.0/glib.h:82,
                 from /gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4u=
til-4.18.0/include/xfce4/libxfce4util/libxfce4util-config.h:29,
                 from /gnu/store/a4702m1cv5vmhddpw1zqdwy22jqmngpb-libxfce4u=
til-4.18.0/include/xfce4/libxfce4util/libxfce4util.h:27,
                 from /gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-libxfce4u=
i-4.18.0/include/xfce4/libxfce4ui-2/libxfce4ui/libxfce4ui.h:23,
                 from terminal-widget.c:34:
/gnu/store/96srhmpmxa20wmsck95g3iq4hb3lz4a0-glib-2.70.2/include/glib-2.0/gl=
ib/gstrfuncs.h:257:23: note: declared here
  257 | gpointer              g_memdup         (gconstpointer mem,
      |                       ^~~~~~~~
terminal-screen.c: In function =E2=80=98terminal_screen_update_colors=E2=80=
=99:
terminal-screen.c:1130:11: warning: =E2=80=98gtk_style_context_get_backgrou=
nd_color=E2=80=99 is deprecated: Use 'gtk_render_background' instead [-Wdep=
recated-declarations]
 1130 |           gtk_style_context_get_background_color (context, GTK_STAT=
E_FLAG_ACTIVE, &bg);
      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24=
.30/include/gtk-3.0/gtk/gtkicontheme.h:27,
                 from /gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24=
.30/include/gtk-3.0/gtk/gtk.h:127,
                 from /gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-libxfce4u=
i-4.18.0/include/xfce4/libxfce4ui-2/libxfce4ui/xfce-dialogs.h:27,
                 from /gnu/store/zn6xyz6x2ksjpfb2qr68pczk9hfdl9mb-libxfce4u=
i-4.18.0/include/xfce4/libxfce4ui-2/libxfce4ui/libxfce4ui.h:28,
                 from terminal-screen.c:49:
/gnu/store/4aq7hw017s9ihpm1rxpwfz28c80569z9-gtk+-3.24.30/include/gtk-3.0/gt=
k/gtkstylecontext.h:1201:6: note: declared here
 1201 | void gtk_style_context_get_background_color (GtkStyleContext *conte=
xt,
      |      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
terminal-screen.c: In function =E2=80=98terminal_screen_get_encoding=E2=80=
=99:
terminal-screen.c:2741:3: warning: =E2=80=98vte_terminal_get_encoding=E2=80=
=99 is deprecated [-Wdeprecated-declarations]
 2741 |   return vte_terminal_get_encoding (VTE_TERMINAL (screen->terminal)=
);
      |   ^~~~~~
In file included from /gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.=
99/include/vte-2.91/vte/vte.h:37,
                 from ../terminal/terminal-private.h:22,
                 from ../terminal/terminal-screen.h:24,
                 from terminal-screen.c:56:
/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.99/include/vte-2.91/vt=
e/vtedeprecated.h:139:13: note: declared here
  139 | const char *vte_terminal_get_encoding(VteTerminal *terminal) _VTE_C=
XX_NOEXCEPT _VTE_GNUC_NONNULL(1);
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~
terminal-screen.c: In function =E2=80=98terminal_screen_set_encoding=E2=80=
=99:
terminal-screen.c:2753:3: warning: =E2=80=98vte_terminal_set_encoding=E2=80=
=99 is deprecated [-Wdeprecated-declarations]
 2753 |   if (!vte_terminal_set_encoding (VTE_TERMINAL (screen->terminal), =
charset, NULL))
      |   ^~
In file included from /gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.=
99/include/vte-2.91/vte/vte.h:37,
                 from ../terminal/terminal-private.h:22,
                 from ../terminal/terminal-screen.h:24,
                 from terminal-screen.c:56:
/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.99/include/vte-2.91/vt=
e/vtedeprecated.h:133:10: note: declared here
  133 | gboolean vte_terminal_set_encoding(VteTerminal *terminal,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~
terminal-screen.c: In function =E2=80=98terminal_screen_update_font=E2=80=
=99:
terminal-screen.c:2934:7: warning: =E2=80=98vte_terminal_set_allow_bold=E2=
=80=99 is deprecated [-Wdeprecated-declarations]
 2934 |       vte_terminal_set_allow_bold (VTE_TERMINAL (screen->terminal),=
 font_allow_bold);
      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.=
99/include/vte-2.91/vte/vte.h:37,
                 from ../terminal/terminal-private.h:22,
                 from ../terminal/terminal-screen.h:24,
                 from terminal-screen.c:56:
/gnu/store/sjwpyaqqx0rcymliykfq615ip8zwknbv-vte-0.69.99/include/vte-2.91/vt=
e/vtedeprecated.h:158:6: note: declared here
  158 | void vte_terminal_set_allow_bold(VteTerminal *terminal,
      |      ^~~~~~~~~~~~~~~~~~~~~~~~~~~
make[3]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/terminal'
make[2]: *** [Makefile:490: all] Error 2
make[2]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4/terminal'
make[1]: *** [Makefile:568: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-xfce4-terminal-1.0.4.drv-0/xfce=
4-terminal-1.0.4'
make: *** [Makefile:458: all] Error 2
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-j" "16") exit-stat=
us: 2 term-signal: #f stop-signal: #f>=20
phase `build' failed after 1.4 seconds
command "make" "-j" "16" failed with status 2





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 27 Dec 2022 10:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 27 05:40:31 2022
Received: from localhost ([127.0.0.1]:54796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pA7Nm-0006P8-Rj
	for submit <at> debbugs.gnu.org; Tue, 27 Dec 2022 05:40:31 -0500
Received: from m12.mail.163.com ([220.181.12.198]:51734 helo=163.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1pA7Ng-0006Oe-Gh
 for 60271 <at> debbugs.gnu.org; Tue, 27 Dec 2022 05:40:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=Date:From:Subject:Content-Type:MIME-Version:
 Message-ID; bh=+NfeW5xkXYZCfuIj8hlkxgfL2GXOuQJGRtOmDjbJmn4=; b=l
 1nux+fvfLzbnWJFJTwTjIjU6a6l3c5/Pq0hs+KfcG2xSB5rITygDByInr0T85nnX
 lTtbF0HOIcFtAchFjyPZXTmQeN3tFbpzr17DU8N6V1UXkAPwYFmwpcm42UKbd9vC
 1xpf8K2yNkXX3RfnbLPz6I9zwrjcP0uJ5IJrDnZ0Lk=
Received: from tumashu$163.com ( [49.88.145.87] ) by ajax-webmail-wmsvr48
 (Coremail) ; Tue, 27 Dec 2022 18:40:00 +0800 (CST)
X-Originating-IP: [49.88.145.87]
Date: Tue, 27 Dec 2022 18:40:00 +0800 (CST)
From: tumashu <tumashu@HIDDEN>
To: "Michael Rohleder" <mike@HIDDEN>
Subject: Re:Re: [bug#60271] [PATCH] gnu: Update xfce to 4.18.
X-Priority: 3
X-Mailer: Coremail Webmail Server Version XT5.0.14 build 20220708(c4627114)
 Copyright (c) 2002-2022 www.mailtech.cn 163com
In-Reply-To: <87zgb92m2t.fsf@HIDDEN>
References: <20221223120403.25985-1-mike@HIDDEN>
 <87r0wn2gsg.fsf@HIDDEN> <878riu407x.fsf@HIDDEN>
 <87sfh1n7o5.fsf@HIDDEN> <87zgb92m2t.fsf@HIDDEN>
X-NTES-SC: AL_QuycAP2YuE4r5iicZulS0T568rt6DYb4w693hcIGd/87hBzo0w45cHBxJlvIwMW5e449boMFKvpXdSg+0try
Content-Type: multipart/alternative; 
 boundary="----=_Part_51861_718608629.1672137600846"
MIME-Version: 1.0
Message-ID: <43b7fefa.3bc8.185532aef4e.Coremail.tumashu@HIDDEN>
X-Coremail-Locale: zh_CN
X-CM-TRANSID: _____wDnFGWBy6pjwL0BAA--.6639W
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiHQ3k1GI68fcTmQACs2
X-Coremail-Antispam: 1U5529EdanIXcx71UUUUU7vcSsGvfC2KfnxnUU==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_51861_718608629.1672137600846
Content-Type: text/plain; charset=gbk
Content-Transfer-Encoding: base64

CkxldCB1cyBzZWUgb3RoZXJzIG9waW5pb25zIDopCgoKCgotLQq3otfUztK1xM340tfTys/kyta7
+tbHxNyw5go8YnIvPjxici8+PGJyLz4KCgotLS0tLSBPcmlnaW5hbCBNZXNzYWdlIC0tLS0tCkZy
b206ICJNaWNoYWVsIFJvaGxlZGVyIiA8bWlrZUByb2hsZWRlci5kZT4KVG86ICJGZW5nIFNodSIg
PHR1bWFzaHVAMTYzLmNvbT4KQ2M6IDYwMjcxQGRlYmJ1Z3MuZ251Lm9yZwpTZW50OiBUdWUsIDI3
IERlYyAyMDIyIDExOjExOjA2ICswMTAwClN1YmplY3Q6IFJlOiBbYnVnIzYwMjcxXSBbUEFUQ0hd
IGdudTogVXBkYXRlIHhmY2UgdG8gNC4xOC4KCkZlbmcgU2h1IDx0dW1hc2h1QDE2My5jb20+IHdy
aXRlczoKPiBJIHN1Z2dlc3QgaW5jbHVkZSB0aGUgYmVsb3cgdGh1bmFyIHBsdWdpbnMgd2hlbiB3
ZSB1cGRhdGUgdG8geGZjZS00LjE4LAo+IHNvIHdlIGNhbiB0ZXN0IHRodW5hciBUSFVOQVJYLURJ
UlMgZmVhdHVyZSB3aXRoIHRoZXNlIHBsdWdpbnMgaGVscC4KPgo+IDEuIHRodW5hci1hcmNoaXZl
LXBsdWdpbgo+IDIuIHRodW5hci1tZWRpYS10YWdzLXBsdWdpbgo+IDMuIHRodW5hci1zaGFyZXMt
cGx1Z2luCj4gNC4gdGh1bmFyLXZjcy1wbHVnaW4KPgo+Cj4gcGF0Y2hzIG9mIHRoZSA0IHBsdWdp
bnMgY2FuIGJlIGZvdW5kIGluOgo+Cj4gICBodHRwczovL2lzc3Vlcy5ndWl4LmdudS5vcmcvNTQ1
MjUjMi1saW5lbm8yMgo+Cj4gdGh1bmFyLWFyY2hpdmUtcGx1Z2luIG1heSBoYXZlIG5ldyB2ZXJz
aW9uLgo+Cj4KPiBJZiBwb3NzaWJsZSwgSSBzdWdnZXN0IHhmY2UgcGFja2FnZSBkZXBlbmQgb24g
dGh1bmFyLWFyY2hpdmUtcGx1Z2luLgoKSSB0aGluayB3ZSBjYW4gKGFuZCBzaG91bGQpIGRvIHRo
aXMgYXMgYSBzZXBhcmF0ZSBpc3N1ZSBhbmQgcGF0Y2hlcy4KSXRzIGEgbmljZSAoYW5kIG5lZWRl
ZCkgZmVhdHVyZSwgYnV0IDQuMTggKGV4Y2VwdCB0aHVuYXIgcGx1Z2lucz8pIHJ1bnMKdy9vIGl0
LCBzbyBJIGd1ZXNzIGl0cyBlYXN5IChlYXNpZXIgdG8gdGVzdCkgdG8gZG8gYWZ0ZXIgdGhpcyBw
YXRjaHNldApoYXMgYmVlbiBtZXJnZWQsIGJlY2F1c2UgYWRkaW5nIG1vcmUgcGF0Y2hlcyB3b3Vs
ZCBhbHNvIG1ha2UgdGhlIHJldmlldwphbmQgd29yayBvZiB0aGUgY29tbWl0dGVyIGhhcmRlci4K
CldEWVQ/CgotLSAKR2VoZW4gU2llIG1pdCBlaW5lbSBndXRlbiBCdWNoIGlucyBCZXR0LgpPZGVy
IHdlbmlnc3RlbnMgbWl0IGplbWFuZGVtLCBkZXIga6i5cnpsaWNoIGVpbnMgZ2VsZXNlbiBoYXQu
Cg==
------=_Part_51861_718608629.1672137600846
Content-Type: text/html; charset=gbk
Content-Transfer-Encoding: base64
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------=_Part_51861_718608629.1672137600846--





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 27 Dec 2022 10:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 27 05:12:32 2022
Received: from localhost ([127.0.0.1]:54775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pA6wh-0005i5-Vc
	for submit <at> debbugs.gnu.org; Tue, 27 Dec 2022 05:12:32 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.142]:44233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1pA6wf-0005ho-Ic
 for 60271 <at> debbugs.gnu.org; Tue, 27 Dec 2022 05:12:30 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id A6vaplTMpJMZNA6vaphi6i; Tue, 27 Dec 2022 03:11:22 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63aac4ca
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=Byx-y9mGAAAA:8
 a=mDV3o1hIAAAA:8 a=aTzwg_LgGqvcMDgZNvwA:9 a=QEXdDO2ut3YA:10
 a=CKFbm1u2Kds1t9z9vnMA:9 a=FfaGCDsud1wA:10 a=_FVE-zBwftR9WsbkzFJk:22
Received: from [192.168.1.3] (helo=micha)
 by 122.164.205.92.host.secureserver.net with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1pA6vZ-006FKp-SM; Tue, 27 Dec 2022 11:11:21 +0100
From: Michael Rohleder <mike@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: [bug#60271] [PATCH] gnu: Update xfce to 4.18.
References: <20221223120403.25985-1-mike@HIDDEN> <87r0wn2gsg.fsf@HIDDEN>
 <878riu407x.fsf@HIDDEN> <87sfh1n7o5.fsf@HIDDEN>
Date: Tue, 27 Dec 2022 11:11:06 +0100
In-Reply-To: <87sfh1n7o5.fsf@HIDDEN> (Feng Shu's message of "Tue, 27 Dec 2022
 06:04:26 +0800")
Message-ID: <87zgb92m2t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CMAE-Envelope: MS4xfG+6QSukmHc/qFWAA348T3W1wiEhXGyvTV2/Sp2Z2ivCDYi8acA14KPy/HU91OxvWPUbXJIUOhHqiosonztUvX3OICJX1mSLhCjH7kf5jgFzuE5D31TC
 S7hUi3EQurLX3+zY87igTu/otpVRd5U8lNp1IwHaAzxU13CtWvVIjSe3KfFomCRyIVQbzin4r+PsmcYoo07yo2Z9jlRXlXmFxxTSO9Iez3YLEzKTiu/HgRai
 g/r3hcCLCAH+4tS42REEqQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Feng Shu <tumashu@HIDDEN> writes:
> I suggest include the below thunar plugins when we update to xfce-4.18,
> so we can test thunar THUNARX-DIRS feature with these plugins help.
>
> 1. thunar-archive-plugin
> 2. thunar-media-tags-plugin
> 3. thunar-shares-plugin
> 4. thunar-vcs-plugin
>
>
> patchs of the 4 plugins can be found in:
>
>   https://issues.guix.gnu.org/54525#2-lineno22
>
> thunar-archive-plugin may have new version.
>
>
> If possible, I suggest xfce package depend on thunar-archive-plugin.

I think we can (and should) do this as a separate issue and patches.
Its a nice (and needed) feature, but 4.18 (except thunar plugins?) runs
w/o it, so I guess its easy (easier to test) to do after this patchset
has been merged, because adding more patches would also make the review
and work of the committer harder.

WDYT?

=2D-=20
Gehen Sie mit einem guten Buch ins Bett.
Oder wenigstens mit jemandem, der k=C3=BCrzlich eins gelesen hat.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAmOqxLoRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyW3Hwf8CAM+6aQQ3QPY1XNK0eRw8uBb7EAl4fYI
emtJQnjAuO9pgVO54Id3tJyRHjc3/EH96LrQWrVLh1K+5qP+f5WZYwAyjJgNEnrl
MJNC9Lq8k220EBY/ITV9xmuV6JGxi0jpCMTWjI1uESzNSN3Y3Mour/iaSJNXI96X
ph13WMrtbSPJvQfwYi9tKha8/Jl0f3wv6+ObR54Xb6hKswnrlgdX/8JYdfY4Fbgu
Q9oSs+173Took99v1Gn0W3vThVmKoBJZU2UEHNM+CAKiAid/MyRHC+pfFZcar2gh
RW0zJvh/794quyUA4cUd305yI6T87wen0nLP/f1L6jd1Bz7w8dGGsA==
=hQYb
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 26 Dec 2022 22:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 17:04:52 2022
Received: from localhost ([127.0.0.1]:54288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9vaV-0003pn-Tc
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 17:04:52 -0500
Received: from m12.mail.163.com ([220.181.12.217]:37522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1p9vaQ-0003pQ-G6
 for 60271 <at> debbugs.gnu.org; Mon, 26 Dec 2022 17:04:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=6xVt3tXv3Fj89MXWMGLP9pFrsdfH/QmgZl/ku38EG7s=;
 b=ZwofHWhyHPGUlBvh2YzdtttTC+30e1PHr4RnLDgG2yF6Mwe4bjfM0gTipz9UVe
 Ih6NjJyqLQXXdXZBtl8VqiXBpan/8X32YXa3j6idlFi4B07NWVXDToTh5AIoO9xr
 NljzwTis9fm9D9lkUficFy5GJNyvk3RW8CUXDBaS1dsuk=
Received: from Guix (unknown [49.88.145.87])
 by zwqz-smtp-mta-g2-1 (Coremail) with SMTP id _____wDHNEZqGqpjJW4KAA--.4751S2; 
 Tue, 27 Dec 2022 06:04:27 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Michael Rohleder <mike@HIDDEN>
Subject: Re: [bug#60271] [PATCH] gnu: Update xfce to 4.18.
In-Reply-To: <878riu407x.fsf@HIDDEN> (Michael Rohleder's message of "Mon, 
 26 Dec 2022 17:08:02 +0100")
References: <20221223120403.25985-1-mike@HIDDEN> <87r0wn2gsg.fsf@HIDDEN>
 <878riu407x.fsf@HIDDEN>
Date: Tue, 27 Dec 2022 06:04:26 +0800
Message-ID: <87sfh1n7o5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: _____wDHNEZqGqpjJW4KAA--.4751S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4R5l1mUUUUU
X-Originating-IP: [49.88.145.87]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB0xTj1FXlxfHbNQAAsa
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Rohleder <mike@HIDDEN> writes:


I suggest include the below thunar plugins when we update to xfce-4.18,
so we can test thunar THUNARX-DIRS feature with these plugins help.

1. thunar-archive-plugin
2. thunar-media-tags-plugin
3. thunar-shares-plugin
4. thunar-vcs-plugin


patchs of the 4 plugins can be found in:

  https://issues.guix.gnu.org/54525#2-lineno22

thunar-archive-plugin may have new version.


If possible, I suggest xfce package depend on thunar-archive-plugin.

-- 





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 26 Dec 2022 19:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 14:26:38 2022
Received: from localhost ([127.0.0.1]:54124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9t7M-0007vz-Gc
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 14:26:38 -0500
Received: from m12.mail.163.com ([220.181.12.215]:37908 helo=163.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1p9t7H-0007vf-To
 for 60271 <at> debbugs.gnu.org; Mon, 26 Dec 2022 14:26:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=Date:From:Subject:Content-Type:MIME-Version:
 Message-ID; bh=TGZIlS023rrjo5v17I246JVTCUj0Xx344hv5iDrMKNQ=; b=K
 qroZxKGb5BxxWr8gh+DIIh/p90QSxi3ZnTpZ8B1K0VaDVncE4CBDTknrtII62OSK
 qQP6iikXj3midrtg/KXyxEZ0AnoR3mI0HXuNlkMFYwaSg+m6oYXHP8UrCIje5gCC
 e8rlSfJ85ziYxFz+6Ldoj/SC6M2yBd4gTeLR6vNPzU=
Received: from tumashu$163.com ( [49.88.145.87] ) by ajax-webmail-wmsvr71
 (Coremail) ; Tue, 27 Dec 2022 03:26:14 +0800 (CST)
X-Originating-IP: [49.88.145.87]
Date: Tue, 27 Dec 2022 03:26:14 +0800 (CST)
From: tumashu <tumashu@HIDDEN>
To: "Michael Rohleder" <mike@HIDDEN>
Subject: Re:Re: [bug#60271] [PATCH] gnu: Update xfce to 4.18.
X-Priority: 3
X-Mailer: Coremail Webmail Server Version XT5.0.14 build 20220708(c4627114)
 Copyright (c) 2002-2022 www.mailtech.cn 163com
In-Reply-To: <878riu407x.fsf@HIDDEN>
References: <20221223120403.25985-1-mike@HIDDEN>
 <87r0wn2gsg.fsf@HIDDEN> <878riu407x.fsf@HIDDEN>
X-NTES-SC: AL_QuycAPyTvU8s4iWZZ+lSxT1N5KVkL7vJ3Z1PlNsXX/w7uSHi5ioteGRCLEfd/sw0nsol8F+K5ATIdP39gNht
Content-Type: multipart/alternative; 
 boundary="----=_Part_659_114790884.1672082774520"
MIME-Version: 1.0
Message-ID: <26addc76.c3.1854fe659f9.Coremail.tumashu@HIDDEN>
X-Coremail-Locale: zh_CN
X-CM-TRANSID: _____wBXSq5X9alj7FYAAA--.4756W
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB3w7j1GBHNdmt6AACsq
X-Coremail-Antispam: 1U5529EdanIXcx71UUUUU7vcSsGvfC2KfnxnUU==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_659_114790884.1672082774520
Content-Type: text/plain; charset=gbk
Content-Transfer-Encoding: base64

VEhVTkFSWF9ESVJTIHdpbGwgb25seSBiZSBjb25zaWRlcmVkIHdoZW4gYnVpbGQgd2l0aDoKCi4v
YXV0b2dlbi5zaCAtLXdpdGgtY3VzdG9tLXRodW5hcngtZGlycy1lbmFibGVkCgoKCnBsZWFzZSBz
ZWU6CgoKaHR0cHM6Ly9naXRsYWIueGZjZS5vcmcveGZjZS90aHVuYXIvLS9tZXJnZV9yZXF1ZXN0
cy8yMzIKCgoKCgoKCgoKCgotLQq3otfUztK1xM340tfTys/kyta7+tbHxNyw5go8YnIvPjxici8+
PGJyLz4KCgotLS0tLSBPcmlnaW5hbCBNZXNzYWdlIC0tLS0tCkZyb206ICJNaWNoYWVsIFJvaGxl
ZGVyIiA8bWlrZUByb2hsZWRlci5kZT4KVG86ICJGZW5nIFNodSIgPHR1bWFzaHVAMTYzLmNvbT4K
Q2M6IDYwMjcxQGRlYmJ1Z3MuZ251Lm9yZwpTZW50OiBNb24sIDI2IERlYyAyMDIyIDE3OjA4OjAy
ICswMTAwClN1YmplY3Q6IFJlOiBbYnVnIzYwMjcxXSBbUEFUQ0hdIGdudTogVXBkYXRlIHhmY2Ug
dG8gNC4xOC4KCkZlbmcgU2h1IDx0dW1hc2h1QDE2My5jb20+IHdyaXRlczoKPiBJIHRoaW5rIHdl
IHNob3VsZCBsZXQgdGh1bmFyIHN1cHBvcnQgJFRIVU5BUlhfRElSUyAKPgo+ICsgICAgKG5hdGl2
ZS1zZWFyY2gtcGF0aHMKPiArICAgICAobGlzdCAoc2VhcmNoLXBhdGgtc3BlY2lmaWNhdGlvbgo+
ICsgICAgICAgICAgICAodmFyaWFibGUgIlRIVU5BUlhfRElSUyIpCj4gKyAgICAgICAgICAgIChm
aWxlcyAobGlzdCAibGliL3RodW5hcngtMyIpKSkpKQo+Cj4KPiAxLiBodHRwczovL2dpdGxhYi54
ZmNlLm9yZy94ZmNlL3RodW5hci8tL2NvbW1pdC84NDhmMWRmYjJkMmY0MDRlZmE1MzcxODE3Mjg1
MjM2ZDMzYjMyYTVjCj4gMi4gaHR0cHM6Ly9naXRsYWIueGZjZS5vcmcveGZjZS90aHVuYXIvLS9t
ZXJnZV9yZXF1ZXN0cy8yMzIKPgoKVGhhbmtzIQpJIHRoaW5rLCB0aGlzIGlzIGEgdmVyeSBnb29k
IGlkZWE6Cgo=
------=_Part_659_114790884.1672082774520
Content-Type: text/html; charset=gbk
Content-Transfer-Encoding: base64
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------=_Part_659_114790884.1672082774520--





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 26 Dec 2022 16:09:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 11:09:25 2022
Received: from localhost ([127.0.0.1]:53962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9q2T-0006qp-Dk
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 11:09:25 -0500
Received: from sxb1nlsmtp04.prod.sxb1.secureserver.net ([92.204.71.234]:56862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p9q2O-0006qY-2g
 for 60271 <at> debbugs.gnu.org; Mon, 26 Dec 2022 11:09:20 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 9q1Dp0BNLayqm9q1Fp0HxO; Mon, 26 Dec 2022 09:08:07 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=L7jbAcf8 c=1 sm=1 tr=0 ts=63a9c6e8
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=Byx-y9mGAAAA:8
 a=O24Aq5uEAAAA:8 a=g8mw0qyCKUf4RgVSFW8A:9 a=xBLclsGzzwueUpdTUfgA:9
 a=eq7uCTXl2tjDSuxppSYA:9 a=o4tVqYFnriTrYmuxqlMA:9 a=5TtwQ-vAGlRUxhvxPlAA:9
 a=FfaGCDsud1wA:10 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha)
 by 122.164.205.92.host.secureserver.net with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p9q1D-006CHN-Mb; Mon, 26 Dec 2022 17:08:03 +0100
From: Michael Rohleder <mike@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: [bug#60271] [PATCH] gnu: Update xfce to 4.18.
References: <20221223120403.25985-1-mike@HIDDEN> <87r0wn2gsg.fsf@HIDDEN>
Date: Mon, 26 Dec 2022 17:08:02 +0100
In-Reply-To: <87r0wn2gsg.fsf@HIDDEN> (Feng Shu's message of "Sun, 25 Dec 2022
 23:40:47 +0000")
Message-ID: <878riu407x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CMAE-Envelope: MS4xfPxcjCSVoj86EPb5vDIYxX1vqboZWd5evu8tgQlfdv6PNfAAOw7l8Djipr593WoZnZ4AyMBuq2kAtd2DYIuQhg1jmsl4Al1XKuWQxiZwcFEK20PxXLjv
 zLKGqSghWtzK58keFfcMQG+hdKp7AxrDCz3XeVkXogJLtWFLVDsJnhDcqE6uB4JaN/zwIJcT5SYoYD/lhoq9ZqDl9w11uIYYdB7cb79dOWqgSsMph55xp4fW
 xOML7bAy9S/Ie+gM5YBNTg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: 60271 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Feng Shu <tumashu@HIDDEN> writes:
> I think we should let thunar support $THUNARX_DIRS=20
>
> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "THUNARX_DIRS")
> +            (files (list "lib/thunarx-3")))))
>
>
> 1. https://gitlab.xfce.org/xfce/thunar/-/commit/848f1dfb2d2f404efa5371817=
285236d33b32a5c
> 2. https://gitlab.xfce.org/xfce/thunar/-/merge_requests/232
>

Thanks!
I think, this is a very good idea:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-thunar-Add-a-search-path-for-THUNARX_DIRS.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: thunar: Add search path.

From=20db25aa5115b4d815c039a2b5e0f2fe7996617f26 Mon Sep 17 00:00:00 2001
From: Michael Rohleder <mike@HIDDEN>
Date: Mon, 26 Dec 2022 16:42:25 +0100
Subject: [PATCH] gnu: thunar: Add a search path for THUNARX_DIRS.

* gnu/packages/xfce.scm (thunar)[native-search-paths]: Add THUNARX_DIRS
specification.
=2D--
 gnu/packages/xfce.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index cb98b3cb99..9409045996 100644
=2D-- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -747,6 +747,10 @@ (define-public thunar
            pcre
            xfce4-panel
            startup-notification))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "THUNARX_DIRS")
+            (files '("lib/thunarx-3")))))
     (home-page "https://www.xfce.org/")
     (synopsis "Xfce file manager")
     (description
=2D-=20
2.38.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-xfce-Propagate-search-paths-of-thunar.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: xfce: Propagate search paths of thunar.

From=20230449327ed4cc98b14b80fa6d9a44941751b906 Mon Sep 17 00:00:00 2001
From: Michael Rohleder <mike@HIDDEN>
Date: Mon, 26 Dec 2022 16:55:39 +0100
Subject: [PATCH] gnu: xfce: Propagate search paths of 'thunar'.

* gnu/packages/xfce.scm (xfce)[native-search-paths]: Add thunar.
=2D--
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 9409045996..858e08ca15 100644
=2D-- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1109,8 +1109,8 @@ (define-public xfce
      ;; Default font that applications such as IceCat require.
      (list font-dejavu))
     (native-search-paths
=2D     ;; For finding panel plugins.
=2D     (package-native-search-paths xfce4-panel))
+     ;; For finding panel and thunar plugins.
+     (package-native-search-paths xfce4-panel thunar))
     (home-page "https://www.xfce.org/")
     (synopsis "Desktop environment (meta-package)")
     (description
=2D-=20
2.38.1


--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


=2D-=20
The Internet is not a network of computers. It is a network
of people. That is its real strength.

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAmOpxuIRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyXB0ggArgYveNlCfG8FmPigrRSnKF6pM3cjcRuv
cjsu6PK5e18QQSYWfJC741GHJRx3sVZr2M7YfadQoDyp8nq5EthaCxgSnCuVFdwx
BLRwh47Dhy5CTytoStZmtiZQW9IJHqEbHF1vw20Bh4M5MkiPfnZzTtXIAqLMGpIY
8V7hGdHuYOSAYCH7nPVoFoVqgYDBnyTObCwoQy4OfV71vbLT20n9iv+CuQGrXkIJ
uuf8tmZ+mxtiXh3lLxRSWr1VodFw9ZAM4G2XT9E2z4FSE4sUSFNGKv4/FoWgdQuK
JioyWBatLBfy1yC++gOzlM7GaiWgSv1Dyz0xM47ODJZaf/P9X6rSPA==
=mhj5
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 25 Dec 2022 23:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 18:41:10 2022
Received: from localhost ([127.0.0.1]:50341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9ac9-0006tw-S5
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2022 18:41:10 -0500
Received: from m12.mail.163.com ([220.181.12.216]:37282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1p9ac2-0006sN-RU
 for 60271 <at> debbugs.gnu.org; Sun, 25 Dec 2022 18:41:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version:
 Content-Type; bh=sQk9ZFA3Se1owfeBv5o5pM71rNvTGfTgBSOFzwF6BfM=;
 b=BE6RIDPrVJlfb+f8gdGiWV6S/Be09NgdbedhknSmUYNI81WjY9x8BjmD34Lqec
 NTRdnIpauunTMQ6Q+RFojHjOCV2LWz39WMQFqgGHiGIsiDUqNGXO1Db7IVCNPnbJ
 ukeHoYRA2vhScWwCPgz5c3D6CcuwNW6QxK/ZDuM9uAaFY=
Received: from Guix (unknown [49.88.145.87])
 by zwqz-smtp-mta-g0-4 (Coremail) with SMTP id _____wBn8nyE36hj4gkWAA--.9381S2; 
 Mon, 26 Dec 2022 07:40:52 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Update xfce to 4.18.
Date: Sun, 25 Dec 2022 23:40:47 +0000
Message-ID: <87r0wn2gsg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: _____wBn8nyE36hj4gkWAA--.9381S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4RZAwVUUUUU
X-Originating-IP: [49.88.145.87]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiSgri1GI0WINtDgAAsY
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I think we should let thunar support $THUNARX_DIRS 

+    (native-search-paths
+     (list (search-path-specification
+            (variable "THUNARX_DIRS")
+            (files (list "lib/thunarx-3")))))


1. https://gitlab.xfce.org/xfce/thunar/-/commit/848f1dfb2d2f404efa5371817285236d33b32a5c
2. https://gitlab.xfce.org/xfce/thunar/-/merge_requests/232





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 18:12:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 13:12:35 2022
Received: from localhost ([127.0.0.1]:38096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8mX5-0008A2-Cs
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 13:12:35 -0500
Received: from mail-4322.protonmail.ch ([185.70.43.22]:40771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaelyn.alexi@HIDDEN>) id 1p8mX3-00089s-5o
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 13:12:34 -0500
Date: Fri, 23 Dec 2022 18:12:17 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail3; t=1671819146; x=1672078346;
 bh=HAJLpOtQRxR90r71H6cG6KWyyonW/SX4jnXFXlbfjxQ=;
 h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID:BIMI-Selector;
 b=Wd3S2jqyLGJ5DLgR5sVZgeMw3Wl7ZPhUdI0ZUZf9I2HMlIYYdLZNkvuAJ8JToH2S2
 B6JwFabqIuCqjwdmbLm2ZGTjzIwUGbEdPTbKAWtOUH3lvGR2VhnBKRTWlkLk0fbkjs
 P/06BZsuypnHTrPFVorYvQqvvzANvd5nHG//VcakDn06IHdR/tqSevyz41biSf60cb
 pE2lbHHngVgxsAwHzeBLz5zJ+wRVjBgwg0/a24FqPxOaGSTHnBKuE3kzxfgCoGJagr
 8Ccu+0GF5lDF+6oHdWzmK1gJTb076vpUItujVN0SoqX3lskLkICIOEFIuFir7uuPbO
 i4zq8FF/wq5lQ==
To: "60271 <at> debbugs.gnu.org" <60271 <at> debbugs.gnu.org>
From: Kaelyn <kaelyn.alexi@HIDDEN>
Subject: Re: [PATCH] gnu: Update xfce to 4.18.
Message-ID: <G4nfeOB823uYVUWnh8uySur85709VBNTSoKnNNkxKCmFMKr14Aj6LdYRSukKZUC1tY8f-j44TcDG9xUplY04ROAjQ_kQyHVsew3drw05WgE=@protonmail.com>
Feedback-ID: 34709329:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60271
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

While I haven't tested all of the components, I've successfully used the XF=
CE 4.18 updates on my laptop (both with an XFCE session and running some of=
 the programs under xmonad). The patch series looks good to me.

Cheers,
Kaelyn




Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:53 2022
Received: from localhost ([127.0.0.1]:37080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDM-0003ju-RO
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:53 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.158]:53448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDI-0003is-Mo
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:49 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hCDpWJnCJMZN8hCDpZvg7; Fri, 23 Dec 2022 05:30:41 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63a59f72
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gvd-0060LJ-Kx; Fri, 23 Dec 2022 13:13:33 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-dev-tools: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:08:02 +0100
Message-Id: <20221223120802.26210-16-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfKg2PLADGGCYHveDmRI2d5JsCIhQzOoaE6ad8psnxZRoi6smJFzdIROeZWtQBcg59uIElPY+iHU8/nV6X5KI9Rjok2i0vyhEmQ9LvevfzUlUqtBcB+aV
 hF4RBVtnL2YwCXErFvGNO37rCrYET0w9ny3pzbdfax6Of86pNzBOrsR4zWSY1Tu7BX9qrXRvB5obl541LDqTabATa41pdfjufRU2vS1c+qdFtE1wMGwQrP7Q
 tx/9p/bDVCkqZVmtvsmZvg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-dev-tools): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index dc9b8379c2..980e418e51 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -2106,7 +2106,7 @@ (define-public xfce4-weather-plugin
 (define-public xfce4-dev-tools
   (package
     (name "xfce4-dev-tools")
-    (version "4.17.0")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -2114,7 +2114,7 @@ (define-public xfce4-dev-tools
                                   "xfce4-dev-tools-" version ".tar.bz2"))
               (sha256
                (base32
-                "1iwkqj96x2s7fk4srg1pymvsiwb2rn6vvhy6hrmnc3hl1vqw2d6k"))))
+                "0dxyfsx70nddkkv0ygkl02wv4p99g62zjkw68sf4bqzhap4lznzf"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:52 2022
Received: from localhost ([127.0.0.1]:37078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDM-0003jn-Gw
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:52 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.153]:54092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDH-0003ir-NW
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:48 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hCCpWJn4JMZN8hCCpZvfy; Fri, 23 Dec 2022 05:30:41 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63a59f71
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=eq7uCTXl2tjDSuxppSYA:9
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gud-0060LJ-3p; Fri, 23 Dec 2022 13:12:31 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: thunar-volman: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:58 +0100
Message-Id: <20221223120802.26210-12-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfN0RPJzTZlVRNKQIW4mFtaxnGukLdDAy49wTJs7x5NYbkUx6Gc3FzyD+MkcH9NiwI8ML3M3EPYcbG4Z0+vcIOVDlwXqsIXkR9/Gbl1SrE6bA4CFW4J/+
 D8nJk3vPo4yOBS6RoigvCvBuAMPYJOgBUWfzckmVH7rHcm34nEVe+2PUB74Ak3MqAxfKk91Q5tGYUuF+0/Ms+lCbQHb03xTjyaBV0b91E8YpXdgc5vYHynJ8
 FByDDaRPKGWnUYSzO/48Mw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (thunar-volman): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 93defcf185..080b3f5776 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -751,7 +751,7 @@ (define-public thunar
 (define-public thunar-volman
   (package
     (name "thunar-volman")
-    (version "4.16.0")
+    (version "4.18.0")
     (source
      (origin
        (method url-fetch)
@@ -759,7 +759,7 @@ (define-public thunar-volman
                            (version-major+minor version) "/"
                            "thunar-volman-" version ".tar.bz2"))
        (sha256
-        (base32 "0zaliahfz9ci2md7g6w9mb7z5azi5n56gihbnwyzvds2n8cygh6j"))))
+        (base32 "0rgwhxp6f3cd4ldl6zirvzl4n64f2k65lach84gs4ip2zdzmrdwk"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:52 2022
Received: from localhost ([127.0.0.1]:37076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDM-0003jg-0O
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:52 -0500
Received: from sxb1nlsmtp03.prod.sxb1.secureserver.net ([92.204.71.219]:36903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDG-0003iq-Nd
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:47 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hCBpMV9Cr8Yl8hCBpOVqB; Fri, 23 Dec 2022 05:30:40 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=fsIaJn0f c=1 sm=1 tr=0 ts=63a59f70
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gvR-0060LJ-P7; Fri, 23 Dec 2022 13:13:21 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-power-manager: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:08:01 +0100
Message-Id: <20221223120802.26210-15-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfN5JmhbedM9uTZ5AtlMKvj4h853uIPcj0ESPthXBLlZV+hhgjfRtXfRbYtEsUt0Bdnl8UEAUHIFtNVhFpk05RXQjPAj7UFiAlIcGhMN3ajVKsDISCF8E
 TiK6PN/07A6tV1wRepaAN6jKDePO0OTU/bl4WLKPZysV+K8WT48NB6BBEr/FBteo2IWE6stDDfVeyqtVzIQaLegjo3RI8G9Wwm7oyeTt4wUopAZhZMAErBhm
 JbAWprVDlPNrQUYUiwhCxg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-power-manager): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 94a3b9180f..dc9b8379c2 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -1111,7 +1111,7 @@ (define-public xfce
 (define-public xfce4-power-manager
   (package
     (name "xfce4-power-manager")
-    (version "4.16.0")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -1119,7 +1119,7 @@ (define-public xfce4-power-manager
                                   "xfce4-power-manager-" version ".tar.bz2"))
               (sha256
                (base32
-                "1wrvqiifaxsgcn1kh4vm2hwxi9lgm6mw4zrfld2zl0mm05y5i77b"))))
+                "16n3f9zam3v8584rprckvr72gmgsv9kyqy690jkrybr5hrw4dvif"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:52 2022
Received: from localhost ([127.0.0.1]:37074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDL-0003je-MC
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:51 -0500
Received: from sxb1nlsmtp02.prod.sxb1.secureserver.net ([92.204.71.189]:54060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDF-0003ip-NG
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:46 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hCAp1J8c3oQV8hCAp0043; Fri, 23 Dec 2022 05:30:39 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=SfYxNNdu c=1 sm=1 tr=0 ts=63a59f6f
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8guL-0060LJ-Na; Fri, 23 Dec 2022 13:12:13 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: thunar: Update to 4.18.1.
Date: Fri, 23 Dec 2022 13:07:57 +0100
Message-Id: <20221223120802.26210-11-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfIkOeqvLpjNsjyMCGRM0I1ktsDVwlGy/l1K2DQSiGk5L1YRfI4r55urkh/yeW/N3NdPRqLRk8IPTDDFN2w4xJ6h4vloSiPfdwJ3cMwbe7k1e+hOotgdK
 ARHyBKwlaudYC2szPJBPc6E+ZQP7CQmNbLtKTnAQSciFtG1gL0DaH8bSaCoktMV06z24YU/WoOACWsHlyqSnPg7fxR6HD7fPR+TxZSE8TtXZwsbLU24ZV/Tw
 zBzHVDKSgwM6lMMzSzAUnQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (thunar): Update to 4.18.1.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index af82435ce7..93defcf185 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -718,7 +718,7 @@ (define-public xfce4-settings
 (define-public thunar
   (package
     (name "thunar")
-    (version "4.16.11")                           ;stable version = even minor
+    (version "4.18.1")                           ;stable version = even minor
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -726,7 +726,7 @@ (define-public thunar
                                   "thunar-" version ".tar.bz2"))
               (sha256
                (base32
-                "06wa58dy9z28j7l4a2l7j052sa3h6vfpvxd440cy7qz5na8dwzgl"))))
+                "0rii7b2d0csvji24665h00nx0irg6rn6m9y8bkig9md45j0923ib"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:46 2022
Received: from localhost ([127.0.0.1]:37063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDG-0003j5-5Y
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:46 -0500
Received: from sxb1nlsmtp04.prod.sxb1.secureserver.net ([92.204.71.231]:46692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDE-0003io-Ry
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:45 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hC9pnvs3ayqm8hCAptyRO; Fri, 23 Dec 2022 05:30:38 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=L7jbAcf8 c=1 sm=1 tr=0 ts=63a59f6e
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=eq7uCTXl2tjDSuxppSYA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8guu-0060LJ-CH; Fri, 23 Dec 2022 13:12:48 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfwm4: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:59 +0100
Message-Id: <20221223120802.26210-13-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfGyKszXk4Fbln4YrJxrwIoghyWZvfKXZ/fQAlc1er0zNCBw17VAbL1+FVgK0tbDbjrZzrlXEgtT7uN6nFR0zWB5WSYnDDVCz5VlVzSxXbioqIrYpwMfb
 zHvUMW5TM6nJxEBp6Gr54OXuy1lLo72SxI2TbbYczO4SLgOm7SdJOS7pwVdNIrZqLrNuikx/7UBuAIZu+U1kZ78EsU1JCHBxcyk3yuIdMhPQHoQjYiRLOJpq
 NGDGIpJrJu47KLPXpxUqBg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfwm4): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 080b3f5776..f3aefc6740 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -778,7 +778,7 @@ (define-public thunar-volman
 (define-public xfwm4
   (package
     (name "xfwm4")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -786,7 +786,7 @@ (define-public xfwm4
                                   "xfwm4-" version ".tar.bz2"))
               (sha256
                (base32
-                "133ip28v6j3x4l413d81ixsisf32sa0xzd54n0nn8g6p9fh4rcmm"))))
+                "0gy1bxp9va6hz9vrysvh3sffg5ld4dn77in10syb8p5jkf41pkcj"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:31:46 2022
Received: from localhost ([127.0.0.1]:37060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8hDF-0003j3-Od
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:46 -0500
Received: from sxb1nlsmtp02.prod.sxb1.secureserver.net ([92.204.71.165]:45355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8hDE-0003in-3h
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:31:44 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8hC8p1J873oQV8hC9p003p; Fri, 23 Dec 2022 05:30:37 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=SfYxNNdu c=1 sm=1 tr=0 ts=63a59f6d
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=eq7uCTXl2tjDSuxppSYA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gvB-0060LJ-Ef; Fri, 23 Dec 2022 13:13:05 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfdesktop: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:08:00 +0100
Message-Id: <20221223120802.26210-14-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfCVoFPZbBea/ah7xIRocT7nyIutbPkvmQAPD//M0CWeZEKl0LD0tjBMIMgs1bZMyo0OeRJlz5lHJgNAnfEuxooZL5po2bAAmBXABoQNd0h4rwyXv8flc
 WqOvzdQpSr/XIwzPv8kRES1cmNbIyRkAtm2zSSFSXHuAOXeTDCHRKuyl1uimI2rCX+L9rGPRnNR7izSpOCpenhnFYCF916rS+LbBYqZy6cHP9PtuV0Cf9MmC
 3AWEb3SR8wLr5LNC5eM2HA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfdesktop): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index f3aefc6740..94a3b9180f 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -807,7 +807,7 @@ (define-public xfwm4
 (define-public xfdesktop
   (package
     (name "xfdesktop")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -815,7 +815,7 @@ (define-public xfdesktop
                                   "xfdesktop-" version ".tar.bz2"))
               (sha256
                (base32
-                "04dxljc74zlkz7h8wjj3hx9300r202a4d2hj8agfjmdf100cn7g3"))
+                "050d299057gacfl5fr254719f8ff4mns9g40dn95jm30wvkq65v6"))
               (modules '((guix build utils)))
               (snippet
                #~(begin
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:12:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:12:59 2022
Received: from localhost ([127.0.0.1]:37037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gv4-0001DD-Qo
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:59 -0500
Received: from sxb1nlsmtp02.prod.sxb1.secureserver.net ([92.204.71.189]:39402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gv2-0001CN-CR
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:56 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gu2p1EjE3oQV8gu2pzxQC; Fri, 23 Dec 2022 05:11:55 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=SfYxNNdu c=1 sm=1 tr=0 ts=63a59b0b
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gu2-0060LJ-E4; Fri, 23 Dec 2022 13:11:54 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-settings: Update to 4.18.1.
Date: Fri, 23 Dec 2022 13:07:56 +0100
Message-Id: <20221223120802.26210-10-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfGlxpNXIWe3gnHDBnM7BHH0Vsc0TAV8eHJH1ylGAFo88UBAJB4s5lEsIdgszT7BwAO/dw6pgvfMOcJtVEv91pRZv08CAvW+DwPeqczmCia3uR6D+tcyj
 dII93BbHNBUX/P2SaBagnVrqhqQhYpbpaBLoHjZbrs29ReUk/3DVNc3tJg3bCl+Gj3i+sbzSexXOH7Tt1k2WxDfJYjjru0URxjuQOLNeCy6Bsj9H5N3qcW8y
 mADK8w0AdbSKWHHN0sa7kA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-settings): Update to 4.18.1.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 5e9dbee1d7..af82435ce7 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -675,7 +675,7 @@ (define-public xfce4-session
 (define-public xfce4-settings
   (package
     (name "xfce4-settings")
-    (version "4.16.5")
+    (version "4.18.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -683,7 +683,7 @@ (define-public xfce4-settings
                                   name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "13nj80mshkz3czrp8l1yxj6qmz0kkfhzv94z3ixfgmw64j078kvs"))
+                "140xclvl05y3xwlckwnryxyj6y6gr8cpksrpzlhvip6jz9l0wxfm"))
               (patches (search-patches "xfce4-settings-defaults.patch"))))
     (build-system gnu-build-system)
     (arguments
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:12:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:12:47 2022
Received: from localhost ([127.0.0.1]:37034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gut-0001D0-Gd
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:47 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.152]:43643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gur-0001Ct-NG
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:46 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gtmpWFJfJMZN8gtmpZt0g; Fri, 23 Dec 2022 05:11:39 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63a59afb
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gtm-0060LJ-CO; Fri, 23 Dec 2022 13:11:38 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-session: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:55 +0100
Message-Id: <20221223120802.26210-9-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfDMTdwOWu/aWfaXZS9ByIiZVuhlrxLgq25I67+o7G6PptNTGzGZGqligUKgL0u1ZU7JCkhkYhRz9ryIZf00qFWWoU5sqSEK8jaJ2iBTf/u5Gaf1EBuME
 RJuBhx/v1R9yvLrFhOoGSmBMKvKTiU1PsP+2zRG6Pkgp0d0hbli827H5BdVbsUmdf1u+gWnCgZ6P42/EZ5SUp+ouuSDhbgmk9iuYOnY5DvHilIrm2VOgIkiN
 lJJKbHO95i5yYveDm4krOw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-session): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index e81c70e43e..e648acbe96 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -623,7 +623,7 @@ (define-public xfce4-appfinder
 (define-public xfce4-session
   (package
     (name "xfce4-session")
-    (version "4.16.0")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -631,7 +631,7 @@ (define-public xfce4-session
                                   "xfce4-session-" version ".tar.bz2"))
               (sha256
                (base32
-                "1dqpgnq1hy9z170aapjglyp6jpyq1iqn5331nph727a82br77wi2"))
+                "0zwsp2qc1bk87gbvx5fc8wb3hg2nq2ln0fjljks148171d8dpfiq"))
               (modules '((guix build utils)))
               (snippet
                '(begin
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:12:21 2022
Received: from localhost ([127.0.0.1]:37029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8guT-0001Ci-74
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:21 -0500
Received: from sxb1nlsmtp02.prod.sxb1.secureserver.net ([92.204.71.166]:40828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8guQ-0001Cc-Ml
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:19 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gtLp1EXH3oQV8gtMpzxJG; Fri, 23 Dec 2022 05:11:12 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=SfYxNNdu c=1 sm=1 tr=0 ts=63a59ae0
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gtL-0060LJ-GY; Fri, 23 Dec 2022 13:11:11 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-appfinder: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:54 +0100
Message-Id: <20221223120802.26210-8-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfAObDgNPqrv4QF72U7FZHre/s16ttp0qV31aQjWfecLAYmlleN7gjnz+kiRNU17msiz7efeCgoZ4VK9tD2rJFOdgRPASkzFOAQby+unM+8TXRTosSgIc
 I73HNlXuoUoOoVr0YPLi4YQl2xeShOIvZCBUrJVkR0RQPa8RbofHAi+Z6eSnqc3GX1BccMNDnx2WccZKD9/HDJk/6YKm6Wjjn8kLC5Qq/2VzGAahMKJ10zN+
 RX/M/8mu7/pXkKovEluLrQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-appfinder): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 2481f4c791..e81c70e43e 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -598,7 +598,7 @@ (define-public xfce4-xkb-plugin
 (define-public xfce4-appfinder
   (package
     (name "xfce4-appfinder")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -607,7 +607,7 @@ (define-public xfce4-appfinder
                                   "/" name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "1v77h5634n49idci2jiw0k7jjk0vzpsvgyx2fkp18l39jayykqxz"))))
+                "136137w2xc78jq0xcbymjwdxapllwyy7h3ydshz0gli7ngbrhaln"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:12:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:12:10 2022
Received: from localhost ([127.0.0.1]:37024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8guH-0001CV-UP
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:10 -0500
Received: from sxb1nlsmtp02.prod.sxb1.secureserver.net ([92.204.71.189]:39402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8guG-0001CN-OC
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:12:09 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gt8p1ETd3oQV8gt8pzxGw; Fri, 23 Dec 2022 05:11:02 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=SfYxNNdu c=1 sm=1 tr=0 ts=63a59ad6
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gt8-0060LJ-C0; Fri, 23 Dec 2022 13:10:58 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfce4-panel: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:53 +0100
Message-Id: <20221223120802.26210-7-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfE20pyZaRsfRTi5t0DxVAILGStrQ3lFY4ZMNB8OJAmMIfHGXSL9l4/8bzfRQgUi00dIEfk5r4Oaf/IPKpQ3N+ekJ8XJwCu9+Uu2ZPklMzzBTRBFRvCiI
 lRC3LnasimxfawJQij7MD5dlf1mbiPMgql/2hIFnp90v4xtYBPf3fNtuAo8XwxAWtAmdk5OIw12m0WFVGV+q+27P0Tv7LsRWwucvHVD6XQGc2R/6T375ooKc
 oEsxUNmUI4CePI4ny4zlag==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfce4-panel): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 6b67300f41..2481f4c791 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -391,7 +391,7 @@ (define-public tumbler
 (define-public xfce4-panel
   (package
     (name "xfce4-panel")
-    (version "4.16.5")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -399,7 +399,7 @@ (define-public xfce4-panel
                                   name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "0c42qy76wqa1mr2rk8ka2vwj6k8w2bn7dp00zq67dkvnpki96rh9"))
+                "0427g59yxx2cpav48mx7i5i397jcmqayspdjp8qphn26slzh505y"))
               (patches (search-patches "xfce4-panel-plugins.patch"))))
     (build-system gnu-build-system)
     (arguments
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:11:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:11:48 2022
Received: from localhost ([127.0.0.1]:37017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gtw-0001Bh-Ks
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:11:48 -0500
Received: from sxb1nlsmtp04.prod.sxb1.secureserver.net ([92.204.71.226]:59940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gtv-0001Ba-Mk
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:11:48 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gsqpnr9Zayqm8gsqptvdO; Fri, 23 Dec 2022 05:10:40 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=L7jbAcf8 c=1 sm=1 tr=0 ts=63a59ac1
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gsq-0060LJ-3v; Fri, 23 Dec 2022 13:10:40 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: garcon: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:52 +0100
Message-Id: <20221223120802.26210-6-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfBjFq3QyJ9w7X/Yi0fLG2NPZBkM3uHoyDEEsY8lg2V+JAwfedeHLf+HvbzqqyWL8EsNlM3++AoZViBcEADVnGYzPLEd9dqDipd669ej0OIZBC4Kl0znt
 gdBnsX8CwlVHxtKzUnFoUgoZIK7E/pGOENqlQsM6DVeTEIN0IZYRraKMrcajj9f6TECiM9M9dizzHAyBPiwyKo/H20HJ6Bc9g+HhWQmpAjsN+3hRFk/yIc3I
 GyhpJxBdhfdhAB3pNNcP0g==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (garcon): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 3c54406759..6b67300f41 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -325,7 +325,7 @@ (define-public exo
 (define-public garcon
   (package
     (name "garcon")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -333,7 +333,7 @@ (define-public garcon
                                   "garcon-" version ".tar.bz2"))
               (sha256
                (base32
-                "07fjsgdjqxbcm84ga3cl495782k381k6mwksyrks3zf1l8klk4c4"))))
+                "050sy6l4xzqibz4kqxymkc37rqpg37vsf48wnw18b2vaas3k8qsl"))))
     (build-system gnu-build-system)
     (native-inputs
      (list `(,glib "bin") gobject-introspection intltool pkg-config))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:11:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:11:17 2022
Received: from localhost ([127.0.0.1]:37012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gtR-0001BQ-89
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:11:17 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.151]:43063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gtO-0001BK-MU
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:11:15 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gsIpWEv6JMZN8gsIpZsmN; Fri, 23 Dec 2022 05:10:07 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63a59aa0
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=IRwelkGWEIZkkaQggwIA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gsI-0060LJ-AN; Fri, 23 Dec 2022 13:10:06 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: tumbler: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:51 +0100
Message-Id: <20221223120802.26210-5-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfPp3YxK3/whDrmiiw/frwK+IfGxacNSSUFA2DXKBUSHQzDKW8a/1vbgEGP+bvhbf3GyDB3qIHHFGDPba2voOBqo4lkrXEDMRcEMRsZOgjZP0Ve2tOjQf
 34zqPJDQgWXbIFuXjLI1s2LBuC0sxf28hG5YjuxaKvMplomnBym1WhWTcGSvQZ0TkKZXOJt85dgCTmCp0dSCoWDLhdikk4QetaH+WSHC0PIDsaQmYXMTg2n9
 j1y0tebH8BojXUp2sxusEA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (tumbler): Update to 4.18.0.
[inputs]: Add libxfce4util.
---
 gnu/packages/xfce.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 541b4daaa9..3c54406759 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -352,7 +352,7 @@ (define-public garcon
 (define-public tumbler
   (package
     (name "tumbler")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -360,7 +360,7 @@ (define-public tumbler
                                   "tumbler-" version ".tar.bz2"))
               (sha256
                (base32
-                "0gi77675gi1bbhrrg0p60dy06clf24xa0hz2jb74hnzk2gxbyaw5"))))
+                "006gvwa7jqkky2qvl2yngbd4yzp63wpilhhmyg9p24pk9spz71s0"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool
@@ -375,6 +375,7 @@ (define-public tumbler
            freetype
            libjpeg-turbo
            libgsf
+           libxfce4util
            poppler
            ;; FIXME Provide gstreamer and gstreamer-tag to get video thumbnails
            ;; ("gstreamer" ,gstreamer)
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:10:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:10:36 2022
Received: from localhost ([127.0.0.1]:36999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gsm-0001AP-E4
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:10:36 -0500
Received: from sxb1nlsmtp01.prod.sxb1.secureserver.net ([92.204.71.134]:56553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gsk-0001AI-OX
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:10:35 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8grgpWElBJMZN8grgpZsfV; Fri, 23 Dec 2022 05:09:28 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=bYKtEsDB c=1 sm=1 tr=0 ts=63a59a78
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=eq7uCTXl2tjDSuxppSYA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8grf-0060LJ-SG; Fri, 23 Dec 2022 13:09:27 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: exo: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:50 +0100
Message-Id: <20221223120802.26210-4-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfPgQyN5mgsdh3PGjIzKhbBzDSPAy1WCeGTzilmA+QagQVf5Jq0y2k/FwBl1Y3v2qEHGR1woafc0gtKaR4xPc2xBvu2b2Dz+jSH/Vbiw3gqrPObqzZpLv
 O9qOi523vlLEQD741nn16NTslRBCvkdJxsrny2YHT57C89mGcdHRlHUykqOUgATWhdkK1rSm/HDMj2sGmFiDu4yJC1dPrtVAmbMj8DTHy+DRTIvfJft4uIjy
 E0h5YRZ0d9wbpGB4qSkc6w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (exo): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 000debb757..541b4daaa9 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -296,7 +296,7 @@ (define-public elementary-xfce-icon-theme
 (define-public exo
   (package
     (name "exo")
-    (version "4.16.4")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -304,7 +304,7 @@ (define-public exo
                                   "exo-" version ".tar.bz2"))
               (sha256
                (base32
-                "1jifknw0chyaismj94mrx9pbhnd7ridm25bn1d15q7lgwxkhr9c2"))))
+                "0mbxv8hys1i8s4p5d0pvgywsjgf21ki0mzcp8avcv2588p862b2g"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:10:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:10:11 2022
Received: from localhost ([127.0.0.1]:36994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gsN-0001A9-3a
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:10:11 -0500
Received: from sxb1nlsmtp03.prod.sxb1.secureserver.net ([92.204.71.209]:39354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gsK-0001A0-MM
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:10:09 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8grFpMPwTr8Yl8grGpOSkX; Fri, 23 Dec 2022 05:09:02 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=fsIaJn0f c=1 sm=1 tr=0 ts=63a59a5e
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=SbrXZ8-VKJJESF6q16AA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8grF-0060LJ-AO; Fri, 23 Dec 2022 13:09:01 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: libxfce4ui: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:49 +0100
Message-Id: <20221223120802.26210-3-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfDkNPm1Aap7sIHezvIcohlK0xZdBl0kSNil3PMsQyvk3NeLptlhH9mClXfkdXUIHZ2xTl29HnxmwKS3foATvRyxMMfq7C71+KaSAKTGq338WJy+84exA
 84R4VnRdlhzA+/RS9zuQoVcCamz1ZP/xTQJBlcZca5q7+P28hg7HiHg/c9Rvtpk28lnmG8tJTg3kCGtVDIqOMszLeQpOnPCjd4q5tiHiPtlTDcksNe6yyO8l
 jhxzIGHUXqaxMehbHuPXaQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (libxfce4ui): Update to 4.18.0.
[inputs]: Add libgtop.
---
 gnu/packages/xfce.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index eaa77632cc..000debb757 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -180,7 +180,7 @@ (define-public xfconf
 (define-public libxfce4ui
   (package
     (name "libxfce4ui")
-    (version "4.16.1")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -188,7 +188,7 @@ (define-public libxfce4ui
                                   name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "1xl52pjh7xi67qpv8800xrizf28r0bh1jm21va6hggznbap4csfr"))))
+                "0syh934bqpx85yywv58w2g1i7l5q75q18wsaz6gbn5vw7324f8jk"))))
     (build-system gnu-build-system)
     (arguments
      `(#:configure-flags
@@ -200,7 +200,7 @@ (define-public libxfce4ui
            ;; libxfce4kbd-private-3.pc refers to all these.
            libxfce4util
            xfconf))
-    (inputs (list libsm libice startup-notification))
+    (inputs (list libgtop libice libsm startup-notification))
     (home-page "https://www.xfce.org/")
     (synopsis "Widgets library for Xfce")
     (description
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:09:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:09:48 2022
Received: from localhost ([127.0.0.1]:36987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8grz-00019E-PW
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:09:48 -0500
Received: from sxb1nlsmtp03.prod.sxb1.secureserver.net ([92.204.71.195]:53878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8grx-000196-Nj
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:09:46 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gqspMPr3r8Yl8gqspOShe; Fri, 23 Dec 2022 05:08:38 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=fsIaJn0f c=1 sm=1 tr=0 ts=63a59a46
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=TO6_3SfSYkXmm6KrypYA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gqr-0060LJ-VD; Fri, 23 Dec 2022 13:08:38 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xfconf: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:48 +0100
Message-Id: <20221223120802.26210-2-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221223120802.26210-1-mike@HIDDEN>
References: <20221223120802.26210-1-mike@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfOHskVPjour6hnYDiEfMG/yp+oulc8/MgccLppHwrrzRDuzH10O45727+3uwr7+q5SMFKqYO+EYoIFbb2nAvxudWdkYmzg40bXiQFv3JbMeWRixyE7UW
 e1Jnp3ogv2kVKVlUCblqnPdWXZ3MsYlBhLGhRZ2hkF5ft2l+cs4yWp+bx0Vw9NXUR6ZdGMD2L7HWa9zhNe0Mydb97EIksA0/0uX4B52kCuHIqSKcTFlld/Pu
 wksZsmzCtx9DQAJtHU2rnQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (xfconf): Update to 4.18.0.
[arguments]: Remove unneeded phase install-shell-completions.
---
 gnu/packages/xfce.scm | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 0c28bba506..eaa77632cc 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -129,7 +129,7 @@ (define-public libxfce4util
 (define-public xfconf
   (package
     (name "xfconf")
-    (version "4.16.0")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -137,7 +137,7 @@ (define-public xfconf
                                   "xfconf-" version ".tar.bz2"))
               (sha256
                (base32
-                "09al5bkq89b8pb3xyxnw0cnz6crxj8678ymwq2k9nzf60y812ak5"))))
+                "01i9bn2v9mcfa03ndd9dyihz7yc1mnfzr550mq3sh07q1cb5131f"))))
     (build-system gnu-build-system)
     (arguments
      '(#:phases
@@ -157,13 +157,6 @@ (define-public xfconf
              ;; For the missing '/etc/machine-id'.
              (setenv "DBUS_FATAL_WARNINGS" "0")
              (invoke "dbus-launch" "make" "check")))
-         (add-after 'custom-check 'install-shell-completions
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (etc (string-append out "/etc")))
-               (with-directory-excursion "completions"
-                 (install-file "xfconf-query"
-                               (string-append etc "/bash_completion.d"))))))
          (delete 'check))))
     (native-inputs
      (list pkg-config
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at 60271 <at> debbugs.gnu.org:


Received: (at 60271) by debbugs.gnu.org; 23 Dec 2022 12:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:09:23 2022
Received: from localhost ([127.0.0.1]:36982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8grb-00018w-Gt
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:09:23 -0500
Received: from sxb1nlsmtp04.prod.sxb1.secureserver.net ([92.204.71.224]:50901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8grZ-00018o-Jp
 for 60271 <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:09:21 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gqTpnqaUayqm8gqTptvIC; Fri, 23 Dec 2022 05:08:14 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=L7jbAcf8 c=1 sm=1 tr=0 ts=63a59a2e
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=O24Aq5uEAAAA:8
 a=4WmBoD9dYnPIhkxwY0gA:9 a=SYBONWESK5muIIdMMRMZ:22
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gqT-0060LJ-4S; Fri, 23 Dec 2022 13:08:13 +0100
From: Michael Rohleder <mike@HIDDEN>
To: 60271 <at> debbugs.gnu.org
Subject: [PATCH] gnu: libxfce4util: Update to 4.18.0.
Date: Fri, 23 Dec 2022 13:07:47 +0100
Message-Id: <20221223120802.26210-1-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfCwjd30C7JY+xzxmS1I57Ove4O1OhApwZdOK6HImgxE5XKyCa79oojAKoesUdtK1mIZxYyAI/hiK5JksD/4xWQ8U5aHta7p9Ni+X7hkp8LkYhk2ThkH6
 q8xsl/oV9AC9EFTXG0d5Kk4KM2TYwe6r9GeLdlhQxM9eUrrhAzOno1q9IO+PiV6Vq18o1/8TlaMEi3gv/+U4Pgmuim+gkOrhiw2VSuPuCoPpnPrwSQVaXe12
 /rDhnP54BDIs9LnZNmMr+w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60271
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xfce.scm (libxfce4util): Update to 4.18.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 720a36e3b9..0c28bba506 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -106,7 +106,7 @@ (define-public gtk-xfce-engine
 (define-public libxfce4util
   (package
     (name "libxfce4util")
-    (version "4.16.0")
+    (version "4.18.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -114,7 +114,7 @@ (define-public libxfce4util
                                   "/" name "-" version ".tar.bz2"))
               (sha256
                (base32
-                "10svnpc8ggasym1pfgh24bfr0ndqs6lc7v1wmpsizj0zbms8snb0"))))
+                "1jf3xbx6vlqzzmqyjf7p4bcrrbr4zfj34r2afakivpfkgxqwlmqi"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config gobject-introspection intltool vala))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Dec 2022 12:05:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 07:05:29 2022
Received: from localhost ([127.0.0.1]:36970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p8gnp-000162-LI
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:05:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:34008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1p8gno-00015w-Gj
 for submit <at> debbugs.gnu.org; Fri, 23 Dec 2022 07:05:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mike@HIDDEN>) id 1p8gnm-00037E-6k
 for guix-patches@HIDDEN; Fri, 23 Dec 2022 07:05:26 -0500
Received: from sxb1nlsmtp04.prod.sxb1.secureserver.net ([92.204.71.223])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mike@HIDDEN>) id 1p8gnj-0000bz-Bt
 for guix-patches@HIDDEN; Fri, 23 Dec 2022 07:05:25 -0500
Received: from 122.164.205.92.host.secureserver.net ([92.205.164.122])
 by : HOSTING RELAY : with ESMTP
 id 8gmepnphPayqm8gmeptulO; Fri, 23 Dec 2022 05:04:17 -0700
X-SECURESERVER-ACCT: 92.205.164.122
x-originating-ip: 92.205.164.122
X-CMAE-Analysis: v=2.4 cv=L7jbAcf8 c=1 sm=1 tr=0 ts=63a59941
 a=B/z3iHJ5y0TSvJOmeNZOnw==:117 a=sHyYjHe8cH0A:10 a=Ks8pg4WpK-9tJfwFClcA:9
Received: from [192.168.1.3] (helo=micha.rohleder.de)
 by 122.164.205.92.host.secureserver.net with esmtp (Exim 4.94.2)
 (envelope-from <mike@HIDDEN>)
 id 1p8gme-0060IG-8G; Fri, 23 Dec 2022 13:04:16 +0100
From: Michael Rohleder <mike@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Update xfce to 4.18.
Date: Fri, 23 Dec 2022 13:04:03 +0100
Message-Id: <20221223120403.25985-1-mike@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfByiSAdBJdZs5/DG55394vs93mKOeW0j/YXY4z7d5oGJhTKyXeDrhwBUKAq5ABquYQGrcH2Ql23EEMDlKCUDcMgFkxk+fJELjdx/x5JeAc2Q59hlM6U4
 0zCF8e3irPV6zvm1Z3rRBrQjgdT6pFxVgxGNL5LMVCURGH7i/U2yyWYwjwzwBHOHyTw8qscvVTBuKJHz1DjrgBM5k80x2TJllA21TOZneijsIcNm9pHvABwf
 vR/0R967jXL/S8H5WcBang==
Received-SPF: permerror client-ip=92.204.71.223; envelope-from=mike@HIDDEN;
 helo=sxb1nlsmtp04.prod.sxb1.secureserver.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 T_SPF_PERMERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Michael Rohleder <mike@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This patchset updates xfce to 4.18.  Tested in a vm, LGTM, but I
havent tested all plugins.

Michael Rohleder (17):
  gnu: libxfce4util: Update to 4.18.0.
  gnu: xfconf: Update to 4.18.0.
  gnu: libxfce4ui: Update to 4.18.0.
  gnu: exo: Update to 4.18.0.
  gnu: tumbler: Update to 4.18.0.
  gnu: garcon: Update to 4.18.0.
  gnu: xfce4-panel: Update to 4.18.0.
  gnu: xfce4-appfinder: Update to 4.18.0.
  gnu: xfce4-session: Update to 4.18.0.
  gnu: xfce4-settings: Update to 4.18.0.
  gnu: xfce4-settings: Update to 4.18.1.
  gnu: thunar: Update to 4.18.1.
  gnu: thunar-volman: Update to 4.18.0.
  gnu: xfwm4: Update to 4.18.0.
  gnu: xfdesktop: Update to 4.18.0.
  gnu: xfce4-power-manager: Update to 4.18.0.
  gnu: xfce4-dev-tools: Update to 4.18.0.

 gnu/packages/xfce.scm | 74 ++++++++++++++++++++-----------------------
 1 file changed, 34 insertions(+), 40 deletions(-)

-- 
2.38.1





Acknowledgement sent to Michael Rohleder <mike@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60271; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Jan 2023 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.